2007-09-13  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac, README: Set version to 1.1.8.

	* RELEASE-NOTES: Cleaned up tested platforms.

2007-09-13  Robert Schuster  <robertschuster@fsfe.org>

	* native/jni/java-net/gnu_java_net_local_LocalSocketImpl.c:
	Add #ifndef guard around definition of _GNU_SOURCE.

2007-09-13  Dalibor Topic  <robilad@kaffe.org>

	* config/i386/trampolines.S: Mark stack as executable.

	Reported by:  Joshua Nichols  <joshua.nichols@gmail.com>

2007-09-12  Dalibor Topic  <robilad@kaffe.org>

	Fix for build with gcc-4.2, merged in from GNU Classpath.

	2007-09-08  Michael Koch  <konqueror@gmx.de>

        * native/jni/midi-alsa/Makefile.am (AM_CFLAGS):
        Removed @ERROR_CFLAGS@ to not fail build with GCC 4.2.

2007-09-12  Dalibor Topic  <robilad@kaffe.org>

	Fix for #72.
	* config/alpha/callKaffeException.h (callKaffeException):
	Don't clobber frame pointer ($15). That fixes the build with gcc 4.1.

	Reported by:  Daniel Plaza  <daniel@dilmun.ls.fi.upm.es>

2007-09-12  Dalibor Topic  <robilad@kaffe.org>

	Fix for #102.
	* configure.ac: Reverted erroring out when gif headers are not found,
	that was introduced in 2006-11-19  Dalibor Topic  <robilad@kaffe.org>.

	Reported by:  Riccardo Mottola <riccardo@kaffe.org>

2007-09-12  Dalibor Topic  <robilad@kaffe.org>

	* config/Makefile.in: Regenerated.

2007-09-12  Dalibor Topic  <robilad@kaffe.org>

	Merged in Kurt Miller's port to x86_64-openbsd from
	OpenBSD ports repository.

	* README: Added x86_64-openbsd.
	* WHATSNEW: Added x86_64-openbsd port.

2007-09-12  Kurt Miller <kurt@intricatesoftware.com>

	* config/x86_64/openbsd2/config.frag,
	config/x86_64/openbsd2/md.c,
	config/x86_64/openbsd2/md.h: New files.

	* config/Makefile.am (EXTRA_DIST): Added x86_64/openbsd2/config.frag,
	x86_64/openbsd2/md.c and x86_64/openbsd2/md.h.

	* config/x86_64/threads.h (THREASTACKSIZE): Increase to 512K.

2007-09-12  Dalibor Topic  <robilad@kaffe.org>

	Fix for bug #91.
	* libraries/clib/awt/X/Makefile.am (libxawt_la_LDFLAGS),
	libraries/clib/awt/xynth/Makefile.am (libxynthawt_la_LDFLAGS),
	libraries/clib/awt/nano-X/Makefile.am (libnanoxawt_la_LDFLAGS): 
	export symbols starting with JNI_, like JNI_OnLoad.

2007-09-12  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/awt/X/cbd.c: Removed unnecessary jcl.h include.

2007-09-12  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/awt/X/evt.c: Removed unnecessary jcl.h include.

2007-09-11  Dalibor Topic  <robilad@kaffe.org>

	Fix for bug #98.
	* developers/autogen.sh:
	Drop boehm-gc reconfiguration.

	* libraries/javalib/Makefile.am:
	(MAYBE_GLIBJ_ZIP) Removed.
	(link-glibj-zip, unlink-glibj-zip, install-exec-local) Added 
	when using system classpath, or prebuilt glibj.zip.
	(clean-local) Use RM instead of hardcoding 'rm'.
	(SUBDIRS) Don't evaluate '.' first.
	(jrelib_DATA) Removed MAYBE_GLIBJ_ZIP.
	(uninstall-local) Add unlink-glibj-zip as a dependency, to
	make sure that glibj.zip link is removed in the cases 
	when it is set (i.e. when configure to use system classpath 
	or prebuilt glibj.zip).

	* libraries/javalib/external/classpath/lib/Makefile.am:
	(all-local) Add glibj.zip as a dependency to make sure 
	the built continues to function for tools when prebuilt glibj.zip
	is used.

2007-08-27  Ito Kazumitsu  <kaz@maczuka.gcd.org>

	Fixes bug #100
	* kaffe/kaffevm/baseClasses.c: Added interfaces implemented by
	java.lang.Class.

2007-08-12  Kiyo Inaba <inaba@src.ricoh.co.jp>

	* RELEASE-NOTES,
	FAQ.platform-status: Added results for m68k/netbsd/intrp.

2007-08-12  Kiyo Inaba <inaba@src.ricoh.co.jp>

	* FAQ/FAQ.arm: New file.

2007-08-11  Kiyo Inaba <inaba@src.ricoh.co.jp>

	* RELEASE-NOTES,
	FAQ.platform-status: Added results for m68k/netbsd.

2007-08-09  Kiyo Inaba <inaba@src.ricoh.co.jp>

	* RELEASE-NOTES: Added results for i386/netbsd.
	* FAQ.platform-status: Added results and statuses for arm,i386,m68k.

2007-08-09  Kazuyuki Shudo  <2006@shudo.net>

	* kaffe/scripts/kaffe.in: Add KAFFE_NATIVE_LIBRARY_DIR to PATH.

2007-08-09  Dalibor Topic  <robilad@kaffe.org>

	* RELEASE-NOTES: Added results for sparc.

2007-08-09  Dalibor Topic  <robilad@kaffe.org>

	* RELEASE-NOTES: Added results for cygwin.

2007-08-09  Dalibor Topic  <robilad@kaffe.org>

	* FAQ/FAQ.win32: Updated.

2007-08-09  Kazuyuki Shudo  <2006@shudo.net>

	This brings pthreads failures on Cygwin down to 11 for intrp,
	and 24 for jit.

	* kaffe/kaffevm/unix-pthreads/signal.c 
	(KaffePThread_detectStackBoundaries) Work around Cygwin 
	getpagesize issue. [STACK_GROWS_UP] Add pagesize to 
	guessPointer.

	* kaffe/kaffevm/unix-pthreads/thread-impl.c 
	(tInitSignals) Treat Cygwin like OLD_LINUXTHREADS.
	[__CYGWIN__] Set sigInterrupt to SIGCONT.

2007-08-09  Kiyo Inaba <inaba@src.ricoh.co.jp>

	* config/arm/netbsd1/md.h: Added signal handler macro.

2007-08-08  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/boehm-gc/gc-kaffe.c
	(GC_notify_or_invoke_finalizers): Added declaration of a private
	boehm-gc function.
	(maybe_finalize): Use GC_notify_or_invoke_finalizers instead of
	GC_invoke_finalizers.

	* kaffe/kaffevm/boehm-gc/Makefile.frag: Define GC_THREADS to
	enable the pthread function wrappers.
	
2007-08-08  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/reference.c (KaffeVM_registerObjectReference,
	defaultObjectFinalizer): Added debug code.

	* kaffe/kaffevm/kaffe-gc/gc-refs.c (resizeWeakReferenceObject,
	KaffeGC_addWeakRef): Mark weak references correctly.

2007-08-07  Kazuyuki Shudo  <2006@shudo.net>

	Down to 19 failures from 25 in jit mode with jthreads 
	and kaffe gc.

	* config/i386/cygwin32/jit-md.h (EXCEPTIONPROTO, 
	EXCEPTIONFRAME): Updated.

	* config/i386/cygwin32/md.h (SIGNAL_ARGS, 
	SIGNAL_CONTEXT_POINTER): Updated.

	* kaffe/kaffevm/jit/stackTrace-impl.h (STACKTRACEINIT):
	Adapted for Cygwin.

2007-08-07  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac, kaffe/kaffe/version.c (printShortVersion): Updated
	copyright year.

	* configure.ac: Simplified java compiler checking. Error out if no compiler
	is selected. Fixes bug #87. Added comment for zlib detection. Cleaned up
	comments for classpath configure invocation.

2007-08-07  Dalibor Topic  <robilad@kaffe.org>

	* FAQ/FAQ.win32: Updated for Kazayuki Shudo's PIC patch.

2007-08-07  Kazuyuki Shudo  <2006@shudo.net>

	* config/i386/trampolines.S: Don't generate PIC code
	for Cygwin.

2007-08-08  Kiyo Inaba <inaba@src.ricoh.co.jp>

	* RELEASE-NOTES, TODO: Include status for arm, m68k.

2007-08-07  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac: Abort if headers or libary required for 
	boehm-gc can not be found.

2007-08-07  Dalibor Topic  <robilad@kaffe.org>

	* config/x86_64/common.h (ALIGNMENTOF_VOIDP_IN_STACK):
	Undefine previous definition from defs.h, before redefining it.
	
2007-08-07  Dalibor Topic  <robilad@kaffe.org>

	* RELEASE-NOTES, TODO: Updated.
	* FAQ.platform-status: Reformatted.

2007-08-07  Dalibor Topic  <robilad@kaffe.org>

	* THIRDPARTY: Removed fastjar, zip, boehm gc. Updated information on
	GNU Classpath.

2007-08-07  Dalibor Topic  <robilad@kaffe.org>

	* FAQ/FAQ.automake, developers/autogen.sh: Updated to libtool 1.5.24.

	* configure,
	libltdl/Makefile.am,
	libltdl/Makefile.in,
	libltdl/acinclude.m4,
	libltdl/configure,
	libltdl/ltdl.c,
	libltdl/ltdl.h,
	libltdl/ltmain.sh,
	libraries/javalib/external/classpath/Makefile.in,
	libraries/javalib/external/classpath/aclocal.m4,
	libraries/javalib/external/classpath/configure,
	libraries/javalib/external/classpath/ltmain.sh,
	libraries/javalib/external/classpath/doc/Makefile.in,
	libraries/javalib/external/classpath/doc/api/Makefile.in,
	libraries/javalib/external/classpath/examples/Makefile.in,
	libraries/javalib/external/classpath/external/Makefile.in,
	libraries/javalib/external/classpath/external/relaxngDatatype/Makefile.in,
	libraries/javalib/external/classpath/external/sax/Makefile.in,
	libraries/javalib/external/classpath/external/w3c_dom/Makefile.in,
	libraries/javalib/external/classpath/include/Makefile.in,
	libraries/javalib/external/classpath/lib/Makefile.in,
	libraries/javalib/external/classpath/native/Makefile.in,
	libraries/javalib/external/classpath/native/fdlibm/Makefile.in,
	libraries/javalib/external/classpath/native/jawt/Makefile.in,
	libraries/javalib/external/classpath/native/jni/Makefile.in,
	libraries/javalib/external/classpath/native/jni/classpath/Makefile.in,
	libraries/javalib/external/classpath/native/jni/gconf-peer/Makefile.in,
	libraries/javalib/external/classpath/native/jni/gtk-peer/Makefile.in,
	libraries/javalib/external/classpath/native/jni/java-io/Makefile.in,
	libraries/javalib/external/classpath/native/jni/java-lang/Makefile.in,
	libraries/javalib/external/classpath/native/jni/java-net/Makefile.in,
	libraries/javalib/external/classpath/native/jni/java-nio/Makefile.in,
	libraries/javalib/external/classpath/native/jni/java-util/Makefile.in,
	libraries/javalib/external/classpath/native/jni/midi-alsa/Makefile.in,
	libraries/javalib/external/classpath/native/jni/midi-dssi/Makefile.in,
	libraries/javalib/external/classpath/native/jni/native-lib/Makefile.in,
	libraries/javalib/external/classpath/native/jni/qt-peer/Makefile.in,
	libraries/javalib/external/classpath/native/jni/xmlj/Makefile.in,
	libraries/javalib/external/classpath/native/plugin/Makefile.in,
	libraries/javalib/external/classpath/resource/Makefile.in,
	libraries/javalib/external/classpath/scripts/Makefile.in,
	libraries/javalib/external/classpath/tools/Makefile.in,
	m4/libtool.m4,
	scripts/ltmain.sh:
	Regenerated.

2007-08-07  Dalibor Topic  <robilad@kaffe.org>

	* WHATSNEW: Mention that kaffe's copy of boehm gc
	was removed.

2007-08-07  Dalibor Topic  <robilad@kaffe.org>

	Removed kaffe's copy of Boehm-Weiser garbage collector.

	* kaffe/kaffevm/boehm-gc/boehm/.cvsignore,
	kaffe/kaffevm/boehm-gc/boehm/AmigaOS.c,
	kaffe/kaffevm/boehm-gc/boehm/BCC_MAKEFILE,
	kaffe/kaffevm/boehm-gc/boehm/ChangeLog,
	kaffe/kaffevm/boehm-gc/boehm/EMX_MAKEFILE,
	kaffe/kaffevm/boehm-gc/boehm/MacOS.c,
	kaffe/kaffevm/boehm-gc/boehm/MacProjects.sit.hqx,
	kaffe/kaffevm/boehm-gc/boehm/Makefile.DLLs,
	kaffe/kaffevm/boehm-gc/boehm/Makefile.am,
	kaffe/kaffevm/boehm-gc/boehm/Makefile.direct,
	kaffe/kaffevm/boehm-gc/boehm/Makefile.dist,
	kaffe/kaffevm/boehm-gc/boehm/Makefile.dj,
	kaffe/kaffevm/boehm-gc/boehm/Makefile.in,
	kaffe/kaffevm/boehm-gc/boehm/NT_MAKEFILE,
	kaffe/kaffevm/boehm-gc/boehm/NT_STATIC_THREADS_MAKEFILE,
	kaffe/kaffevm/boehm-gc/boehm/NT_THREADS_MAKEFILE,
	kaffe/kaffevm/boehm-gc/boehm/OS2_MAKEFILE,
	kaffe/kaffevm/boehm-gc/boehm/PCR-Makefile,
	kaffe/kaffevm/boehm-gc/boehm/README.QUICK,
	kaffe/kaffevm/boehm-gc/boehm/SMakefile.amiga,
	kaffe/kaffevm/boehm-gc/boehm/WCC_MAKEFILE,
	kaffe/kaffevm/boehm-gc/boehm/acinclude.m4,
	kaffe/kaffevm/boehm-gc/boehm/aclocal.m4,
	kaffe/kaffevm/boehm-gc/boehm/add_gc_prefix.c,
	kaffe/kaffevm/boehm-gc/boehm/allchblk.c,
	kaffe/kaffevm/boehm-gc/boehm/alloc.c,
	kaffe/kaffevm/boehm-gc/boehm/alpha_mach_dep.S,
	kaffe/kaffevm/boehm-gc/boehm/backgraph.c,
	kaffe/kaffevm/boehm-gc/boehm/blacklst.c,
	kaffe/kaffevm/boehm-gc/boehm/callprocs,
	kaffe/kaffevm/boehm-gc/boehm/checksums.c,
	kaffe/kaffevm/boehm-gc/boehm/config.guess,
	kaffe/kaffevm/boehm-gc/boehm/config.sub,
	kaffe/kaffevm/boehm-gc/boehm/configure,
	kaffe/kaffevm/boehm-gc/boehm/configure.host,
	kaffe/kaffevm/boehm-gc/boehm/configure.in,
	kaffe/kaffevm/boehm-gc/boehm/darwin_stop_world.c,
	kaffe/kaffevm/boehm-gc/boehm/dbg_mlc.c,
	kaffe/kaffevm/boehm-gc/boehm/depcomp,
	kaffe/kaffevm/boehm-gc/boehm/digimars.mak,
	kaffe/kaffevm/boehm-gc/boehm/dyn_load.c,
	kaffe/kaffevm/boehm-gc/boehm/finalize.c,
	kaffe/kaffevm/boehm-gc/boehm/gc.mak,
	kaffe/kaffevm/boehm-gc/boehm/gc_cpp.cc,
	kaffe/kaffevm/boehm-gc/boehm/gc_cpp.cpp,
	kaffe/kaffevm/boehm-gc/boehm/gc_dlopen.c,
	kaffe/kaffevm/boehm-gc/boehm/gcc_support.c,
	kaffe/kaffevm/boehm-gc/boehm/gcj_mlc.c,
	kaffe/kaffevm/boehm-gc/boehm/gcname.c,
	kaffe/kaffevm/boehm-gc/boehm/headers.c,
	kaffe/kaffevm/boehm-gc/boehm/hpux_test_and_clear.s,
	kaffe/kaffevm/boehm-gc/boehm/ia64_save_regs_in_stack.s,
	kaffe/kaffevm/boehm-gc/boehm/if_mach.c,
	kaffe/kaffevm/boehm-gc/boehm/if_not_there.c,
	kaffe/kaffevm/boehm-gc/boehm/install-sh,
	kaffe/kaffevm/boehm-gc/boehm/libtool.m4,
	kaffe/kaffevm/boehm-gc/boehm/ltmain.sh,
	kaffe/kaffevm/boehm-gc/boehm/mach_dep.c,
	kaffe/kaffevm/boehm-gc/boehm/malloc.c,
	kaffe/kaffevm/boehm-gc/boehm/mallocx.c,
	kaffe/kaffevm/boehm-gc/boehm/mark.c,
	kaffe/kaffevm/boehm-gc/boehm/mark_rts.c,
	kaffe/kaffevm/boehm-gc/boehm/mips_sgi_mach_dep.s,
	kaffe/kaffevm/boehm-gc/boehm/mips_ultrix_mach_dep.s,
	kaffe/kaffevm/boehm-gc/boehm/misc.c,
	kaffe/kaffevm/boehm-gc/boehm/missing,
	kaffe/kaffevm/boehm-gc/boehm/mkinstalldirs,
	kaffe/kaffevm/boehm-gc/boehm/new_hblk.c,
	kaffe/kaffevm/boehm-gc/boehm/obj_map.c,
	kaffe/kaffevm/boehm-gc/boehm/os_dep.c,
	kaffe/kaffevm/boehm-gc/boehm/pc_excludes,
	kaffe/kaffevm/boehm-gc/boehm/pcr_interface.c,
	kaffe/kaffevm/boehm-gc/boehm/powerpc_darwin_mach_dep.s,
	kaffe/kaffevm/boehm-gc/boehm/pthread_stop_world.c,
	kaffe/kaffevm/boehm-gc/boehm/pthread_support.c,
	kaffe/kaffevm/boehm-gc/boehm/ptr_chck.c,
	kaffe/kaffevm/boehm-gc/boehm/real_malloc.c,
	kaffe/kaffevm/boehm-gc/boehm/reclaim.c,
	kaffe/kaffevm/boehm-gc/boehm/rs6000_mach_dep.s,
	kaffe/kaffevm/boehm-gc/boehm/setjmp_t.c,
	kaffe/kaffevm/boehm-gc/boehm/solaris_pthreads.c,
	kaffe/kaffevm/boehm-gc/boehm/solaris_threads.c,
	kaffe/kaffevm/boehm-gc/boehm/sparc_mach_dep.S,
	kaffe/kaffevm/boehm-gc/boehm/sparc_netbsd_mach_dep.s,
	kaffe/kaffevm/boehm-gc/boehm/sparc_sunos4_mach_dep.s,
	kaffe/kaffevm/boehm-gc/boehm/specific.c,
	kaffe/kaffevm/boehm-gc/boehm/stubborn.c,
	kaffe/kaffevm/boehm-gc/boehm/threadlibs.c,
	kaffe/kaffevm/boehm-gc/boehm/typd_mlc.c,
	kaffe/kaffevm/boehm-gc/boehm/version.h,
	kaffe/kaffevm/boehm-gc/boehm/win32_threads.c,
	kaffe/kaffevm/boehm-gc/boehm/Mac_files/MacOS_Test_config.h,
	kaffe/kaffevm/boehm-gc/boehm/Mac_files/MacOS_config.h,
	kaffe/kaffevm/boehm-gc/boehm/Mac_files/dataend.c,
	kaffe/kaffevm/boehm-gc/boehm/Mac_files/datastart.c,
	kaffe/kaffevm/boehm-gc/boehm/cord/cordbscs.c,
	kaffe/kaffevm/boehm-gc/boehm/cord/cordprnt.c,
	kaffe/kaffevm/boehm-gc/boehm/cord/cordtest.c,
	kaffe/kaffevm/boehm-gc/boehm/cord/cordxtra.c,
	kaffe/kaffevm/boehm-gc/boehm/cord/de.c,
	kaffe/kaffevm/boehm-gc/boehm/cord/de_cmds.h,
	kaffe/kaffevm/boehm-gc/boehm/cord/de_win.ICO,
	kaffe/kaffevm/boehm-gc/boehm/cord/de_win.RC,
	kaffe/kaffevm/boehm-gc/boehm/cord/de_win.c,
	kaffe/kaffevm/boehm-gc/boehm/cord/de_win.h,
	kaffe/kaffevm/boehm-gc/boehm/doc/.cvsignore,
	kaffe/kaffevm/boehm-gc/boehm/doc/Makefile.am,
	kaffe/kaffevm/boehm-gc/boehm/doc/Makefile.in,
	kaffe/kaffevm/boehm-gc/boehm/doc/README,
	kaffe/kaffevm/boehm-gc/boehm/doc/README.DGUX386,
	kaffe/kaffevm/boehm-gc/boehm/doc/README.Mac,
	kaffe/kaffevm/boehm-gc/boehm/doc/README.MacOSX,
	kaffe/kaffevm/boehm-gc/boehm/doc/README.OS2,
	kaffe/kaffevm/boehm-gc/boehm/doc/README.amiga,
	kaffe/kaffevm/boehm-gc/boehm/doc/README.arm.cross,
	kaffe/kaffevm/boehm-gc/boehm/doc/README.autoconf,
	kaffe/kaffevm/boehm-gc/boehm/doc/README.changes,
	kaffe/kaffevm/boehm-gc/boehm/doc/README.contributors,
	kaffe/kaffevm/boehm-gc/boehm/doc/README.cords,
	kaffe/kaffevm/boehm-gc/boehm/doc/README.darwin,
	kaffe/kaffevm/boehm-gc/boehm/doc/README.dj,
	kaffe/kaffevm/boehm-gc/boehm/doc/README.environment,
	kaffe/kaffevm/boehm-gc/boehm/doc/README.ews4800,
	kaffe/kaffevm/boehm-gc/boehm/doc/README.hp,
	kaffe/kaffevm/boehm-gc/boehm/doc/README.linux,
	kaffe/kaffevm/boehm-gc/boehm/doc/README.macros,
	kaffe/kaffevm/boehm-gc/boehm/doc/README.rs6000,
	kaffe/kaffevm/boehm-gc/boehm/doc/README.sgi,
	kaffe/kaffevm/boehm-gc/boehm/doc/README.solaris2,
	kaffe/kaffevm/boehm-gc/boehm/doc/README.uts,
	kaffe/kaffevm/boehm-gc/boehm/doc/README.win32,
	kaffe/kaffevm/boehm-gc/boehm/doc/barrett_diagram,
	kaffe/kaffevm/boehm-gc/boehm/doc/debugging.html,
	kaffe/kaffevm/boehm-gc/boehm/doc/gc.man,
	kaffe/kaffevm/boehm-gc/boehm/doc/gcdescr.html,
	kaffe/kaffevm/boehm-gc/boehm/doc/gcinterface.html,
	kaffe/kaffevm/boehm-gc/boehm/doc/leak.html,
	kaffe/kaffevm/boehm-gc/boehm/doc/scale.html,
	kaffe/kaffevm/boehm-gc/boehm/doc/simple_example.html,
	kaffe/kaffevm/boehm-gc/boehm/doc/tree.html,
	kaffe/kaffevm/boehm-gc/boehm/include/.cvsignore,
	kaffe/kaffevm/boehm-gc/boehm/include/Makefile.am,
	kaffe/kaffevm/boehm-gc/boehm/include/Makefile.in,
	kaffe/kaffevm/boehm-gc/boehm/include/cord.h,
	kaffe/kaffevm/boehm-gc/boehm/include/ec.h,
	kaffe/kaffevm/boehm-gc/boehm/include/gc.h,
	kaffe/kaffevm/boehm-gc/boehm/include/gc_alloc.h,
	kaffe/kaffevm/boehm-gc/boehm/include/gc_allocator.h,
	kaffe/kaffevm/boehm-gc/boehm/include/gc_amiga_redirects.h,
	kaffe/kaffevm/boehm-gc/boehm/include/gc_backptr.h,
	kaffe/kaffevm/boehm-gc/boehm/include/gc_config_macros.h,
	kaffe/kaffevm/boehm-gc/boehm/include/gc_cpp.h,
	kaffe/kaffevm/boehm-gc/boehm/include/gc_gcj.h,
	kaffe/kaffevm/boehm-gc/boehm/include/gc_inl.h,
	kaffe/kaffevm/boehm-gc/boehm/include/gc_inline.h,
	kaffe/kaffevm/boehm-gc/boehm/include/gc_local_alloc.h,
	kaffe/kaffevm/boehm-gc/boehm/include/gc_mark.h,
	kaffe/kaffevm/boehm-gc/boehm/include/gc_pthread_redirects.h,
	kaffe/kaffevm/boehm-gc/boehm/include/gc_typed.h,
	kaffe/kaffevm/boehm-gc/boehm/include/javaxfc.h,
	kaffe/kaffevm/boehm-gc/boehm/include/leak_detector.h,
	kaffe/kaffevm/boehm-gc/boehm/include/new_gc_alloc.h,
	kaffe/kaffevm/boehm-gc/boehm/include/weakpointer.h,
	kaffe/kaffevm/boehm-gc/boehm/include/private/cord_pos.h,
	kaffe/kaffevm/boehm-gc/boehm/include/private/darwin_semaphore.h,
	kaffe/kaffevm/boehm-gc/boehm/include/private/darwin_stop_world.h,
	kaffe/kaffevm/boehm-gc/boehm/include/private/dbg_mlc.h,
	kaffe/kaffevm/boehm-gc/boehm/include/private/gc_hdrs.h,
	kaffe/kaffevm/boehm-gc/boehm/include/private/gc_locks.h,
	kaffe/kaffevm/boehm-gc/boehm/include/private/gc_pmark.h,
	kaffe/kaffevm/boehm-gc/boehm/include/private/gc_priv.h,
	kaffe/kaffevm/boehm-gc/boehm/include/private/gcconfig.h,
	kaffe/kaffevm/boehm-gc/boehm/include/private/pthread_stop_world.h,
	kaffe/kaffevm/boehm-gc/boehm/include/private/pthread_support.h,
	kaffe/kaffevm/boehm-gc/boehm/include/private/solaris_threads.h,
	kaffe/kaffevm/boehm-gc/boehm/include/private/specific.h,
	kaffe/kaffevm/boehm-gc/boehm/tests/leak_test.c,
	kaffe/kaffevm/boehm-gc/boehm/tests/middle.c,
	kaffe/kaffevm/boehm-gc/boehm/tests/test.c,
	kaffe/kaffevm/boehm-gc/boehm/tests/test_cpp.cc,
	kaffe/kaffevm/boehm-gc/boehm/tests/thread_leak_test.c,
	kaffe/kaffevm/boehm-gc/boehm/tests/trace_test.c:
	Removed.

2007-08-07  Dalibor Topic  <robilad@kaffe.org>

	Fixed boehm gc to no longer fail most tests. Adapted code
	to use a system wide install of the library.

	* configure.ac (KAFFE_BOEHM_GC): Define when using boehm-gc.
	Check for gc library. Check for gc/gc.h header. Removed
	boehm gc configuration option. Removed boehm gc settings block.
	Removed BOEHMGC_SPECIFIC_FLAGS.

	* kaffe/kaffevm/gc.h (GarbageCollectorInterface_Ops): Set
	return value of getObjectIndex to gc_alloc_type_t.

	* kaffe/kaffevm/boehm-gc/Makefile.am (SUBDIRS): Don't 
	recurse into boehm subdirectory. 
	(AM_CPPFLAGS) Removed BOEHMGC_SPECIFIC_FLAGS.
	(libkaffegc_la_LIBADD) Removed, use system install instead.

	* kaffe/kaffevm/boehm-gc/gc-kaffe.c: Cleaned up include files to
	use system installation. Added missing standard headers.
	(maybe_finalize, GC_kaffe_malloc) Rewritten to use exported boehm APIs.
	(GENERAL_MALLOC) Removed.
	(GC_kaffe_init) Use numerical constants per boehm API spec, 
	rather than TRUE or FALSE.

	* kaffe/kaffevm/boehm-gc/gc-kaffe.h: Include system header for gc_mark.h.

	* kaffe/kaffevm/boehm-gc/gc-refs.c: Include system header for gc.h.
	(KaffeGC_addRef, resizeWeakReferenceObject, KaffeGC_rmRef, KaffeGC_addWeakRef, 
	KaffeGC_rmWeakRef, KaffeGC_clearWeakRef) Use GC_MALLOC_UNCOLLECTABLE and 
	GC_FREE rather than lower case variants for debuggability.

	* kaffe/kaffevm/boehm-gc/gc2.c: Include system header for gc.h and gc_mark.h.
	(KaffeGC_realloc, KaffeGC_free, KaffeGC_malloc)
	Use GC_REALLOC, GC_FREE and GC_MALLOC_UNCOLLECTABLE rather than lower case 
	variants for debuggability.
	(KaffeGC_malloc) Don't use GC_malloc_atomic_uncollectable, as it's only available 
	conditionally.
	(KaffeGC_GetObjectBase) Added assert.
	(KaffeGC_GetObjectIndex) Changed prototype to return gc_alloc_type_t.
	Added assert.
	(KaffeGC_GetObjectDescription) Changed type if idx to gc_alloc_type_t, and 
	simplified.
	(KaffeGC_Init) Added comments. Use GC_INIT rather than explicitly calling 
	GC_init. Fixed boehm gc initialization order. Removed unnecessary setting of 
	heap size to its default unlimited value. Simplified code for setting the
	minimal heap size.

	* kaffe/kaffevm/boehm-gc/gc2.h: Include system header for gc.h and gc_mark.h.
	(MemDescriptor) Changed type of memtype to gc_alloc_type_t.

	* kaffe/kaffevm/systems/unix-pthreads/lock-impl.c,
	kaffe/kaffevm/systems/unix-pthreads/signal.c,
	kaffe/kaffevm/systems/unix-pthreads/thread-impl.c:
	Include system header for gc.h.

	* kaffe/kaffevm/systems/unix-pthreads/thread-impl.c (jthread_suspendall):
	Use GC_disable instead of GC_stop_world and hope for the best.
	(jthread_unsuspendall) Use GC_enable instead of GC_start_world and hope
	for the best.

2007-08-06  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac: Mention configure.ac in copryght information.
	(AM_INIT_AUTOMAKE): Require automake 1.10.

2007-08-06  Dalibor Topic  <robilad@kaffe.org>

	* TODO: Removed finished merge tasks, added gcj integration.

2007-08-06  Dalibor Topic  <robilad@kaffe.org>

	* README, WHATSNEW: Added i386-Interix port.

2007-08-06  Dalibor Topic  <robilad@kaffe.org>

	Added port to i386-interix6.

	* config/i386/interix6/config.frag,
	config/i386/interix6/jit-md.h,
	config/i386/interix6/md.c,
	config/i386/interix6/md.h:
	New files.

	* config/config.alias: Added interix.
	* include/system.h: Define file separators for interix.
	* kaffe/kaffevm/intrp/methodcalls.c: Only include alloca.h,
	if it is detected by configure.
	* kaffe/kaffevm/systems/unix-pthreads/thread-impl.c (jthread_sleep):
	Interix uses usleep instead of nanosleep.
	* libraries/clib/native/java_lang_Object.c (PRIi64): Define if not
	defined before.
	* libraries/javalib/external/classpath/native/jni/java-nio/javanio.h:
	Include sys/time.h.

2007-08-06  Dalibor Topic  <robilad@kaffe.org>

	Merged in plugin fix for automake 1.10 LDFLAGS issue from GNU Classpath,
	and regenerated generated files.

	* libraries/javalib/external/classpath/native/plugin/Makefile.am,
	libraries/javalib/external/classpath/native/plugin/Makefile.in:

	2007-04-16  Dalibor Topic  <robilad at kaffe.org>

	         * native/plugin/Makefile.am (libgcjwebplugin_la_LDFLAGS):
	         Added AM_LDFLAGS for automake 1.10.

2007-08-06  Dalibor Topic  <robilad@kaffe.org>

	Merged in Mark's fix for automake 1.10 LDFLAGS issue from GNU Classpath,
	and regenerated generated files. This fixes the GNU Classpath gtk peers.

	* libraries/javalib/external/classpath/aclocal.m4,
	libraries/javalib/external/classpath/autogen.sh,
	libraries/javalib/external/classpath/config.guess,
	libraries/javalib/external/classpath/config.sub,
	libraries/javalib/external/classpath/configure,
	libraries/javalib/external/classpath/configure.ac,
	libraries/javalib/external/classpath/ltmain.sh,
	libraries/javalib/external/classpath/native/jawt/Makefile.am,
	libraries/javalib/external/classpath/native/jawt/Makefile.in,
	libraries/javalib/external/classpath/native/jni/gconf-peer/Makefile.am,
	libraries/javalib/external/classpath/native/jni/gconf-peer/Makefile.in,
	libraries/javalib/external/classpath/native/jni/gtk-peer/Makefile.am,
	libraries/javalib/external/classpath/native/jni/gtk-peer/Makefile.in,
	libraries/javalib/external/classpath/native/jni/midi-alsa/Makefile.am,
	libraries/javalib/external/classpath/native/jni/midi-alsa/Makefile.in,
	libraries/javalib/external/classpath/native/jni/midi-dssi/Makefile.am,
	libraries/javalib/external/classpath/native/jni/midi-dssi/Makefile.in,
	libraries/javalib/external/classpath/native/jni/qt-peer/Makefile.am,
	libraries/javalib/external/classpath/native/jni/qt-peer/Makefile.in:

	 2007-04-05  Mark Wielaard  <mark at klomp.org>

	  * autogen.sh: Recognize automake 1.10.
	  * configure.ac (AM_INIT_AUTOMAKE): Add -Wno-portability.
	  * native/jawt/Makefile.am (libjawt_la_LDFLAGS): Add AM_LDFLAGS.
	  * native/jni/gconf-peer/Makefile.am (libgconfpeer_la_LDFLAGS): Likewise.
	  * native/jni/gtk-peer/Makefile.am (libgtkpeer_la_LDFLAGS): Likewise.
	  * native/jni/midi-alsa/Makefile.am (libgjsmalsa_la_LDFLAGS): Likewise.
	  * native/jni/midi-dssi/Makefile.am (libgjsmdssi_la_LDFLAGS): Likewise.
	  * native/jni/qt-peer/Makefile.am (libqtpeer_la_LDFLAGS): Likewise.

2007-08-02  Kiyo Inaba <inaba@src.ricoh.co.jp>

	* config/arm/jit.h,
	config/arm/linux/jit3-md.h: Make arm/jit3 work. Not so fast...

2007-07-31 Alper Akcan <alper@kaffe.org>

	* libraries/clib/awt/xynth/graphic.c: Code update for new GRLib API.

2007-07-22  Kiyo Inaba <inaba@src.ricoh.co.jp>

	* config/arm/jit-arm.def: FP reg numbering fix for jit.

2007-07-11  Ito Kazumitsu  <kaz@maczuka.gcd.org>

	* FAQ/FAQ.classlibrary-compile: Updated the ecj status.

2007-07-03  Kiyo Inaba <inaba@src.ricoh.co.jp>

	ARM FP registers numbering fix.

	* config/arm/jit3-arm.def,
	config/arm/jit.h

2007-07-03  Kiyo Inaba <inaba@src.ricoh.co.jp>

	First step to merge coldfire/dragonball port...

	* config/m68k/trampolines.S : Replace inst not supported by coldfire.

	Reported by:  Roland Lezuo <roland.lezuo@chello.at>

2007-07-02  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac : Check if zlib is recent enough (1.2.3, or later).

	Reported by:  Kiyo Inaba <inaba@src.ricoh.co.jp>

2007-07-02  Dalibor Topic  <robilad@kaffe.org>

	Fixed --with-staticlib --disable-zlib-zip build.

	* kaffe/kaffe/Makefile.am (kaffe_bin_LDADD),
	test/internal/Makefile.am (jitBasic_LDADD),
	test/jni/Makefile.am (jniBase_LDADD, jniExecClass_LDADD,
	jniReflect_LDADD, jniWeakTest_LDADD) dlopen libkaffevm.

	* test/internal/Makefile.am (LIBNATIVE) Removed.

	Reported by:  Kiyo Inaba <inaba@src.ricoh.co.jp>

2007-07-01  Dalibor Topic  <robilad@kaffe.org>

	Fixed --with-staticvm --disable-zlib-zip build.

	* kaffe/kaffevm/Makefile.am (native_LTLIBRARIES) Added libkaffe.la
	for the core VM.
	(libkaffe_la_CFLAGS, libkaffe_la_LDFLAGS, libkaffe_la_DEPENDENCIES,
	libkaffe_la_LIBADD, nodist_libkaffe_la_SOURCES) Adapted from their
	libkaffevm precursors.
	(libkaffe_la_SOURCES, libkaffevm_la_SOURCES) Split out the native
	vm class library interface into libkaffevm and the core vm code into
	libkaffe.

	* kaffe/jvmpi/Makefile.am (libkaffejvmpi_la_DEPENDENCIES),
	kaffe/kaffe/Makefile.am (LIBKAFFEVM),
	libraries/clib/management/Makefile.am (libmanagement_la_LIBADD),
	libraries/clib/math/Makefile.am	(libmath_la_LIBADD),
	libraries/clib/security/Makefile.am (libsecurity_la_LIBADD),
	libraries/clib/zip/Makefile.am (libzip_la_LIBADD),
	test/internal/Makefile.am (LIBKAFFEVM),
	test/jni/Makefile.am (LIBKAFFEVM),
	use libkaffe rather then libkaffevm.

	* kaffe/jvmpi/Makefile.in,
	kaffe/kaffe/Makefile.in,
	kaffe/kaffevm/Makefile.in,
	libraries/clib/management/Makefile.in,
	libraries/clib/math/Makefile.in,
	libraries/clib/security/Makefile.in,
	libraries/clib/zip/Makefile.in,
	test/internal/Makefile.in,
	test/jni/Makefile.am,
	Regenerated.

	* test/jni/Makefile.am (jniBase_LDFLAGS, jniExecClass_LDFLAGS, 
	jniReflect_LDFLAGS,jniWeakTest_LDFLAGS) New, added -export-dynamic
	for the staticvm build.

	* kaffe/kaffeh/mem.c (KGC_getMainCollector): New function.

	* kaffe/kaffevm/code.c (addLineNumbers): Added debugging messages.
	Made start_pc check more lenient to allow for ecj-generated code
	to work.

	* kaffe/kaffevm/external.c (loadNativeLibrary): Removed unused code.

	* kaffe/kaffevm/gc.c (KGC_getMainCollector): Added new function.

	* kaffe/kaffevm/gc.h (KGC_getMainCollector): Added new prototype.
	(gc_malloc, gc_calloc, gc_realloc, gc_free, gc_add_ref, gc_rm_ref,
	invokeGC, adviseGC, invokeFinalizer, gc_throwOOM, gc_enableGC,
	gc_disableGC): Use KGC_getMainCollector.

	* kaffe/kaffevm/readClass.c (readAttributes): Added debugging messages.

	* kaffe/kaffevm/string.c (stringJava2C): Simplified.

	Reported by:  Kiyo Inaba <inaba@src.ricoh.co.jp>

2007-06-29  Ito Kazumitsu  <kaz@maczuka.gcd.org>

	* FAQ/FAQ.freebsd: Recommends the use of --with-system-classpath.

2007-06-27  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* kaffe/kaffevm/readClass.c (readClass): Accept classes generated 
	by javac 1.6.

	* kaffe/kaffevm/readClass.h (MAJOR_VERSION_V1_6, MINOR_VERSION_V1_6):
	New constants.

2007-06-25  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/awt-implementations/kaffe/Makefile.am,
	libraries/javalib/dnsjava/Makefile.am,
	libraries/javalib/tritonus-sound/Makefile.am,
	libraries/javalib/vmspecific/Makefile.am,
	libraries/javalib/zlib-zip/Makefile.am,
	tools/gjdoc/javalib/Makefile.am:
	Simplified jar commands to use a single one as much as possible,
	since jar on cygwin does not implement -u.

	* libraries/javalib/awt-implementations/kaffe/Makefile.in,
	libraries/javalib/dnsjava/Makefile.in,
	libraries/javalib/tritonus-sound/Makefile.in,
	libraries/javalib/vmspecific/Makefile.in,
	libraries/javalib/zlib-zip/Makefile.in,
	tools/gjdoc/javalib/Makefile.in:
	Regenerated.

2007-06-14  Dalibor Topic  <robilad@kaffe.org>

	* m4/classpath.m4: Removed unused check for jni.h.

2007-06-13  Dalibor Topic  <robilad@kaffe.org>

	* test/regression/Reflect.java: Simplified.

2007-06-13  Dalibor Topic  <robilad@kaffe.org>

	* test/regression/ProcessClassStop.java: Simplified.

2007-06-13  Dalibor Topic  <robilad@kaffe.org>

	* test/regression/ProcessClassInst.java: Simplified.

2007-06-13  Dalibor Topic  <robilad@kaffe.org>

	* test/awt/WidgetsDemo/WidgetsDemo.java (itemStateChanged): Fixed jikes warning.

2007-06-11  Dalibor Topic  <robilad@kaffe.org>

	* WHATSNEW: Updated.

2007-06-11  Dalibor Topic  <robilad@kaffe.org>

	* THIRDPARTY: Added m4/classpath.m4.

2007-06-11  Dalibor Topic  <robilad@kaffe.org>

	Added support for using an existing GNU Classpath installation.

	* m4/classpath.m4: Taken from Cacao, slightly adapted.

	* Makefile.am (BUILD_ENVIRONMENT-make): Add the installed GNU Classpath 
	libraries to the KAFFELIBRARPATH.

	* configure.ac: Added support for using an existing GNU Classpath installation.
	Set GLIBJ_ZIP according to the class library used.

	* developers/autogen.sh: Removed fastjar-related parts.

	* kaffe/scripts/kaffe.in (KAFFELIBRARYPATH): Add the installed GNU Classpath 
        libraries.

	* libraries/javalib/Makefile.am (USE_SYSTEM_CLASSPATH): Added section to 
	handle an existing GNU Classpath installation.

	* test/internal/Makefile.am (LIBNATIVE): Set according to the source of native
	class library code.

	* test/regression/TestScript.in (JAVA_COMPILER): Use GLIBJ_ZIP.

2007-06-08  Dalibor Topic  <robilad@kaffe.org>

	* FAQ/FAQ.requiredlibraries: Documented zlib & jar tool requirements.

	Reported by:  Kiyo Inaba <inaba@src.ricoh.co.jp>

2007-06-07  Dalibor Topic  <robilad@kaffe.org>

	* FAQ/FAQ.automake: Documented use of gettext 0.16.1.

	* Makefile.am (SUBDIRS, DIST_SUBDIRS): Removed external.

	* configure.ac: Removed support for built-in 
	fastjar and zip library.

	* developers/autogen.sh: Updated to use gettext 0.16.1.

	* external/.cvsignore,
	external/Makefile.am,
	external/Makefile.in,
	external/gcc/.cvsignore,
	external/gcc/Makefile.am,
	external/gcc/Makefile.in,
	external/gcc/fastjar/.cvsignore,
	external/gcc/fastjar/AUTHORS,
	external/gcc/fastjar/CHANGES,
	external/gcc/fastjar/COPYING,
	external/gcc/fastjar/ChangeLog,
	external/gcc/fastjar/INSTALL,
	external/gcc/fastjar/Makefile.am,
	external/gcc/fastjar/Makefile.in,
	external/gcc/fastjar/NEWS,
	external/gcc/fastjar/README,
	external/gcc/fastjar/aclocal.m4,
	external/gcc/fastjar/compile,
	external/gcc/fastjar/compress.c,
	external/gcc/fastjar/compress.h,
	external/gcc/fastjar/config.guess,
	external/gcc/fastjar/config.h.in,
	external/gcc/fastjar/config.sub,
	external/gcc/fastjar/configure,
	external/gcc/fastjar/configure.ac,
	external/gcc/fastjar/depcomp,
	external/gcc/fastjar/dostime.c,
	external/gcc/fastjar/dostime.h,
	external/gcc/fastjar/fastjar.1,
	external/gcc/fastjar/fastjar.info,
	external/gcc/fastjar/fastjar.texi,
	external/gcc/fastjar/gcc-common.texi,
	external/gcc/fastjar/gpl.texi,
	external/gcc/fastjar/grepjar.1,
	external/gcc/fastjar/install-defs.sh.in,
	external/gcc/fastjar/install-sh,
	external/gcc/fastjar/jargrep.c,
	external/gcc/fastjar/jargrep.h,
	external/gcc/fastjar/jartool.c,
	external/gcc/fastjar/jartool.h,
	external/gcc/fastjar/ltmain.sh,
	external/gcc/fastjar/m4/accross.m4,
	external/gcc/fastjar/m4/ax_cflags_gcc_option.m4,
	external/gcc/fastjar/m4/ax_cflags_warn_all.m4,
	external/gcc/fastjar/m4/gcc_AC_FUNC_MKDIR_TAKES_ONE_ARG.m4,
	external/gcc/fastjar/m4/getopt.m4,
	external/gcc/fastjar/missing,
	external/gcc/fastjar/pushback.c,
	external/gcc/fastjar/pushback.h,
	external/gcc/fastjar/scripts/compile,
	external/gcc/fastjar/scripts/config.guess,
	external/gcc/fastjar/scripts/config.sub,
	external/gcc/fastjar/scripts/depcomp,
	external/gcc/fastjar/scripts/install-sh,
	external/gcc/fastjar/scripts/ltmain.sh,
	external/gcc/fastjar/scripts/missing,
	external/gcc/fastjar/shift.c,
	external/gcc/fastjar/shift.h,
	external/gcc/fastjar/zipfile.h,
	external/gcc/zlib/.cvsignore,
	external/gcc/zlib/ChangeLog,
	external/gcc/zlib/ChangeLog.gcj,
	external/gcc/zlib/ChangeLog.kaffe,
	external/gcc/zlib/FAQ,
	external/gcc/zlib/INDEX,
	external/gcc/zlib/Makefile.am,
	external/gcc/zlib/Makefile.in,
	external/gcc/zlib/README,
	external/gcc/zlib/acinclude.m4,
	external/gcc/zlib/aclocal.m4,
	external/gcc/zlib/adler32.c,
	external/gcc/zlib/algorithm.txt,
	external/gcc/zlib/amiga/Makefile.pup,
	external/gcc/zlib/amiga/Makefile.sas,
	external/gcc/zlib/as400/bndsrc,
	external/gcc/zlib/as400/compile.clp,
	external/gcc/zlib/as400/readme.txt,
	external/gcc/zlib/as400/zlib.inc,
	external/gcc/zlib/compress.c,
	external/gcc/zlib/configure,
	external/gcc/zlib/configure.ac,
	external/gcc/zlib/contrib/README.contrib,
	external/gcc/zlib/contrib/ada/buffer_demo.adb,
	external/gcc/zlib/contrib/ada/mtest.adb,
	external/gcc/zlib/contrib/ada/read.adb,
	external/gcc/zlib/contrib/ada/readme.txt,
	external/gcc/zlib/contrib/ada/test.adb,
	external/gcc/zlib/contrib/ada/zlib-streams.adb,
	external/gcc/zlib/contrib/ada/zlib-streams.ads,
	external/gcc/zlib/contrib/ada/zlib-thin.adb,
	external/gcc/zlib/contrib/ada/zlib-thin.ads,
	external/gcc/zlib/contrib/ada/zlib.adb,
	external/gcc/zlib/contrib/ada/zlib.ads,
	external/gcc/zlib/contrib/ada/zlib.gpr,
	external/gcc/zlib/contrib/asm586/README.586,
	external/gcc/zlib/contrib/asm586/match.S,
	external/gcc/zlib/contrib/asm686/README.686,
	external/gcc/zlib/contrib/asm686/match.S,
	external/gcc/zlib/contrib/blast/Makefile,
	external/gcc/zlib/contrib/blast/README,
	external/gcc/zlib/contrib/blast/blast.c,
	external/gcc/zlib/contrib/blast/blast.h,
	external/gcc/zlib/contrib/blast/test.txt,
	external/gcc/zlib/contrib/delphi/ZLib.pas,
	external/gcc/zlib/contrib/delphi/ZLibConst.pas,
	external/gcc/zlib/contrib/delphi/readme.txt,
	external/gcc/zlib/contrib/delphi/zlibd32.mak,
	external/gcc/zlib/contrib/dotzlib/DotZLib.build,
	external/gcc/zlib/contrib/dotzlib/DotZLib.sln,
	external/gcc/zlib/contrib/dotzlib/DotZLib/AssemblyInfo.cs,
	external/gcc/zlib/contrib/dotzlib/DotZLib/ChecksumImpl.cs,
	external/gcc/zlib/contrib/dotzlib/DotZLib/CircularBuffer.cs,
	external/gcc/zlib/contrib/dotzlib/DotZLib/CodecBase.cs,
	external/gcc/zlib/contrib/dotzlib/DotZLib/Deflater.cs,
	external/gcc/zlib/contrib/dotzlib/DotZLib/DotZLib.cs,
	external/gcc/zlib/contrib/dotzlib/DotZLib/DotZLib.csproj,
	external/gcc/zlib/contrib/dotzlib/DotZLib/GZipStream.cs,
	external/gcc/zlib/contrib/dotzlib/DotZLib/Inflater.cs,
	external/gcc/zlib/contrib/dotzlib/DotZLib/UnitTests.cs,
	external/gcc/zlib/contrib/dotzlib/LICENSE_1_0.txt,
	external/gcc/zlib/contrib/dotzlib/readme.txt,
	external/gcc/zlib/contrib/infback9/README,
	external/gcc/zlib/contrib/infback9/infback9.c,
	external/gcc/zlib/contrib/infback9/infback9.h,
	external/gcc/zlib/contrib/infback9/inffix9.h,
	external/gcc/zlib/contrib/infback9/inflate9.h,
	external/gcc/zlib/contrib/infback9/inftree9.c,
	external/gcc/zlib/contrib/infback9/inftree9.h,
	external/gcc/zlib/contrib/inflate86/inffas86.c,
	external/gcc/zlib/contrib/inflate86/inffast.S,
	external/gcc/zlib/contrib/iostream/test.cpp,
	external/gcc/zlib/contrib/iostream/zfstream.cpp,
	external/gcc/zlib/contrib/iostream/zfstream.h,
	external/gcc/zlib/contrib/iostream2/zstream.h,
	external/gcc/zlib/contrib/iostream2/zstream_test.cpp,
	external/gcc/zlib/contrib/iostream3/README,
	external/gcc/zlib/contrib/iostream3/TODO,
	external/gcc/zlib/contrib/iostream3/test.cc,
	external/gcc/zlib/contrib/iostream3/zfstream.cc,
	external/gcc/zlib/contrib/iostream3/zfstream.h,
	external/gcc/zlib/contrib/masm686/match.asm,
	external/gcc/zlib/contrib/masmx64/bld_ml64.bat,
	external/gcc/zlib/contrib/masmx64/gvmat64.asm,
	external/gcc/zlib/contrib/masmx64/inffas8664.c,
	external/gcc/zlib/contrib/masmx64/inffasx64.asm,
	external/gcc/zlib/contrib/masmx64/readme.txt,
	external/gcc/zlib/contrib/masmx86/bld_ml32.bat,
	external/gcc/zlib/contrib/masmx86/gvmat32.asm,
	external/gcc/zlib/contrib/masmx86/gvmat32c.c,
	external/gcc/zlib/contrib/masmx86/inffas32.asm,
	external/gcc/zlib/contrib/masmx86/mkasm.bat,
	external/gcc/zlib/contrib/masmx86/readme.txt,
	external/gcc/zlib/contrib/minizip/ChangeLogUnzip,
	external/gcc/zlib/contrib/minizip/Makefile,
	external/gcc/zlib/contrib/minizip/crypt.h,
	external/gcc/zlib/contrib/minizip/ioapi.c,
	external/gcc/zlib/contrib/minizip/ioapi.h,
	external/gcc/zlib/contrib/minizip/iowin32.c,
	external/gcc/zlib/contrib/minizip/iowin32.h,
	external/gcc/zlib/contrib/minizip/miniunz.c,
	external/gcc/zlib/contrib/minizip/minizip.c,
	external/gcc/zlib/contrib/minizip/mztools.c,
	external/gcc/zlib/contrib/minizip/mztools.h,
	external/gcc/zlib/contrib/minizip/unzip.c,
	external/gcc/zlib/contrib/minizip/unzip.h,
	external/gcc/zlib/contrib/minizip/zip.c,
	external/gcc/zlib/contrib/minizip/zip.h,
	external/gcc/zlib/contrib/pascal/example.pas,
	external/gcc/zlib/contrib/pascal/readme.txt,
	external/gcc/zlib/contrib/pascal/zlibd32.mak,
	external/gcc/zlib/contrib/pascal/zlibpas.pas,
	external/gcc/zlib/contrib/puff/Makefile,
	external/gcc/zlib/contrib/puff/README,
	external/gcc/zlib/contrib/puff/puff.c,
	external/gcc/zlib/contrib/puff/puff.h,
	external/gcc/zlib/contrib/testzlib/testzlib.c,
	external/gcc/zlib/contrib/testzlib/testzlib.txt,
	external/gcc/zlib/contrib/untgz/Makefile,
	external/gcc/zlib/contrib/untgz/Makefile.msc,
	external/gcc/zlib/contrib/untgz/untgz.c,
	external/gcc/zlib/contrib/vstudio/readme.txt,
	external/gcc/zlib/contrib/vstudio/vc7/miniunz.vcproj,
	external/gcc/zlib/contrib/vstudio/vc7/minizip.vcproj,
	external/gcc/zlib/contrib/vstudio/vc7/testzlib.vcproj,
	external/gcc/zlib/contrib/vstudio/vc7/zlib.rc,
	external/gcc/zlib/contrib/vstudio/vc7/zlibstat.vcproj,
	external/gcc/zlib/contrib/vstudio/vc7/zlibvc.def,
	external/gcc/zlib/contrib/vstudio/vc7/zlibvc.sln,
	external/gcc/zlib/contrib/vstudio/vc7/zlibvc.vcproj,
	external/gcc/zlib/contrib/vstudio/vc8/miniunz.vcproj,
	external/gcc/zlib/contrib/vstudio/vc8/minizip.vcproj,
	external/gcc/zlib/contrib/vstudio/vc8/testzlib.vcproj,
	external/gcc/zlib/contrib/vstudio/vc8/testzlibdll.vcproj,
	external/gcc/zlib/contrib/vstudio/vc8/zlib.rc,
	external/gcc/zlib/contrib/vstudio/vc8/zlibstat.vcproj,
	external/gcc/zlib/contrib/vstudio/vc8/zlibvc.def,
	external/gcc/zlib/contrib/vstudio/vc8/zlibvc.sln,
	external/gcc/zlib/contrib/vstudio/vc8/zlibvc.vcproj,
	external/gcc/zlib/crc32.c,
	external/gcc/zlib/crc32.h,
	external/gcc/zlib/deflate.c,
	external/gcc/zlib/deflate.h,
	external/gcc/zlib/example.c,
	external/gcc/zlib/examples/README.examples,
	external/gcc/zlib/examples/fitblk.c,
	external/gcc/zlib/examples/gun.c,
	external/gcc/zlib/examples/gzappend.c,
	external/gcc/zlib/examples/gzjoin.c,
	external/gcc/zlib/examples/gzlog.c,
	external/gcc/zlib/examples/gzlog.h,
	external/gcc/zlib/examples/zlib_how.html,
	external/gcc/zlib/examples/zpipe.c,
	external/gcc/zlib/examples/zran.c,
	external/gcc/zlib/gzio.c,
	external/gcc/zlib/infback.c,
	external/gcc/zlib/inffast.c,
	external/gcc/zlib/inffast.h,
	external/gcc/zlib/inffixed.h,
	external/gcc/zlib/inflate.c,
	external/gcc/zlib/inflate.h,
	external/gcc/zlib/inftrees.c,
	external/gcc/zlib/inftrees.h,
	external/gcc/zlib/make_vms.com,
	external/gcc/zlib/minigzip.c,
	external/gcc/zlib/msdos/Makefile.bor,
	external/gcc/zlib/msdos/Makefile.dj2,
	external/gcc/zlib/msdos/Makefile.emx,
	external/gcc/zlib/msdos/Makefile.msc,
	external/gcc/zlib/msdos/Makefile.tc,
	external/gcc/zlib/old/Makefile.riscos,
	external/gcc/zlib/old/README,
	external/gcc/zlib/old/descrip.mms,
	external/gcc/zlib/old/os2/Makefile.os2,
	external/gcc/zlib/old/os2/zlib.def,
	external/gcc/zlib/old/visual-basic.txt,
	external/gcc/zlib/old/zlib.html,
	external/gcc/zlib/projects/README.projects,
	external/gcc/zlib/projects/visualc6/README.txt,
	external/gcc/zlib/projects/visualc6/example.dsp,
	external/gcc/zlib/projects/visualc6/minigzip.dsp,
	external/gcc/zlib/projects/visualc6/zlib.dsp,
	external/gcc/zlib/projects/visualc6/zlib.dsw,
	external/gcc/zlib/qnx/package.qpg,
	external/gcc/zlib/trees.c,
	external/gcc/zlib/trees.h,
	external/gcc/zlib/uncompr.c,
	external/gcc/zlib/win32/DLL_FAQ.txt,
	external/gcc/zlib/win32/Makefile.bor,
	external/gcc/zlib/win32/Makefile.emx,
	external/gcc/zlib/win32/Makefile.gcc,
	external/gcc/zlib/win32/Makefile.msc,
	external/gcc/zlib/win32/VisualC.txt,
	external/gcc/zlib/win32/zlib.def,
	external/gcc/zlib/win32/zlib1.rc,
	external/gcc/zlib/zconf.h,
	external/gcc/zlib/zconf.in.h,
	external/gcc/zlib/zlib.3,
	external/gcc/zlib/zlib.h,
	external/gcc/zlib/zutil.c,
	external/gcc/zlib/zutil.h:
	Removed.

	* kaffe/kaffeh/Makefile.am,
	kaffe/kaffevm/Makefile.am,
	libraries/clib/zip/Makefile.am:
	Use system zip library.

	* kaffe/scripts/jar.in:
	Use system fastjar tool.

2007-05-26  Ito Kazumitsu  <kaz@maczuka.gcd.org>

	* FAQ/FAQ.freebsd: New file.
	* libraries/javalib/external/classpath/native/jni/java-nio/gnu_java_nio_VMChannel.c,
	libraries/javalib/external/classpath/native/jni/native-lib/cpio.c,
	libraries/javalib/external/classpath/native/jni/native-lib/cpio.h:
	Copied from GNU Classpath so that a FreeBSD problem can have a
	workaround.

2007-05-10  Kiyo Inaba <inaba@src.ricoh.co.jp>

	* config/arm/jit3-arm.def: Updated to new LOUT etc scheme.

2007-05-09  Kiyo Inaba <inaba@src.ricoh.co.jp>

	* config/m68k/jit-m68k.def,
	config/m68k/jit3-m68k.def: Reorder function definitions.

2007-05-03  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/external/classpath/tools/Makefile.am:
	Merged in a fix for make distcheck.

	 2006-12-17  Mark Wielaard  <mark@klomp.org>

	* tools/Makefile.am (TOOLS_ZIP): Don't remove .lst files immediately.
	(clean-local): Remove all .lst files

2007-05-03  Dalibor Topic  <robilad@kaffe.org>

	* test/regression/Makefile.am (XFAIL_TESTS): Added failing
	serialization tests.

2007-04-22  Sascha Hauer <s.hauer@pengutronix.de>

	* config/arm/linux/md.c: put the arm jit back into business for kernels >2.6.9.

2007-04-14 Kiyo Inaba <inaba@src.ricoh.co.jp>

	* kaffe/kaffe/kaffevm/systems/unix-pthreads/signal.c: Add macro
	definition SIGNAL_ARGS, if it has not been defined in 'md.h'.
	This is needed for the effortless intrp port (like arm/netbsd1).

2007-04-04 Ito Kazumitsu  <kaz@maczuka.gcd.org>

	* kaffe/kaffevm/readClass.c(readClass): Return NULL when to throw
	UnsupportedClassVersionError. Accept class files of version 1.5.

2007-02-14 Alper Akcan <alper@kaffe.org>

	* libraries/clib/awt/xynth/Makefile.am,
	libraries/clib/awt/xynth/Makefile.in,
	libraries/clib/awt/xynth/color.c,
	libraries/clib/awt/xynth/event.c,
	libraries/clib/awt/xynth/font.c,
	libraries/clib/awt/xynth/graphic.c,
	libraries/clib/awt/xynth/image.c,
	libraries/clib/awt/xynth/toolkit.c,
	libraries/clib/awt/xynth/toolkit.h,
	libraries/clib/awt/xynth/window.c : Minor improvements.

2007-02-09  Ito Kazumitsu  <kaz@maczuka.gcd.org>

	* libraries/javalib/external/classpath/gnu/java/util/regex/RETokenChar.java :
	Copied from GNU Classpath. Some bugs have been fixed.

2007-01-28  Ito Kazumitsu  <kaz@maczuka.gcd.org>

	* libraries/javalib/external/classpath/native/jni/java-nio/gnu_java_nio_VMChannel.c,
	libraries/javalib/external/classpath/native/jni/java-nio/javanio.c:
	Copied from GNU Classpath. Some bugs have been fixed.

2007-01-20  Ito Kazumitsu  <kaz@maczuka.gcd.org>

	* libraries/javalib/external/classpath/java/text/DecimalFormat.java,
	libraries/javalib/external/classpath/java/text/SimpleDateFormat.java,
	libraries/javalib/external/classpath/native/jni/native-lib/cpnet.c,
	libraries/javalib/external/classpath/native/jni/native-lib/cpnet.h:
	Copied from GNU Classpath. Some bugs have been fixed.

2007-01-11  Ito Kazumitsu  <kaz@maczuka.gcd.org>

	* libraries/javalib/vmspecific/java/net/VMInetAddress.java
	(getHostByName): Convert the type of the reisult from Object[]
	to byte[][].

2007-01-08  Dalibor Topic  <robilad@kaffe.org>

	* developers/autogen.sh, FAQ/FAQ.automake:
	Use autoconf 2.61.

2007-01-08  Dalibor Topic  <robilad@kaffe.org>

	Small fix for make distcheck.

	* tools/javatools/Makefile.am (JAR_CMD2): Removed since
	org subdirectory has been deleted.
	(CLASSFILE): Don't invoke JAR_CMD2.

2007-01-07  Dalibor Topic  <robilad@kaffe.org>

	* THIRDPARTY: Removed license information for components that are
	part of GNU Classpath, and added a pointer to its license information
	file instead.

	Replaced kaffe's copy of rmic from GNU Classpath tools project with 
	the merged in version from GNU Classpath.

	* configure.ac (AC_CONFIG_FILES): Removed kaffe/scripts/rmic and added
	kaffe/scripts/compat/rmic.

	* kaffe/scripts/Makefile.am (SCRIPTFILES_SUN): Removed rmic.

	* kaffe/scripts/bat/Makefile.am (EXTRA_DIST): Removed rmic.

	* kaffe/scripts/compat/Makefile.am (bin_SCRIPTS): Added rmic.

	* libraries/javalib/external/classpath/ : Resynced up to 2006-12-07.

	* libraries/javalib/external/classpath/tools/Makefile.am: Fixed to work for jikes.

	* tools/javatools/Makefile.am  (dist_tools_JAVA): Removed 
	gnu/classpath/tools/rmi/rmic/RMIC.java,
	gnu/classpath/tools/rmi/rmic/RMICException.java,
	gnu/classpath/tools/rmi/rmic/Variables.java,
        org/objectweb/asm153/Attribute.java,
        org/objectweb/asm153/ByteVector.java,
        org/objectweb/asm153/ClassReader.java,
        org/objectweb/asm153/ClassVisitor.java,
        org/objectweb/asm153/ClassWriter.java,
        org/objectweb/asm153/CodeVisitor.java,
        org/objectweb/asm153/CodeWriter.java,
        org/objectweb/asm153/Constants.java,
        org/objectweb/asm153/Edge.java,
        org/objectweb/asm153/Item.java,
        org/objectweb/asm153/Label.java,
        and org/objectweb/asm153/Type.java.

	* kaffe/scripts/rmic.in,
	kaffe/scripts/bat/rmic,
	tools/javatools/gnu/classpath/tools/rmi/rmic/RMIC.java,
	tools/javatools/gnu/classpath/tools/rmi/rmic/RMICException.java,
	tools/javatools/gnu/classpath/tools/rmi/rmic/Variables.java,
	tools/javatools/org/objectweb/asm153/Attribute.java,
	tools/javatools/org/objectweb/asm153/ByteVector.java,
	tools/javatools/org/objectweb/asm153/ClassReader.java,
	tools/javatools/org/objectweb/asm153/ClassVisitor.java,
	tools/javatools/org/objectweb/asm153/ClassWriter.java,
	tools/javatools/org/objectweb/asm153/CodeVisitor.java,
	tools/javatools/org/objectweb/asm153/CodeWriter.java,
	tools/javatools/org/objectweb/asm153/Constants.java,
	tools/javatools/org/objectweb/asm153/Edge.java,
	tools/javatools/org/objectweb/asm153/Item.java,
	tools/javatools/org/objectweb/asm153/Label.java,
	tools/javatools/org/objectweb/asm153/Type.java:
	Removed.

	* kaffe/scripts/compat/rmic.in: New file.

2007-01-05  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/external/classpath/ : Resynced with GNU Classpath 
	up to 2006-12-06, i.e. 0.93.

2007-01-05  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/external/classpath/ : Resynced with GNU Classpath 
	up to 2006-11-30.

2007-01-05  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/external/classpath/ : Resynced with GNU Classpath 
	up to 2006-11-06.

2007-01-05  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/external/classpath/ : Resynced with GNU Classpath 
	up to 2006-10-15.

	* libraries/javalib/vmspecific/java/lang/VMClassLoader.java:
	Resynced with GNU Classpath.

2007-01-05  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/external/classpath/ : Resynced with GNU Classpath 
	up to 2006-10-05.

2007-01-05  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/Makefile.am (AM_CPPFLAGS): removed fdlibm and 
	classpath directories.
	(libkaffevm_la_DEPENDENCIES) Removed fdlibm and classpath libraries.

	This allows libkaffevm to be independent of libclasspath, and 
	thereby avoids triggering the new JNI_OnLoad function in 
	libclasspath during bootstrap. 

	* kaffe/kaffevm/classMethod.c (initialiseSecurity): Added debug
	output.

	* kaffe/kaffevm/external.c (loadNativeLibrarySymFromLib): New 
	internal function.
	(loadNativeLibrary, loadNativeLibrarySym) Use it.

	* kaffe/kaffevm/thread.c (KaffeVM_attachFakedThreadInstance): 
	Moved jnireferences initialisation to ...
	(linkNativeAndJavaThread) ... here, to ensure that each new 
	thread has jnireferences available.

	* kaffe/kaffevm/jni/jni-helpers.c (KaffeJNI_GetDirectBufferAddress):
	Return NULL if no directbufferimpladdress is set.

	* libraries/clib/native/gnu_classpath_VMSystemProperties.c:
	Don't include jcl.h. Include config.h.

	* libraries/clib/net/InetAddressImpl.c (inetClass, inetLockInit,
	inetLock, java_net_VMInetAddress_lookupInaddrAny, initInetLock,
	java_net_VMInetAddress_getLocalHostname): Removed in ordeer to 
	use the implementation in GNU Classpath.

	* libraries/clib/native/java_lang_VMDouble.c,
	libraries/clib/native/java_lang_VMSystem.c,
	libraries/clib/net/NetworkInterface.c,
	libraries/clib/nio/.cvsignore,
	libraries/clib/nio/gnu_java_nio_VMSelector.c: Removed.

	* libraries/javalib/vmspecific/java/lang/VMSystem.java:
	Resynced with GNU Classpath.

	* libraries/javalib/external/classpath/ : Resynced with GNU Classpath 
	up to 2006-09-17.

2007-01-05  Ito Kazumitsu  <kaz@maczuka.gcd.org>

	* test/regression/InetAddressTest.java,
	test/regression/InetSocketAddressTest.java: Modified so that various
	expressions of IPv6 address of localhost can be accepted.

2007-01-04  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/external/classpath/ : Resynced with GNU Classpath until
        2006-09-16.

2007-01-03  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac: Removed CLASSPATH_INCLUDES. Removed
	libraries/clib/target/Makefile, libraries/clib/target/generic/Makefile,
	libraries/clib/target/Linux/Makefile from the list of files to output 
	since the target directory has been removed.

	* kaffe/kaffevm/Makefile.am (AM_CPPFLAGS): Removed CLASSPATH_INCLUDES.
	(libkaffevm_la_SOURCES) Removed gnu_java_nio_channels_FileChannelImpl.c,
	PlainDatagramSocketImpl.c, PlainSocketImpl.c, java_io_File.c, 
	java_io_VMFile.c and java_lang_VMProcess.c.

	* libraries/clib/Makefile.am (SUBDIRS): Removed target.

	* libraries/javalib/external/classpath/ : Resynced with GNU Classpath until
	2006-09-09.

	* libraries/javalib/vmspecific/Makefile.am (dist_vminterface_JAVA):
	Removed gnu/java/net/PlainDatagramSocketImpl.java, gnu/java/net/PlainSocketImpl.java,
	java/net/InetAddress.java and java/net/VMURLConnection.java.

	* libraries/javalib/vmspecific/java/lang/ref/Reference.java,
	libraries/javalib/vmspecific/java/net/VMInetAddress.java:
	Resynced with GNU Classpath.

	* libraries/clib/io/java_io_File.c,
	libraries/clib/io/java_io_VMFile.c,
	libraries/clib/native/java_lang_VMProcess.c,
	libraries/clib/net/PlainDatagramSocketImpl.c,
	libraries/clib/net/PlainSocketImpl.c,
	libraries/clib/nio/gnu_java_nio_channels_FileChannelImpl.c,
	raries/clib/target/Makefile.am,
	libraries/clib/target/Makefile.in,
	libraries/clib/target/readme.txt,
	libraries/clib/target/Linux/.cvsignore,
	libraries/clib/target/Linux/Makefile.am,
	libraries/clib/target/Linux/Makefile.in,
	libraries/clib/target/Linux/target_native.h,
	libraries/clib/target/Linux/target_native_file.h,
	libraries/clib/target/Linux/target_native_io.h,
	libraries/clib/target/Linux/target_native_math_float.h,
	libraries/clib/target/Linux/target_native_math_int.h,
	libraries/clib/target/Linux/target_native_misc.h,
	libraries/clib/target/Linux/target_native_network.h,
	libraries/clib/target/generic/.cvsignore,
	libraries/clib/target/generic/Makefile.am,
	libraries/clib/target/generic/Makefile.in,
	libraries/clib/target/generic/target_generic.h,
	libraries/clib/target/generic/target_generic_file.h,
	libraries/clib/target/generic/target_generic_io.h,
	libraries/clib/target/generic/target_generic_math_float.h,
	libraries/clib/target/generic/target_generic_math_int.h,
	libraries/clib/target/generic/target_generic_misc.h,
	libraries/clib/target/generic/target_generic_network.h,
	libraries/javalib/vmspecific/gnu/java/net/PlainDatagramSocketImpl.java,
	libraries/javalib/vmspecific/gnu/java/net/PlainSocketImpl.java,
	libraries/javalib/vmspecific/java/net/InetAddress.java,
	libraries/javalib/vmspecific/java/net/VMURLConnection.java:
	Removed.

2006-12-08  Dalibor Topic  <robilad@kaffe.org>

	* developers/resync-classpath.sh: Build classpath with Werror disabled.

	* libraries/clib/native/gnu_classpath_VMStackWalker.c 
	(gnu_classpath_VMStackWalker_getClassLoader): New function.

	* libraries/javalib/vmspecific/gnu/classpath/VMStackWalker.java:
	Resynced with GNU Classpath's version.

	* libraries/javalib/external/classpath: Resynced up to 2006-08-17.

2006-12-03  Riccardo Mottola <riccardo@kaffe.org>

	Hint by Guilhem, draw the focus border according to the focus manager
	and not ketTgt:
	* libraries/javalib/awt-implementations/kaffe/java/awt/Component.java
	
2006-11-28  Dalibor Topic  <robilad@kaffe.org>

	* librariec/clib/native/java_lang_VMDouble.c,
	libraries/javalib/external/classpath/native/fdlibm/mprec.h:
	Resynced with changes from GNU Classpath.

	2006-09-14  Christian Thalinger  <twisti@complang.tuwien.ac.at>

        Fixes PR22800
        * native/fdlibm/mprec.h (Storeinc): Define correctly for LE
        architectures (like Arm).
        * native/jni/java-lang/java_lang_VMDouble.c (doubleToLongBits):
        Reverted SWAP_DOUBLE patch.
        (doubleToRawLongBits): Likewise.
        (longBitsToDouble): Likewise.

2006-11-27  Dalibor Topic  <robilad@kaffe.org>

	Fixed the build on Mac OS X 10.4.8.
	Reported by:  Jim Pick  <jim@kaffe.org>

	* libraries/clib/io/File.c: Renamed to 
	* libraries/clib/io/java_io_File.c: this one.

	* libraries/clib/native/Object.c: Renamed to
	* libraries/clib/native/java_lang_Object.c: this one.

	* libraries/clib/native/String.c: Renamed to
	* libraries/clib/native/java_lang_String.c: this one.

	* libraries/clib/native/Thread.c: Renamed to
	* libraries/clib/native/java_lang_Thread.c: this one.

	* kaffe/kaffevm/Makefile.am: Updated to use the new names.

2006-11-19  Guilhem Lavaux  <guilhem@kaffe.org>,
	Riccardo Mottola <riccardo@kaffe.org>

	*
	libraries/javalib/awt-implementations/kaffe/java/awt/Component.java
	(dispatchEventImpl): Imported GNU Classpath's logic. Use event
	dispatcher to process the event.

	*
	libraries/javalib/awt-implementations/kaffe/java/awt/EventDispatchThread.java:
	Large code importation from GNU Classpath. First try to dispatch 
	to FocusManager and then dispatch explicitly to the destination.
	
	*
	libraries/javalib/awt-implementations/kaffe/java/awt/KeyEvt.java
	(dispatch) Dispatch the synthetic event first through the FocusManager and
	then directly to the destination.
	
	*
	libraries/javalib/awt-implementations/kaffe/java/awt/MenuComponent.java:
	(dispatchEventImpl): New internal method. It calls directly
	AWTEvent.dispatch()
	(dispatchEvent): Delegate to dispatchEventImpl.

2006-11-19  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/boehm-gc/gc-refs.c (KaffeGC_rmRef),
	kaffe/kaffevm/boehm-gc/gc-refs.h (KaffeGC_initRefs):
	Removed const qualifier from mem parameter to fix
	compiler warning.	

2006-11-19  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/boehm-gc/gc-refs.c (KaffeGC_clearWeakRef): 
	Mark collector parameter as unused to fix compiler warning.

2006-11-19  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/boehm-gc/gc-kaffe.c (maybe_finalize): 
	Changed type of last_finalized_no to GC_word to fix
	compiler warning.
	
2006-11-19  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/boehm-gc/gc-kaffe.c: Changed type
	of GC_kaffe_freelist to void ** to fix compiler warning.
	(GC_kaffe_malloc) Changed types of op and opp to void* and
	void ** to fix compiler warnings. 
	(GC_kaffe_init) Removed no longer necessary cast.

2006-11-19  Dalibor Topic  <robilad@kaffe.org>

	Fix for #76.

	* configure.ac: Check if lib(un)gif header is installed,
	when building kaffe X AWT and error out if it isn't.

2006-11-17  Dalibor Topic  <robilad@kaffe.org>

	* WHATSNEW: Added port to GNU/kFreeBSD.

2006-11-17  Petr Salinger  <Petr.Salinger@seznam.cz>

	Added port to GNU/kFreeBSD.

	* config/config.alias: Added kfreebsd.

	* kaffe/kaffevm/systems/unix-pthreads/thread-impl.c:
	(SCHEDULE_POLICY) Leave undefined for GNU/kFreeBSD.

	* config/i386/freebsd2/md.h: Add a little initialisation
	code for GNU/kFreeBSD.

	* kaffe/kaffevm/systems/unix-jthreads/config-jthreads.h:
	Set SP_OFFSET for GNU/kFreeBSD.

2006-11-12  Alexander Boettcher <alex@kaffe.org>

	* config/i386/drops/config.frag,
	  config/i386/drops/md.c,
	  config/i386/drops/md.h:
	dummy adaptation to uclibc which is default for DROPS/TUDOS
	uncertain dietlibc support in future
	
	* kaffe/kaffevm/systems/drops-l4threads/l4thread.c:
	add dummy jthread_get_status
	
2006-11-10  Riccardo Mottola <riccardo@kaffe.org>

	* libraries/javalib/awt-implementations/kaffe/java/awt/Component.java:
	check for null peer

2006-11-10  Riccardo Mottola <riccardo@kaffe.org>

	Implemented isLightweight for our AWT (returns false except for
	Container, Canvas and Component)

	* libraries/javalib/awt-implementations/kaffe/java/awt/Button.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Checkbox.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Component.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Label.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/MenuComponent.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/ScrollPane.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Scrollbar.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/TextComponent.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Window.java,

2006-11-07  Dalibor Topic  <robilad@kaffe.org>

	Fixed boehm-gc build.

        * developers/autogen.sh: Always update libtool.m4 in boehm.gc as well.

        * external/gcc/fastjar/scripts/ltmain.sh,
        kaffe/kaffevm/boehm-gc/boehm/Makefile.in,
        kaffe/kaffevm/boehm-gc/boehm/configure,
        kaffe/kaffevm/boehm-gc/boehm/doc/Makefile.in,
        kaffe/kaffevm/boehm-gc/boehm/include/Makefile.in,
        kaffe/kaffevm/boehm-gc/boehm/libtool.m4,
        kaffe/kaffevm/boehm-gc/boehm/ltmain.sh,
        libltdl/ltmain.sh,
        libraries/javalib/external/classpath/ltmain.sh,
        scripts/ltmain.sh: Regenerated.

2006-11-07  Dalibor Topic  <robilad@kaffe.org>

	* developers/update-class-list: Removed unused file.

	* Makefile.am (EXTRA_DIST): Removed developers/update-class-list.

2006-11-07  Dalibor Topic  <robilad@kaffe.org>

        * configure.ac: Use AC_PROG_SED.

        * Makefile.am,
        include/Makefile.am,
        kaffe/kaffe/Makefile.am,
        kaffe/scripts/Makefile.am,
        kaffe/scripts/compat/Makefile.am,
        test/internal/Makefile.am,
        test/jni/Makefile.am,
        test/regression/Makefile.am,
        test/regression/compile_time/Makefile.am,
        test/regression/compiler/Makefile.am,
        test/regression/run_time/Makefile.am: Use $(SED) instead of sed.

2006-11-06  Dalibor Topic  <robilad@kaffe.org>

        * configure.ac: Use AC_TYPE_SSIZE_T instead of checking for
	ssize_t manually.

	* config/m68k/sunos4/md.h,
        config/sparc/sunos4/md.h,
        kaffe/kaffeh/support.c,
        kaffe/kaffevm/debug.c,
        kaffe/kaffevm/findInJar.c,
        kaffe/kaffevm/jar.c,
        kaffe/kaffevm/kaffe-gc/gc-incremental.c,
        kaffe/kaffevm/systems/beos-native/syscalls.c,
        kaffe/kaffevm/systems/drops-l4threads/syscalls.c,
        kaffe/kaffevm/systems/oskit-pthreads/syscalls.c,
        kaffe/kaffevm/systems/unix-jthreads/jthread.h,
        kaffe/kaffevm/systems/unix-jthreads/syscalls.c,
        kaffe/kaffevm/systems/unix-pthreads/syscalls.c,
        libraries/clib/net/PlainDatagramSocketImpl.c,
        libraries/clib/net/PlainSocketImpl.c,
        libraries/clib/nio/gnu_java_nio_channels_FileChannelImpl.c:
	Make sure sys/types.h is included for ssize_t.

2006-11-06  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac: Use AC_CHECK_HEADERS_ONCE instead of AC_CHECK_HEADERS
	to speed up configure's function checks where possible.

2006-11-06  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac: Use AC_CHECK_FUNCS_ONCE instead of AC_CHECK_FUNC
	to speed up configure's function checks where possible.

2006-11-02  Dalibor Topic  <robilad@kaffe.org>

	Regenerated build system with autoconf 2.60 and automake 1.10.

	* FAQ/FAQ.automake: Updated to autoconf 2.60 and automake 1.10.

	* developers/autogen.sh: Updated to use autoconf 2.60 and automake 1.10.
	Always use -i -f with autoreconf. Run autoreconf -i -f for classpath, 
	as well, rather than it's internal, older requirements.

	* external/gcc/fastjar/Makefile.am: (fastjar_SOURCES) Reindent.
	(fastjar_CPPFLAGS) Fold into AM_CPPFLAGS to fix an automake warning.

	* kaffe/kaffeh/Makefile.am (kaffeh_CFLAGS): Fold into AM_CFLAGS to
	fix an automake warning.

	* kaffe/kaffevm/boehm-gc/boehm/acinclude.m4 (GC_SET_VERSION): Add
	missing quotes to fix autoreconf warning.

2006-11-01  Dalibor Topic  <robilad@kaffe.org>

	* WHATSNEW: Added boehmgc update.

2006-11-01  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/boehm-gc/boehm/configure.ac: Removed, since 
	boehm uses configure.in. That fixes a warning during 
	autogen.sh.

	* kaffe/kaffevm/boehm-gc/boehm/configure.in
	kaffe/kaffevm/boehm-gc/boehm/darwin_stop_world.c
	kaffe/kaffevm/boehm-gc/boehm/dyn_load.c
	kaffe/kaffevm/boehm-gc/boehm/malloc.c
	kaffe/kaffevm/boehm-gc/boehm/os_dep.c
	kaffe/kaffevm/boehm-gc/boehm/pthread_support.c
	kaffe/kaffevm/boehm-gc/boehm/version.h
	kaffe/kaffevm/boehm-gc/boehm/doc/Makefile.in
	kaffe/kaffevm/boehm-gc/boehm/doc/README
	kaffe/kaffevm/boehm-gc/boehm/doc/README.changes
	kaffe/kaffevm/boehm-gc/boehm/include/Makefile.in
	kaffe/kaffevm/boehm-gc/boehm/include/gc.h
	kaffe/kaffevm/boehm-gc/boehm/include/gc_config_macros.h
	kaffe/kaffevm/boehm-gc/boehm/include/private/gcconfig.h:
	Updated to boehm gc 6.8.

2006-10-06  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/jni/jni-helpers.c
	(KaffeJNI_ToReflectedMethod, KaffeJNI_ToReflectedField): Iterate
	over all superclasses of a given class to find the given field or
	method.

	Fix bug #69.
	
2006-09-30  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/jar.c
	(getCentralDirCount): Look for the last signature into a larger block
	at the end of the file.

	Fix bug #55

2006-09-26  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/jni/jni-refs.c:
	(KaffeJNI_DeleteWeakGlobalRef): Moved variable declaration out to
	be able to compile kaffe on standard C compiler.

2006-09-25  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/jni/jni-refs.c
	(KaffeJNI_NewWeakGlobalRef): Fixed allocation of the weak reference.
	(KaffeJNI_DeleteWeakGlobalRef): Fixed deletion of the weak
	reference.

	* kaffe/kaffevm/kaffe-gc/gc-incremental.c: 
	(gc_heap_isobject): Consider FIXED object as a member of the heap.
	
	Reported by Tim Bevan <tim.bevan@laser-scan.com>

2006-09-24  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/external/classpath/native/jni/java-nio/gnu_java_nio_VMSelector.c:
	Reapplied strerror patch for darwin5.

	Fix for #65.

2006-09-24  Dalibor Topic  <robilad@kaffe.org>

	* include/jsyscall.h, kaffe/kaffeh/support.c,
	kaffe/kaffevm/systems/beos-native/syscalls.c, 
	kaffe/kaffevm/systems/drops-l4threads/syscalls.c,
	kaffe/kaffevm/systems/oskit-pthreads/syscalls.c,
	kaffe/kaffevm/systems/unix-jthreads/syscalls.c,
	kaffe/kaffevm/systems/unix-pthreads/syscalls.c:
	Reverted patch from 2006-09-13.

	* libraries/clib/nio/gnu_java_nio_channels_FileChannelImpl.c:
	Reverted patch from 2006-08-22.

	* kaffe/kaffevm/Makefile.am: Added 
	libraries/clib/nio/gnu_java_nio_channels_FileChannelImpl.c
	to libkaffevm.

	Fix for #68, #67.

2006-09-22  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/jni/jni.c
	(KaffeJNI_GetStaticMethodID): Do a full name resolution instead of
	just looking at the specified class. This is an unspecified behaviour
	of the JNI documentation.

	Fix bug #61.

2006-09-19  Riccardo Mottola <riccardo@kaffe.org>

	* libraries/javalib/awt-implementations/kaffe/java/awt/AWTEvent.java:
	added isFocusManager field

2006-09-18  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/tritonus-sound/Makefile.am
	(AM_JAVACFLAGS): Use -bootclasspath instead of -classpath.

	Reported by:  Riccardo Mottola  <mottolla@kaffe.org>

2006-09-18  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/awt-implementations/kaffe/Makefile.am,
	libraries/javalib/gmp-math/Makefile.am,
	libraries/javalib/zlib-zip/Makefile.am (AM_JAVACFLAGS)
	Use -bootclasspath instead of -classpath.

	Fix for bug #66.

2006-09-18  Dalibor Topic  <robilad@kaffe.org>

	* autobuild.sh: New file. Adds support for Test-Autobuild,
	an autobuilder from autobuild.org.

	* developers/auto-build.conf: New file. Configuration for 
	the autobuilder.

	* developers/README: Added information on 
	developers/auto-build.conf.

	* Makefile.am (EXTRA_DIST): Added autobuild.sh and 
	developers/auto-build.conf.

2006-09-16  Guilhem Lavaux  <guilhem@kaffe.org>

	* developers/autogen.sh,
	developers/config4.patch: Removed config4.patch

	* libraries/javalib/external/classpath/configure.ac:
	Added checking for declaration of socklen_t in sys/socket.h

	*
	libraries/javalib/external/classpath/native/target/generic/target_generic_network.h:
	Added some replacement code for missing socklen_t.

	* libraries/javalib/external/classpath/config.guess,
	libraries/javalib/external/classpath/configure,
	libraries/javalib/external/classpath/ltmain.sh,
	libraries/javalib/external/classpath/include/config.h.in: Regenerated.

	Fix bug #62

2006-09-16  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/vmspecific/Makefile.am (AM_JAVACFLAGS):
	Set -bootclasspath instead of -classpath to make sure it works
	with compilers configured to use a different class library.

        Reported by Riccardo Mottola <mottola@kaffe.org>

2006-09-13  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/systems/unix-pthreads/signal.c 
	(KaffePThread_detectStackBoundaries): Added missing 
	casts to fix compiler warning on alpha-linux.

2006-09-13  Dalibor Topic  <robilad@kaffe.org>

	* include/jsyscall.h (SystemCallInterface):
	Removed _mmap and _msync. (KMMAP, KMSYNC, 
	KAFFE_MMAP_READ, KAFFE_MMAP_WRITE, 
	KAFFE_MMAP_PRIVATE) Removed, since they are
	currently unused.

	* kaffe/kaffeh/support.c (Kaffe_SystemCallInterface):
	Removed mmap and msync entries.

	* kaffe/kaffevm/systems/beos-native/syscalls.c
	(beos_native_mmap): Removed.
	(Kaffe_SystemCallInterface): Removed mmap entry.

	* kaffe/kaffevm/systems/drops-l4threads/syscalls.c
	(drops_mmap, drops_msync): Removed.
	(Kaffe_SystemCallInterface): Removed drops_mmap 
	and drops_msync entry.

	* kaffe/kaffevm/systems/oskit-pthreads/syscalls.c
	(oskit_pthread_mmap) Removed.
	(Kaffe_SystemCallInterface): Removed 
	oskit_pthread_mmap entry.

	* kaffe/kaffevm/systems/unix-jthreads/syscalls.c
	(jthreadedMmap, jthreadedMsync) Removed.
	(Kaffe_SystemCallInterface): Removed jthreadedMmap
	and jthreadedMsync entries.

	* kaffe/kaffevm/systems/unix-pthreads/syscalls.c
        (jthreadedMmap, jthreadedMsync) Removed.
        (Kaffe_SystemCallInterface): Removed jthreadedMmap 
        and jthreadedMsync entries.

2006-09-10  Jim Huang  <jserv@kaffe.org>

	* po/zh_TW.po,
	po/zh_CN.po: Updated. Due to Xynth AWT changes.

2006-09-09  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/classMethod.h (struct Hjava_lang_Class):
	Changed type of impl_index to unsigned int as its used as 
	an array index.

	* kaffe/kaffevm/jni/jni-callmethod.c (getMethodFunc):
	Cast implementors to uintptr_t to fix warning on alpha-linux.

2006-09-09  Dalibor Topic  <robilad@kaffe.org>

	* include/Makefile.am (stamp-h0all, stamp-h1all): Set bootclasspath
	instead of classpath for kaffeh invocations to make sure the VM 
	interface jars are picked up and the right headers are generated.
	This fixes cross-compilation.

	* libraries/clib/native/Object.c (java_lang_VMObject_wait): Use 
	PRIi64 modifier to print out the timeout jlong. Include the 
	necessary headers. This fixes a warning on alpha-linux.

	* test/regression/wc.java: run wc on ../../config/stamp-h1
	which fixes it on Ubuntu Edgy Eft. Adapted expected result
	accordingly.

2006-09-04  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/intrp/icode.h (UNINITIALIZED_STACK_SLOT):
	Changed type to uintptr_t to fix compiler warning on 
	alpha-linux.
	
2006-09-02  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffe/version.c (printShortVersion): Removed
	unused code.

	* kaffe/kaffevm/gc.h: Include config-int.h. 
	Define UNLIMITED_HEAP as INT32_MAX, since it is assigned to
	a jint. That fixes four warnings on alpha-linux.

2006-09-02  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac: Temporarily set CFLAGS to 
	KAFFE_CFLAGS before checking for function pthread_getattr_np,
	to make sure that the right compiler flags are used and the 
	function symbol can be linked and detected.

2006-09-02  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffe/main.c: (setKaffeAWT) Removed const
	qualifier from prefix to fix compiler warning.

2006-08-30  Dalibor Topic  <robilad@kaffe.org>

	Fix for #57

	* configure.ac: Rewritten fastjar handling to use locally built fastjar
	when possible. Introduced FASTJAR_BINARY.

	* kaffe/scripts/jar.in: Use FASTJAR_BINARY.

2006-08-28  Alper Akcan  <alper@kaffe.org>

	* libraries/clib/awt/xynth/Makefile.am,
	libraries/clib/awt/xynth/Makefile.in,
	libraries/clib/awt/xynth/color.c,
	libraries/clib/awt/xynth/event.c,
	libraries/clib/awt/xynth/font.c,
	libraries/clib/awt/xynth/graphic.c,
	libraries/clib/awt/xynth/image.c,
	libraries/clib/awt/xynth/toolkit.c,
	libraries/clib/awt/xynth/toolkit.h,
	libraries/clib/awt/xynth/window.c:
	Added simple keyboard support, updated mail address.

2006-08-27  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/native/Makefile.am,
	libraries/clib/native/Makefile.in,
	libraries/clib/native/java_lang_VMFloat.c,
	libraries/clib/native/java_lang_VMMath.c:
	Removed.

	* kaffe/kaffevm/external.h (NATIVELIBRARY): Set to libkaffevm.

	* Makefile.am: (BUILD_ENVIRONMENT-make) Replaced libnative with libkaffevm.

	* configure.ac: (JAVA_LIBS) removed libjavalang.la. Don't output native
	Makefile.

	* libraries/clib/Makefile.am: (SUBDIRS) Removed native.

	* test/internal/Makefile.am: (LIBNATIVE) Set to classpath's javalang.

2006-08-27  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/Makefile.am: Added gnu_classpath_VMStackWalker.c.

	* libraries/clib/native/Makefile.am: Removed gnu_classpath_VMStackWalker.c.

2006-08-27  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/Makefile.am: Added gnu_classpath_VMSystemProperties.c,
	java_lang_VMDouble.c, java_lang_VMProcess.c and java_lang_VMSystem.c.
	Include CLASSPATH_INCLUDES and fdlibm. Add fdlibm to dependencies.

	* libraries/clib/native/Makefile.am: Removed gnu_classpath_VMSystemProperties.c,
        java_lang_VMDouble.c, java_lang_VMProcess.c and java_lang_VMSystem.c.

2006-08-27  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/Makefile.am: Added Class.c, ClassLoader.c,
	Object.c, Runtime.c, VMRuntime.c, String.c, System.c, 
	Thread.c and Throwable.c.

	* libraries/clib/native/Makefile.am: Removed Class.c, ClassLoader.c,
        Object.c, Runtime.c, VMRuntime.c, String.c, System.c,
        Thread.c and Throwable.c.

2006-08-26  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/vmspecific/java/util/VMTimeZone.java:
	Removed.

	* Makefile.am (BUILD_ENVIRONMENT-make): Added classpath java-util 
	to KAFFELIBRARYPATH.

	* kaffe/kaffevm/Makefile.am: Added TimeZone.c.

	* libraries/clib/native/Makefile.am: (UTIL_SRCS) Removed.
	(libjavalang_la_SOURCES) Removed UTIL_SRCS.

2006-08-25  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/native/Makefile.am (TEST_SRCS): Removed.
	(libjavalang_la_SOURCES) Removed TEST_SRCS.

	* libraries/clib/native/TestNative.c: Removed unused file.

2006-08-24  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/Makefile.am:
	Added java_lang_reflect_VMArray.c, Constructor.c,
	Field.c and Method.c to the library.

	* libraries/clib/native/Makefile.am:
	Removed java_lang_reflect_VMArray.c, Constructor.c,
        Field.c and Method.c from the library.
	
2006-08-24  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/Makefile.am:
	Added java_lang_ref_Reference.c to the library.

	* libraries/clib/native/Makefile.am:
	Removed java_lang_ref_Reference.c from the library.

2006-08-24  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/awt/xynth/Makefile.in:
	Added missing file.

2006-08-24  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/Makefile.am:
	Added AccessController.c to the library.

	* libraries/clib/native/Makefile.am:
	Removed AccessController.c from the library.

2006-08-24  Dalibor Topic  <robilad@kaffe.org>

        Switched io libraries to GNU Classpath's version.

	* libraries/clib/io/Makefile.am,
	libraries/clib/io/Makefile.in,
	libraries/clib/io/java_io_VMObjectInputStream.c,
	libraries/clib/io/java_io_VMObjectStreamClass.c:
	Removed.

        * Makefile.am (BUILD_ENVIRONMENT-make): Set KAFFELIBRARYPATH to GNU Classpath's
        java-io native library.

        * configure.ac (JAVA_LIBS) Removed kaffe's native io library.
        Don't output Makefile for Kaffe's native io libraries.

        * kaffe/kaffevm/Makefile.am: Added Kaffe's native io code
        implementation to the library.

        * libraries/clib/Makefile.am: (SUBDIRS) Removed io.

2006-08-23  Dalibor Topic  <robilad@kaffe.org>

	Switched net libraries to GNU Classpath's version.

	* libraries/clib/net/Makefile.am,
	libraries/clib/net/Makefile.in,
	libraries/clib/net/java_net_VMURLConnection.c:
	Removed.

	* Makefile.am (BUILD_ENVIRONMENT-make): Set KAFFELIBRARYPATH to GNU Classpath's
        java-net native library.

        * configure.ac (JAVA_LIBS) Removed kaffe's native net library.
        Don't output Makefile for Kaffe's native net libraries.

        * kaffe/kaffevm/Makefile.am: Added Kaffe's native networking code
        implementation to the library, and added dependency on NET_LIBS.

        * libraries/clib/Makefile.am: (SUBDIRS) Removed net.

2006-08-22  Alper Akcan  <distchx@yahoo.com>

	* Makefile.am,
	configure.ac,
	WHATSNEW,
	README.xynth,
	libraries/javalib/Makefile.am,
	libraries/clib/awt/xynth/graphic.c,
	libraries/clib/awt/xynth/image.c,
	libraries/clib/awt/xynth/font.c,
	libraries/clib/awt/xynth/toolkit.h,
	libraries/clib/awt/xynth/color.c,
	libraries/clib/awt/xynth/window.c,
	libraries/clib/awt/xynth/Makefile.am,
	libraries/clib/awt/xynth/event.c,
	libraries/clib/awt/xynth/toolkit.c:
	New xynth based awt backend.

2006-08-22  Dalibor Topic  <robilad@kaffe.org>

	Switched nio libraries to GNU Classpath's version.

	* Makefile.am (BUILD_ENVIRONMENT-make): Set KAFFELIBRARYPATH to GNU Classpath's
	java-nio native library.

	* configure.ac (JAVA_LIBS) Removed kaffe's native nio library.
	Dont disable core jni libraries when building GNU Classpath. Don't
	output Makefile for Kaffe's native nio libraries.

	* kaffe/kaffevm/Makefile.am: Added dependencies for GNU Classpath's
	classpath utility library. Added Kaffe's gnu_java_nio_VMSelector.c 
	implementation to the library.

	* libraries/clib/Makefile.am: (SUBDIRS) Removed nio.

	* libraries/clib/nio/Makefile.am,
	libraries/clib/nio/Makefile.in,
	libraries/clib/nio/gnu_java_nio_VMChannel.c,
	libraries/clib/nio/gnu_java_nio_VMPipe.c,
	libraries/clib/nio/gnu_java_nio_channels_FileChannelImpl.c,
	libraries/clib/nio/gnu_java_nio_charset_iconv_IconvDecoder.c,
	libraries/clib/nio/gnu_java_nio_charset_iconv_IconvEncoder.c,
	libraries/clib/nio/java_nio_MappedByteBufferImpl.c,
	libraries/clib/nio/java_nio_VMDirectByteBuffer.c:
	Removed.

	* libraries/javalib/external/classpath: Resynced with 0.92.

2006-08-21  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/nio/gnu_java_nio_channels_FileChannelImpl.c,
	libraries/clib/nio/gnu_java_nio_charset_iconv_IconvDecoder.c,
	libraries/clib/nio/gnu_java_nio_charset_iconv_IconvEncoder.c,
	libraries/clib/nio/java_nio_VMDirectByteBuffer.c,

	Resynced with GNU Classpath:

	2006-01-09  Mark Wielaard  <mark@klomp.org>

        * native/jni/java-nio/gnu_java_nio_channels_FileChannelImpl.c
        (mapImpl): Add PROT_WRITE when mode == 'c' (MAP_PRIVATE). Make sure
        there is enough space to mmap().

	2006-01-10  Roman Kennke  <kennke@aicas.com>

        * native/jni/java-nio/java_nio_VMDirectByteBuffer.c
        (get): Release the array with the correct pointer.
        (put): Release the array with the correct pointer. Copy the array
        around _before_ releasing it.

2006-08-20  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac: Substitute GLIBJ_ZIP for location of glibj.zip.

	* Makefile.am (BUILD_ENVIRONMENT-make),
	include/Makefile.am,
	libraries/javalib/Makefile.am,
	libraries/javalib/awt-implementations/kaffe/Makefile.am,
	libraries/javalib/dnsjava/Makefile.am,
	libraries/javalib/gmp-math/Makefile.am,
	libraries/javalib/gnu-inet/Makefile.am,
	libraries/javalib/tritonus-sound/Makefile.am,
	libraries/javalib/vmspecific/Makefile.am,
	libraries/javalib/zlib-zip/Makefile.am,
	test/internal/Makefile.am,
	test/jni/Makefile.am,
	tools/gjdoc/javalib/Makefile.am,
	tools/javatools/Makefile.am:
	Use GLIBJ_ZIP.

2006-08-20  Ito Kazumitsu  <kaz@maczuka.gcd>

	* libraries/clib/net/PlainSocketImpl.c: Changed the wrong name
	"java.net.IOException" to "java.io.IOException".

2006-08-19  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/vmspecific/gnu/classpath/jdwp/VMFrame.java,
	libraries/javalib/vmspecific/gnu/classpath/jdwp/VMIdManager.java,
	libraries/javalib/vmspecific/gnu/classpath/jdwp/VMMethod.java,
	libraries/javalib/vmspecific/gnu/classpath/jdwp/VMVirtualMachine.java,
	libraries/javalib/vmspecific/gnu/inet/finger/package.html,
	libraries/javalib/vmspecific/gnu/inet/gopher/package.html,
	libraries/javalib/vmspecific/gnu/inet/imap/package.html,
	libraries/javalib/vmspecific/gnu/inet/nntp/package.html,
	libraries/javalib/vmspecific/gnu/inet/pop3/package.html,
	libraries/javalib/vmspecific/gnu/inet/smtp/package.html,
	libraries/javalib/vmspecific/gnu/java/lang/VMInstrumentationImpl.java,
	libraries/javalib/vmspecific/gnu/java/lang/management/VMClassLoadingMXBeanImpl.java,
	libraries/javalib/vmspecific/gnu/java/lang/management/VMCompilationMXBeanImpl.java,
	libraries/javalib/vmspecific/gnu/java/lang/management/VMGarbageCollectorMXBeanImpl.java,
	libraries/javalib/vmspecific/gnu/java/lang/management/VMMemoryMXBeanImpl.java,
	libraries/javalib/vmspecific/gnu/java/lang/management/VMMemoryManagerMXBeanImpl.java,
	libraries/javalib/vmspecific/gnu/java/lang/management/VMMemoryPoolMXBeanImpl.java,
	libraries/javalib/vmspecific/gnu/java/lang/management/VMRuntimeMXBeanImpl.java,
	libraries/javalib/vmspecific/gnu/java/lang/management/VMThreadMXBeanImpl.java,
	libraries/javalib/vmspecific/gnu/java/nio/VMChannel.java,
	libraries/javalib/vmspecific/gnu/java/nio/VMPipe.java,
	libraries/javalib/vmspecific/gnu/java/nio/VMSelector.java,
	libraries/javalib/vmspecific/java/io/VMFile.java,
	libraries/javalib/vmspecific/java/io/VMObjectInputStream.java,
	libraries/javalib/vmspecific/java/io/VMObjectStreamClass.java,
	libraries/javalib/vmspecific/java/lang/VMClass.java,
	libraries/javalib/vmspecific/java/lang/VMCompiler.java,
	libraries/javalib/vmspecific/java/lang/VMDouble.java,
	libraries/javalib/vmspecific/java/lang/VMFloat.java,
	libraries/javalib/vmspecific/java/lang/VMMath.java,
	libraries/javalib/vmspecific/java/lang/VMObject.java,
	libraries/javalib/vmspecific/java/lang/management/VMManagementFactory.java,
	libraries/javalib/vmspecific/java/lang/reflect/VMProxy.java,
	libraries/javalib/vmspecific/java/net/VMNetworkInterface.java,
	libraries/javalib/vmspecific/java/nio/VMDirectByteBuffer.java,
	libraries/javalib/vmspecific/java/nio/channels/VMChannels.java:
	Removed.

	* libraries/javalib/vmspecific/Makefile.am: Removed unimplemented and duplicate 
	VM interfaces.

2006-08-13  Kurt Miller <kurt@intricatesoftware.com>

	* configure.ac: Include sys/param.h when testing for 
	sys/sysctl.h. Needed for OpenBSD.

	Reported by:  Frederick C. Druseikis  <fredd@cse.sc.edu>

2006-08-13  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/xprof/xprofiler.c: Include sys/param.h.

2006-08-13  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac: Don't output libraries/javalib/rebuildLib.

	* libraries/javalib/rebuildLib.in: Removed.

2006-08-13  Dalibor Topic  <robilad@kaffe.org>

	* tools/gjdoc/javalib/Makefile.am: 
	Replaced by new build system.

2006-08-13  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/awt-implementations/kaffe/Makefile.am:
	 Replaced by new build system.

	* libraries/javalib/awt-implementations/kaffe/update-class-list:
	Removed.

2006-08-12  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gmp-math/Makefile.am: Replaced by new build system.

2006-08-12  Dalibor Topic  <robilad@kaffe.org>

	* Makefile.am (EXTRA_DIST) Removed developers/update-vm-list.
	(BUILD_ENVIRONMENT-make) Added kaffe-vminterface.jar.

	* configure.ac: Don't compile GNU Classpath with --with-vm-classes
	from Kaffe. Output libraries/javalib/gnu-inet/Makefile and 
	libraries/javalib/vmspecific/Makefile.

	* developers/autogen.sh: Don't call update-vm-list.

	* include/Makefile.am (KAFFEH_CLASSPATH) Added kaffe-vminterface.jar.

	* kaffe/scripts/kaffe.in: Added kaffe-vminterface.jar.

	* libraries/javalib/Makefile.am: Replaced by libraries/javalib/Makefile.am.in.
	(SUBDIRS) Added gnu-inet and vmspecific. 
	(EXTRA_DIST) Removed vmspecific files and Makefile.am.in.

	* libraries/javalib/zlib-zip/Makefile.am,
	libraries/javalib/dnsjava/Makefile.am (CPATH): Added kaffe-vminterface.jar.

	* test/regression/TestScript.in: (JAVA_COMPILER) Added kaffe-vminterface.jar
	to bootclasspath.

	* developers/update-vm-list,
	libraries/javalib/Makefile.am.in,
	libraries/javalib/vmspecific/META-INF/MANIFEST.MF:
	Removed.

	* libraries/javalib/vmspecific/gnu/inet/comsat/ComsatClient.java,
	libraries/javalib/vmspecific/gnu/inet/comsat/ComsatInfo.java,
	libraries/javalib/vmspecific/gnu/inet/finger/FingerConnection.java,
	libraries/javalib/vmspecific/gnu/inet/finger/FingerURLConnection.java,
	libraries/javalib/vmspecific/gnu/inet/finger/Handler.java,
	libraries/javalib/vmspecific/gnu/inet/gopher/DirectoryEntry.java,
	libraries/javalib/vmspecific/gnu/inet/gopher/DirectoryListing.java,
	libraries/javalib/vmspecific/gnu/inet/gopher/GopherConnection.java,
	libraries/javalib/vmspecific/gnu/inet/gopher/GopherContentHandler.java,
	libraries/javalib/vmspecific/gnu/inet/gopher/GopherURLConnection.java,
	libraries/javalib/vmspecific/gnu/inet/gopher/Handler.java,
	libraries/javalib/vmspecific/gnu/inet/imap/IMAPConnection.java,
	libraries/javalib/vmspecific/gnu/inet/imap/IMAPConstants.java,
	libraries/javalib/vmspecific/gnu/inet/imap/IMAPException.java,
	libraries/javalib/vmspecific/gnu/inet/imap/IMAPResponse.java,
	libraries/javalib/vmspecific/gnu/inet/imap/IMAPResponseTokenizer.java,
	libraries/javalib/vmspecific/gnu/inet/imap/ListEntry.java,
	libraries/javalib/vmspecific/gnu/inet/imap/MailboxStatus.java,
	libraries/javalib/vmspecific/gnu/inet/imap/MessageSetTokenizer.java,
	libraries/javalib/vmspecific/gnu/inet/imap/MessageStatus.java,
	libraries/javalib/vmspecific/gnu/inet/imap/Namespaces.java,
	libraries/javalib/vmspecific/gnu/inet/imap/Pair.java,
	libraries/javalib/vmspecific/gnu/inet/imap/Quota.java,
	libraries/javalib/vmspecific/gnu/inet/imap/UIDPlusHandler.java,
	libraries/javalib/vmspecific/gnu/inet/imap/UTF7imap.java,
	libraries/javalib/vmspecific/gnu/inet/ldap/AttributeValues.java,
	libraries/javalib/vmspecific/gnu/inet/ldap/BERConstants.java,
	libraries/javalib/vmspecific/gnu/inet/ldap/BERDecoder.java,
	libraries/javalib/vmspecific/gnu/inet/ldap/BEREncoder.java,
	libraries/javalib/vmspecific/gnu/inet/ldap/BERException.java,
	libraries/javalib/vmspecific/gnu/inet/ldap/LDAPConnection.java,
	libraries/javalib/vmspecific/gnu/inet/ldap/LDAPResult.java,
	libraries/javalib/vmspecific/gnu/inet/ldap/Modification.java,
	libraries/javalib/vmspecific/gnu/inet/ldap/ResultHandler.java,
	libraries/javalib/vmspecific/gnu/inet/nntp/ActiveTime.java,
	libraries/javalib/vmspecific/gnu/inet/nntp/ActiveTimesIterator.java,
	libraries/javalib/vmspecific/gnu/inet/nntp/ArticleNumberIterator.java,
	libraries/javalib/vmspecific/gnu/inet/nntp/ArticleResponse.java,
	libraries/javalib/vmspecific/gnu/inet/nntp/ArticleStream.java,
	libraries/javalib/vmspecific/gnu/inet/nntp/FileNewsrc.java,
	libraries/javalib/vmspecific/gnu/inet/nntp/Group.java,
	libraries/javalib/vmspecific/gnu/inet/nntp/GroupIterator.java,
	libraries/javalib/vmspecific/gnu/inet/nntp/GroupResponse.java,
	libraries/javalib/vmspecific/gnu/inet/nntp/HeaderEntry.java,
	libraries/javalib/vmspecific/gnu/inet/nntp/HeaderIterator.java,
	libraries/javalib/vmspecific/gnu/inet/nntp/LineIterator.java,
	libraries/javalib/vmspecific/gnu/inet/nntp/NNTPConnection.java,
	libraries/javalib/vmspecific/gnu/inet/nntp/NNTPConstants.java,
	libraries/javalib/vmspecific/gnu/inet/nntp/NNTPException.java,
	libraries/javalib/vmspecific/gnu/inet/nntp/Newsrc.java,
	libraries/javalib/vmspecific/gnu/inet/nntp/Overview.java,
	libraries/javalib/vmspecific/gnu/inet/nntp/OverviewIterator.java,
	libraries/javalib/vmspecific/gnu/inet/nntp/Pair.java,
	libraries/javalib/vmspecific/gnu/inet/nntp/PairIterator.java,
	libraries/javalib/vmspecific/gnu/inet/nntp/PendingData.java,
	libraries/javalib/vmspecific/gnu/inet/nntp/PostStream.java,
	libraries/javalib/vmspecific/gnu/inet/nntp/Range.java,
	libraries/javalib/vmspecific/gnu/inet/nntp/StatusResponse.java,
	libraries/javalib/vmspecific/gnu/inet/pop3/POP3Connection.java,
	libraries/javalib/vmspecific/gnu/inet/smtp/Parameter.java,
	libraries/javalib/vmspecific/gnu/inet/smtp/ParameterList.java,
	libraries/javalib/vmspecific/gnu/inet/smtp/SMTPConnection.java,
	libraries/javalib/vmspecific/gnu/inet/util/BASE64.java,
	libraries/javalib/vmspecific/gnu/inet/util/CRLFInputStream.java,
	libraries/javalib/vmspecific/gnu/inet/util/CRLFOutputStream.java,
	libraries/javalib/vmspecific/gnu/inet/util/EmptyX509TrustManager.java,
	libraries/javalib/vmspecific/gnu/inet/util/GetLocalHostAction.java,
	libraries/javalib/vmspecific/gnu/inet/util/LineInputStream.java,
	libraries/javalib/vmspecific/gnu/inet/util/MessageInputStream.java,
	libraries/javalib/vmspecific/gnu/inet/util/MessageOutputStream.java,
	libraries/javalib/vmspecific/gnu/inet/util/SaslCallbackHandler.java,
	libraries/javalib/vmspecific/gnu/inet/util/SaslCramMD5.java,
	libraries/javalib/vmspecific/gnu/inet/util/SaslInputStream.java,
	libraries/javalib/vmspecific/gnu/inet/util/SaslLogin.java,
	libraries/javalib/vmspecific/gnu/inet/util/SaslOutputStream.java,
	libraries/javalib/vmspecific/gnu/inet/util/SaslPlain.java,
	libraries/javalib/vmspecific/gnu/inet/util/TraceLevel.java: 
	Removed. Moved over to ...

	* libraries/javalib/gnu-inet/Makefile.am,
	libraries/javalib/gnu-inet/Makefile.in,
	libraries/javalib/gnu-inet/gnu/inet/comsat/ComsatClient.java,
	libraries/javalib/gnu-inet/gnu/inet/comsat/ComsatInfo.java,
	libraries/javalib/gnu-inet/gnu/inet/finger/FingerConnection.java,
	libraries/javalib/gnu-inet/gnu/inet/finger/FingerURLConnection.java,
	libraries/javalib/gnu-inet/gnu/inet/finger/Handler.java,
	libraries/javalib/gnu-inet/gnu/inet/finger/package.html,
	libraries/javalib/gnu-inet/gnu/inet/gopher/DirectoryEntry.java,
	libraries/javalib/gnu-inet/gnu/inet/gopher/DirectoryListing.java,
	libraries/javalib/gnu-inet/gnu/inet/gopher/GopherConnection.java,
	libraries/javalib/gnu-inet/gnu/inet/gopher/GopherContentHandler.java,
	libraries/javalib/gnu-inet/gnu/inet/gopher/GopherURLConnection.java,
	libraries/javalib/gnu-inet/gnu/inet/gopher/Handler.java,
	libraries/javalib/gnu-inet/gnu/inet/gopher/package.html,
	libraries/javalib/gnu-inet/gnu/inet/imap/IMAPConnection.java,
	libraries/javalib/gnu-inet/gnu/inet/imap/IMAPConstants.java,
	libraries/javalib/gnu-inet/gnu/inet/imap/IMAPException.java,
	libraries/javalib/gnu-inet/gnu/inet/imap/IMAPResponse.java,
	libraries/javalib/gnu-inet/gnu/inet/imap/IMAPResponseTokenizer.java,
	libraries/javalib/gnu-inet/gnu/inet/imap/ListEntry.java,
	libraries/javalib/gnu-inet/gnu/inet/imap/MailboxStatus.java,
	libraries/javalib/gnu-inet/gnu/inet/imap/MessageSetTokenizer.java,
	libraries/javalib/gnu-inet/gnu/inet/imap/MessageStatus.java,
	libraries/javalib/gnu-inet/gnu/inet/imap/Namespaces.java,
	libraries/javalib/gnu-inet/gnu/inet/imap/Pair.java,
	libraries/javalib/gnu-inet/gnu/inet/imap/Quota.java,
	libraries/javalib/gnu-inet/gnu/inet/imap/UIDPlusHandler.java,
	libraries/javalib/gnu-inet/gnu/inet/imap/UTF7imap.java,
	libraries/javalib/gnu-inet/gnu/inet/imap/package.html,
	libraries/javalib/gnu-inet/gnu/inet/ldap/AttributeValues.java,
	libraries/javalib/gnu-inet/gnu/inet/ldap/BERConstants.java,
	libraries/javalib/gnu-inet/gnu/inet/ldap/BERDecoder.java,
	libraries/javalib/gnu-inet/gnu/inet/ldap/BEREncoder.java,
	libraries/javalib/gnu-inet/gnu/inet/ldap/BERException.java,
	libraries/javalib/gnu-inet/gnu/inet/ldap/LDAPConnection.java,
	libraries/javalib/gnu-inet/gnu/inet/ldap/LDAPResult.java,
	libraries/javalib/gnu-inet/gnu/inet/ldap/Modification.java,
	libraries/javalib/gnu-inet/gnu/inet/ldap/ResultHandler.java,
	libraries/javalib/gnu-inet/gnu/inet/nntp/ActiveTime.java,
	libraries/javalib/gnu-inet/gnu/inet/nntp/ActiveTimesIterator.java,
	libraries/javalib/gnu-inet/gnu/inet/nntp/ArticleNumberIterator.java,
	libraries/javalib/gnu-inet/gnu/inet/nntp/ArticleResponse.java,
	libraries/javalib/gnu-inet/gnu/inet/nntp/ArticleStream.java,
	libraries/javalib/gnu-inet/gnu/inet/nntp/FileNewsrc.java,
	libraries/javalib/gnu-inet/gnu/inet/nntp/Group.java,
	libraries/javalib/gnu-inet/gnu/inet/nntp/GroupIterator.java,
	libraries/javalib/gnu-inet/gnu/inet/nntp/GroupResponse.java,
	libraries/javalib/gnu-inet/gnu/inet/nntp/HeaderEntry.java,
	libraries/javalib/gnu-inet/gnu/inet/nntp/HeaderIterator.java,
	libraries/javalib/gnu-inet/gnu/inet/nntp/LineIterator.java,
	libraries/javalib/gnu-inet/gnu/inet/nntp/NNTPConnection.java,
	libraries/javalib/gnu-inet/gnu/inet/nntp/NNTPConstants.java,
	libraries/javalib/gnu-inet/gnu/inet/nntp/NNTPException.java,
	libraries/javalib/gnu-inet/gnu/inet/nntp/Newsrc.java,
	libraries/javalib/gnu-inet/gnu/inet/nntp/Overview.java,
	libraries/javalib/gnu-inet/gnu/inet/nntp/OverviewIterator.java,
	libraries/javalib/gnu-inet/gnu/inet/nntp/Pair.java,
	libraries/javalib/gnu-inet/gnu/inet/nntp/PairIterator.java,
	libraries/javalib/gnu-inet/gnu/inet/nntp/PendingData.java,
	libraries/javalib/gnu-inet/gnu/inet/nntp/PostStream.java,
	libraries/javalib/gnu-inet/gnu/inet/nntp/Range.java,
	libraries/javalib/gnu-inet/gnu/inet/nntp/StatusResponse.java,
	libraries/javalib/gnu-inet/gnu/inet/nntp/package.html,
	libraries/javalib/gnu-inet/gnu/inet/pop3/POP3Connection.java,
	libraries/javalib/gnu-inet/gnu/inet/pop3/package.html,
	libraries/javalib/gnu-inet/gnu/inet/smtp/Parameter.java,
	libraries/javalib/gnu-inet/gnu/inet/smtp/ParameterList.java,
	libraries/javalib/gnu-inet/gnu/inet/smtp/SMTPConnection.java,
	libraries/javalib/gnu-inet/gnu/inet/smtp/package.html,
	libraries/javalib/gnu-inet/gnu/inet/util/BASE64.java,
	libraries/javalib/gnu-inet/gnu/inet/util/CRLFInputStream.java,
	libraries/javalib/gnu-inet/gnu/inet/util/CRLFOutputStream.java,
	libraries/javalib/gnu-inet/gnu/inet/util/EmptyX509TrustManager.java,
	libraries/javalib/gnu-inet/gnu/inet/util/GetLocalHostAction.java,
	libraries/javalib/gnu-inet/gnu/inet/util/LineInputStream.java,
	libraries/javalib/gnu-inet/gnu/inet/util/MessageInputStream.java,
	libraries/javalib/gnu-inet/gnu/inet/util/MessageOutputStream.java,
	libraries/javalib/gnu-inet/gnu/inet/util/SaslCallbackHandler.java,
	libraries/javalib/gnu-inet/gnu/inet/util/SaslCramMD5.java,
	libraries/javalib/gnu-inet/gnu/inet/util/SaslInputStream.java,
	libraries/javalib/gnu-inet/gnu/inet/util/SaslLogin.java,
	libraries/javalib/gnu-inet/gnu/inet/util/SaslOutputStream.java,
	libraries/javalib/gnu-inet/gnu/inet/util/SaslPlain.java,
	libraries/javalib/gnu-inet/gnu/inet/util/TraceLevel.java:
	... here.

	* libraries/javalib/vmspecific/Makefile.am: New file.


2006-08-10  Dalibor Topic  <robilad@kaffe.org>

	* THIRDPARTY: Removed gnu.getopt, since it's no longer used.

	* libraries/javalib/vmspecific/gnu/getopt/Getopt.java,
	libraries/javalib/vmspecific/gnu/getopt/LongOpt.java,
	libraries/javalib/vmspecific/gnu/getopt/MessagesBundle.properties,
	libraries/javalib/vmspecific/gnu/getopt/MessagesBundle_cs.properties,
	libraries/javalib/vmspecific/gnu/getopt/MessagesBundle_de.properties,
	libraries/javalib/vmspecific/gnu/getopt/MessagesBundle_fr.properties,
	libraries/javalib/vmspecific/gnu/getopt/MessagesBundle_hu.properties,
	libraries/javalib/vmspecific/gnu/getopt/MessagesBundle_ja.properties,
	libraries/javalib/vmspecific/gnu/getopt/MessagesBundle_nl.properties,
	libraries/javalib/vmspecific/gnu/getopt/MessagesBundle_no.properties:
	Removed.

2006-08-10  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/vmspecific/gnu/classpath/Configuration.java.in:
	Removed unused file.

2006-08-10  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/vmspecific/java/util/mime/MimeType.java,
	libraries/javalib/vmspecific/java/util/mime/MimeTypeParameterList.java,
	libraries/javalib/vmspecific/java/util/mime/MimeTypeParseException.java:
	Removed unused classes.

2006-08-09  Dalibor Topic  <robilad@kaffe.org>

	* include/Makefile.am (MAYBE_ZLIB_ZIP_HDRS): New variable.
	(NOINSTALL_DERIVED_HDRS) Use MAYBE_ZLIB_ZIP_HDRS to generate 
	zip headers only when necessary.

2006-08-09  Dalibor Topic  <robilad@kaffe.org>

	* WHATSNEW: Added a few new things since 1.1.7.

2006-08-09  Dalibor Topic  <robilad@kaffe.org>

	Added --disable-native-zip option, which allows to use GNU Classpath's
	zip instead of Kaffe's and fixes #11. In addition, fixed #53 along the
	way.

	* Makefile.am (BUILD_ENVIRONMENT-make): Add kaffe-zib.jar
	to the BOOTCLASSPATH.

	* configure.ac (--disable-zlib-zip): Added new option.
	(JAVA_LIBS) Only inlcude libzip.la if building with native zip.
	Output libraries/javalib/zlib-zip/Makefile.

	* external/gcc/fastjar/Makefile.am (LINKED_ZIP_LIBS) Use relative
	directory instead of absolute path.

	* include/Makefile.am (KAFFEH_JNI_CLASSPATH) Removed. Replaced by
	(KAFFEH_CLASSPATH). Added libraries/javalib/zlib-zip/lib.
	(stamp-h0all, stamp-h1all) Use KAFFEH_CLASSPATH.

	* kaffe/kaffevm/baseClasses.c (initialiseKaffe) Initialise threads
	before initialising security. Security code can end up calling
	arbitrary java code that tries to access thread local variables,
	for example.

	* kaffe/kaffevm/classMethod.h: include config.h.

	* kaffe/kaffevm/systems/unix-pthreads/thread-impl.c (jthread_current)
	Abort if can't find a thread local variable.

	* kaffe/xprof/debugFile.c (dfHandleClass): use getSuperclass to access
	a superclass.

	* libraries/clib/Makefile.am,
	libraries/javalib/Makefile.am.in:
 	(MAYBE_ZLIB_ZIP) New variable.
	(SUBDIRS) Add MAYBE_ZLIB_ZIP.

	* libraries/javalib/vmspecific/java/util/zip/Adler32.java,
	libraries/javalib/vmspecific/java/util/zip/CRC32.java,
	libraries/javalib/vmspecific/java/util/zip/Deflater.java,
	libraries/javalib/vmspecific/java/util/zip/DeflaterOutputStream.java,
	libraries/javalib/vmspecific/java/util/zip/Inflater.java,
	libraries/javalib/vmspecific/java/util/zip/ZipEntry.java,
	libraries/javalib/vmspecific/java/util/zip/ZipFile.java,
	libraries/javalib/vmspecific/java/util/zip/ZipInputStream.java,
	libraries/javalib/vmspecific/java/util/zip/ZipOutputStream.java,
	libraries/javalib/vmspecific/org/kaffe/util/Assert.java,
	libraries/javalib/vmspecific/org/kaffe/util/UTF8.java,
	libraries/javalib/vmspecific/org/kaffe/util/zip/SwitchInflater.java:
	Removed. Moved over to ...

	* libraries/javalib/zlib-zip/java/util/zip/Adler32.java,
	libraries/javalib/zlib-zip/java/util/zip/CRC32.java,
	libraries/javalib/zlib-zip/java/util/zip/Deflater.java,
	libraries/javalib/zlib-zip/java/util/zip/DeflaterOutputStream.java,
	libraries/javalib/zlib-zip/java/util/zip/Inflater.java,
	libraries/javalib/zlib-zip/java/util/zip/ZipEntry.java,
	libraries/javalib/zlib-zip/java/util/zip/ZipFile.java,
	libraries/javalib/zlib-zip/java/util/zip/ZipInputStream.java,
	libraries/javalib/zlib-zip/java/util/zip/ZipOutputStream.java,
	libraries/javalib/zlib-zip/org/kaffe/util/Assert.java,
	libraries/javalib/zlib-zip/org/kaffe/util/UTF8.java,
	libraries/javalib/zlib-zip/org/kaffe/util/zip/SwitchInflater.java:
	... here.

	* libraries/javalib/zlib-zip/Makefile.am: New file.

2006-08-09  Dalibor Topic  <robilad@kaffe.org>

	* tools/javatools/javalib/Makefile.in:
	Removed.

2006-08-09  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac: Enable support for Darwin for boehm-gc.

	* kaffe/kaffevm/systems/unix-pthreads/thread-impl.c:
	Include boehm-gc/boehm/include/private/gc_priv.h for
	declarations of GC_stop_world and GC_start_world.

2006-07-27  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/boehm-gc/gc-refs.c
	(KaffeGC_addWeakRef, resizeWeakReferenceObject): Use the right
	allocation routine.

	* kaffe/kaffevm/boehm-gc/boehm/configure.ac: Updated.

	* kaffe/kaffevm/boehm-gc/boehm/configure: Regenerated.
	
2006-07-23  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/native/ZipFile.c: Removed. Moved ...

	* libraries/clib/zip/ZipFile.c: ... over here.

	* libraries/clib/native/Makefile.am
	(LANG_SRCS) Removed ZipFile.c.

	* libraries/clib/zip/Makefile.am
	(AM_CPPFLAGS) Added includes for md.h.
	(libzip_la_SOURCES) Added ZipFile.c.

	* libraries/javalib/vmspecific/java/util/zip/ZipFile.java
	Load native zip library.

2006-07-23  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac:
	Don't output tools/javalib/javalib/Makefile.
 
	* kaffe/scripts/javap.in,
	kaffe/scripts/rmic.in: Use kaffe-classpath-tools.jar.

	* libraries/javalib/vmspecific/gnu/bytecodecvssnap/Access.java,
	libraries/javalib/vmspecific/gnu/bytecodecvssnap/ArrayClassLoader.java,
	libraries/javalib/vmspecific/gnu/bytecodecvssnap/ArrayType.java,
	libraries/javalib/vmspecific/gnu/bytecodecvssnap/AttrContainer.java,
	libraries/javalib/vmspecific/gnu/bytecodecvssnap/Attribute.java,
	libraries/javalib/vmspecific/gnu/bytecodecvssnap/ClassFileInput.java,
	libraries/javalib/vmspecific/gnu/bytecodecvssnap/ClassType.java,
	libraries/javalib/vmspecific/gnu/bytecodecvssnap/ClassTypeWriter.java,
	libraries/javalib/vmspecific/gnu/bytecodecvssnap/CodeAttr.java,
	libraries/javalib/vmspecific/gnu/bytecodecvssnap/ConstantPool.java,
	libraries/javalib/vmspecific/gnu/bytecodecvssnap/ConstantValueAttr.java,
	libraries/javalib/vmspecific/gnu/bytecodecvssnap/CpoolClass.java,
	libraries/javalib/vmspecific/gnu/bytecodecvssnap/CpoolEntry.java,
	libraries/javalib/vmspecific/gnu/bytecodecvssnap/CpoolFloat.java,
	libraries/javalib/vmspecific/gnu/bytecodecvssnap/CpoolNameAndType.java,
	libraries/javalib/vmspecific/gnu/bytecodecvssnap/CpoolRef.java,
	libraries/javalib/vmspecific/gnu/bytecodecvssnap/CpoolString.java,
	libraries/javalib/vmspecific/gnu/bytecodecvssnap/CpoolUtf8.java,
	libraries/javalib/vmspecific/gnu/bytecodecvssnap/CpoolValue1.java,
	libraries/javalib/vmspecific/gnu/bytecodecvssnap/CpoolValue2.java,
	libraries/javalib/vmspecific/gnu/bytecodecvssnap/ExceptionsAttr.java,
	libraries/javalib/vmspecific/gnu/bytecodecvssnap/Field.java,
	libraries/javalib/vmspecific/gnu/bytecodecvssnap/Filter.java,
	libraries/javalib/vmspecific/gnu/bytecodecvssnap/IfState.java,
	libraries/javalib/vmspecific/gnu/bytecodecvssnap/InnerClassesAttr.java,
	libraries/javalib/vmspecific/gnu/bytecodecvssnap/Label.java,
	libraries/javalib/vmspecific/gnu/bytecodecvssnap/LineNumbersAttr.java,
	libraries/javalib/vmspecific/gnu/bytecodecvssnap/LocalVarsAttr.java,
	libraries/javalib/vmspecific/gnu/bytecodecvssnap/Location.java,
	libraries/javalib/vmspecific/gnu/bytecodecvssnap/Method.java,
	libraries/javalib/vmspecific/gnu/bytecodecvssnap/MiscAttr.java,
	libraries/javalib/vmspecific/gnu/bytecodecvssnap/ObjectType.java,
	libraries/javalib/vmspecific/gnu/bytecodecvssnap/PrimType.java,
	libraries/javalib/vmspecific/gnu/bytecodecvssnap/Scope.java,
	libraries/javalib/vmspecific/gnu/bytecodecvssnap/SourceDebugExtAttr.java,
	libraries/javalib/vmspecific/gnu/bytecodecvssnap/SourceFileAttr.java,
	libraries/javalib/vmspecific/gnu/bytecodecvssnap/SwitchState.java,
	libraries/javalib/vmspecific/gnu/bytecodecvssnap/TryState.java,
	libraries/javalib/vmspecific/gnu/bytecodecvssnap/Type.java,
	libraries/javalib/vmspecific/gnu/bytecodecvssnap/VarEnumerator.java,
	libraries/javalib/vmspecific/gnu/bytecodecvssnap/Variable.java,
	libraries/javalib/vmspecific/gnu/bytecodecvssnap/ZipArchive.java,
	libraries/javalib/vmspecific/gnu/bytecodecvssnap/ZipLoader.java,
	libraries/javalib/vmspecific/gnu/bytecodecvssnap/dump.java,
	libraries/javalib/vmspecific/gnu/bytecodecvssnap/package.html,
	libraries/javalib/vmspecific/org/objectweb/asm153/Attribute.java,
	libraries/javalib/vmspecific/org/objectweb/asm153/ByteVector.java,
	libraries/javalib/vmspecific/org/objectweb/asm153/ClassReader.java,
	libraries/javalib/vmspecific/org/objectweb/asm153/ClassVisitor.java,
	libraries/javalib/vmspecific/org/objectweb/asm153/ClassWriter.java,
	libraries/javalib/vmspecific/org/objectweb/asm153/CodeVisitor.java,
	libraries/javalib/vmspecific/org/objectweb/asm153/CodeWriter.java,
	libraries/javalib/vmspecific/org/objectweb/asm153/Constants.java,
	libraries/javalib/vmspecific/org/objectweb/asm153/Edge.java,
	libraries/javalib/vmspecific/org/objectweb/asm153/Item.java,
	libraries/javalib/vmspecific/org/objectweb/asm153/Label.java,
	libraries/javalib/vmspecific/org/objectweb/asm153/Type.java,
	tools/javatools/javalib/gnu/classpath/tools/Util.java,
	tools/javatools/javalib/gnu/classpath/tools/javap/GnuByteCodeJavap.java,
	tools/javatools/javalib/gnu/classpath/tools/javap/Javap.java,
	tools/javatools/javalib/gnu/classpath/tools/javap/JavapMain.java,
	tools/javatools/javalib/gnu/classpath/tools/rmi/rmic/RMIC.java,
	tools/javatools/javalib/gnu/classpath/tools/rmi/rmic/RMICException.java,
	tools/javatools/javalib/gnu/classpath/tools/rmi/rmic/Variables.java:
	Removed, moved ...

	* tools/javatools/gnu/classpath/tools/Util.java,
	tools/javatools/gnu/classpath/tools/javap/GnuByteCodeJavap.java,
	tools/javatools/gnu/classpath/tools/javap/Javap.java,
	tools/javatools/gnu/classpath/tools/javap/JavapMain.java,
	tools/javatools/gnu/classpath/tools/rmi/rmic/RMIC.java,
	tools/javatools/gnu/classpath/tools/rmi/rmic/RMICException.java,
	tools/javatools/gnu/classpath/tools/rmi/rmic/Variables.java:
	tools/javatools/gnu/bytecodecvssnap/Access.java,
	tools/javatools/gnu/bytecodecvssnap/ArrayClassLoader.java,
	tools/javatools/gnu/bytecodecvssnap/ArrayType.java,
	tools/javatools/gnu/bytecodecvssnap/AttrContainer.java,
	tools/javatools/gnu/bytecodecvssnap/Attribute.java,
	tools/javatools/gnu/bytecodecvssnap/ClassFileInput.java,
	tools/javatools/gnu/bytecodecvssnap/ClassType.java,
	tools/javatools/gnu/bytecodecvssnap/ClassTypeWriter.java,
	tools/javatools/gnu/bytecodecvssnap/CodeAttr.java,
	tools/javatools/gnu/bytecodecvssnap/ConstantPool.java,
	tools/javatools/gnu/bytecodecvssnap/ConstantValueAttr.java,
	tools/javatools/gnu/bytecodecvssnap/CpoolClass.java,
	tools/javatools/gnu/bytecodecvssnap/CpoolEntry.java,
	tools/javatools/gnu/bytecodecvssnap/CpoolFloat.java,
	tools/javatools/gnu/bytecodecvssnap/CpoolNameAndType.java,
	tools/javatools/gnu/bytecodecvssnap/CpoolRef.java,
	tools/javatools/gnu/bytecodecvssnap/CpoolString.java,
	tools/javatools/gnu/bytecodecvssnap/CpoolUtf8.java,
	tools/javatools/gnu/bytecodecvssnap/CpoolValue1.java,
	tools/javatools/gnu/bytecodecvssnap/CpoolValue2.java,
	tools/javatools/gnu/bytecodecvssnap/ExceptionsAttr.java,
	tools/javatools/gnu/bytecodecvssnap/Field.java,
	tools/javatools/gnu/bytecodecvssnap/Filter.java,
	tools/javatools/gnu/bytecodecvssnap/IfState.java,
	tools/javatools/gnu/bytecodecvssnap/InnerClassesAttr.java,
	tools/javatools/gnu/bytecodecvssnap/Label.java,
	tools/javatools/gnu/bytecodecvssnap/LineNumbersAttr.java,
	tools/javatools/gnu/bytecodecvssnap/LocalVarsAttr.java,
	tools/javatools/gnu/bytecodecvssnap/Location.java,
	tools/javatools/gnu/bytecodecvssnap/Method.java,
	tools/javatools/gnu/bytecodecvssnap/MiscAttr.java,
	tools/javatools/gnu/bytecodecvssnap/ObjectType.java,
	tools/javatools/gnu/bytecodecvssnap/PrimType.java,
	tools/javatools/gnu/bytecodecvssnap/Scope.java,
	tools/javatools/gnu/bytecodecvssnap/SourceDebugExtAttr.java,
	tools/javatools/gnu/bytecodecvssnap/SourceFileAttr.java,
	tools/javatools/gnu/bytecodecvssnap/SwitchState.java,
	tools/javatools/gnu/bytecodecvssnap/TryState.java,
	tools/javatools/gnu/bytecodecvssnap/Type.java,
	tools/javatools/gnu/bytecodecvssnap/VarEnumerator.java,
	tools/javatools/gnu/bytecodecvssnap/Variable.java,
	tools/javatools/gnu/bytecodecvssnap/ZipArchive.java,
	tools/javatools/gnu/bytecodecvssnap/ZipLoader.java,
	tools/javatools/gnu/bytecodecvssnap/dump.java,
	tools/javatools/gnu/bytecodecvssnap/package.html,
	tools/javatools/org/objectweb/asm153/Attribute.java,
	tools/javatools/org/objectweb/asm153/ByteVector.java,
	tools/javatools/org/objectweb/asm153/ClassReader.java,
	tools/javatools/org/objectweb/asm153/ClassVisitor.java,
	tools/javatools/org/objectweb/asm153/ClassWriter.java,
	tools/javatools/org/objectweb/asm153/CodeVisitor.java,
	tools/javatools/org/objectweb/asm153/CodeWriter.java,
	tools/javatools/org/objectweb/asm153/Constants.java,
	tools/javatools/org/objectweb/asm153/Edge.java,
	tools/javatools/org/objectweb/asm153/Item.java,
	tools/javatools/org/objectweb/asm153/Label.java,
	tools/javatools/org/objectweb/asm153/Type.java:
	... and moved over here.

	* tools/javatools/Makefile.am: Rewritted to use automake Java support.

	* tools/javatools/javalib/.cvsignore,
	tools/javatools/javalib/Makefile.am:
	Removed.


2006-07-22  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/dnsjava/gnu/java/net/DNSJavaInetAddressImpl.java,
	libraries/javalib/dnsjava/org/xbill/DNS/A6Record.java,
	libraries/javalib/dnsjava/org/xbill/DNS/AAAARecord.java,
	libraries/javalib/dnsjava/org/xbill/DNS/AFSDBRecord.java,
	libraries/javalib/dnsjava/org/xbill/DNS/APLRecord.java,
	libraries/javalib/dnsjava/org/xbill/DNS/ARecord.java,
	libraries/javalib/dnsjava/org/xbill/DNS/Address.java,
	libraries/javalib/dnsjava/org/xbill/DNS/CERTRecord.java,
	libraries/javalib/dnsjava/org/xbill/DNS/CNAMERecord.java,
	libraries/javalib/dnsjava/org/xbill/DNS/Cache.java,
	libraries/javalib/dnsjava/org/xbill/DNS/Client.java,
	libraries/javalib/dnsjava/org/xbill/DNS/Compression.java,
	libraries/javalib/dnsjava/org/xbill/DNS/Credibility.java,
	libraries/javalib/dnsjava/org/xbill/DNS/DClass.java,
	libraries/javalib/dnsjava/org/xbill/DNS/DNAMERecord.java,
	libraries/javalib/dnsjava/org/xbill/DNS/DNSInput.java,
	libraries/javalib/dnsjava/org/xbill/DNS/DNSKEYRecord.java,
	libraries/javalib/dnsjava/org/xbill/DNS/DNSOutput.java,
	libraries/javalib/dnsjava/org/xbill/DNS/DNSSEC.java,
	libraries/javalib/dnsjava/org/xbill/DNS/DSRecord.java,
	libraries/javalib/dnsjava/org/xbill/DNS/EmptyRecord.java,
	libraries/javalib/dnsjava/org/xbill/DNS/ExtendedFlags.java,
	libraries/javalib/dnsjava/org/xbill/DNS/ExtendedResolver.java,
	libraries/javalib/dnsjava/org/xbill/DNS/Flags.java,
	libraries/javalib/dnsjava/org/xbill/DNS/FormattedTime.java,
	libraries/javalib/dnsjava/org/xbill/DNS/GPOSRecord.java,
	libraries/javalib/dnsjava/org/xbill/DNS/Generator.java,
	libraries/javalib/dnsjava/org/xbill/DNS/HINFORecord.java,
	libraries/javalib/dnsjava/org/xbill/DNS/Header.java,
	libraries/javalib/dnsjava/org/xbill/DNS/ISDNRecord.java,
	libraries/javalib/dnsjava/org/xbill/DNS/InvalidDClassException.java,
	libraries/javalib/dnsjava/org/xbill/DNS/InvalidTTLException.java,
	libraries/javalib/dnsjava/org/xbill/DNS/InvalidTypeException.java,
	libraries/javalib/dnsjava/org/xbill/DNS/KEYBase.java,
	libraries/javalib/dnsjava/org/xbill/DNS/KEYRecord.java,
	libraries/javalib/dnsjava/org/xbill/DNS/KXRecord.java,
	libraries/javalib/dnsjava/org/xbill/DNS/LOCRecord.java,
	libraries/javalib/dnsjava/org/xbill/DNS/Lookup.java,
	libraries/javalib/dnsjava/org/xbill/DNS/MBRecord.java,
	libraries/javalib/dnsjava/org/xbill/DNS/MDRecord.java,
	libraries/javalib/dnsjava/org/xbill/DNS/MFRecord.java,
	libraries/javalib/dnsjava/org/xbill/DNS/MGRecord.java,
	libraries/javalib/dnsjava/org/xbill/DNS/MINFORecord.java,
	libraries/javalib/dnsjava/org/xbill/DNS/MRRecord.java,
	libraries/javalib/dnsjava/org/xbill/DNS/MXRecord.java,
	libraries/javalib/dnsjava/org/xbill/DNS/Master.java,
	libraries/javalib/dnsjava/org/xbill/DNS/Message.java,
	libraries/javalib/dnsjava/org/xbill/DNS/Mnemonic.java,
	libraries/javalib/dnsjava/org/xbill/DNS/NAPTRRecord.java,
	libraries/javalib/dnsjava/org/xbill/DNS/NSAPRecord.java,
	libraries/javalib/dnsjava/org/xbill/DNS/NSAP_PTRRecord.java,
	libraries/javalib/dnsjava/org/xbill/DNS/NSECRecord.java,
	libraries/javalib/dnsjava/org/xbill/DNS/NSRecord.java,
	libraries/javalib/dnsjava/org/xbill/DNS/NULLRecord.java,
	libraries/javalib/dnsjava/org/xbill/DNS/NXTRecord.java,
	libraries/javalib/dnsjava/org/xbill/DNS/Name.java,
	libraries/javalib/dnsjava/org/xbill/DNS/NameTooLongException.java,
	libraries/javalib/dnsjava/org/xbill/DNS/OPTRecord.java,
	libraries/javalib/dnsjava/org/xbill/DNS/Opcode.java,
	libraries/javalib/dnsjava/org/xbill/DNS/Options.java,
	libraries/javalib/dnsjava/org/xbill/DNS/PTRRecord.java,
	libraries/javalib/dnsjava/org/xbill/DNS/PXRecord.java,
	libraries/javalib/dnsjava/org/xbill/DNS/RPRecord.java,
	libraries/javalib/dnsjava/org/xbill/DNS/RRSIGRecord.java,
	libraries/javalib/dnsjava/org/xbill/DNS/RRset.java,
	libraries/javalib/dnsjava/org/xbill/DNS/RTRecord.java,
	libraries/javalib/dnsjava/org/xbill/DNS/Rcode.java,
	libraries/javalib/dnsjava/org/xbill/DNS/Record.java,
	libraries/javalib/dnsjava/org/xbill/DNS/RelativeNameException.java,
	libraries/javalib/dnsjava/org/xbill/DNS/ResolveThread.java,
	libraries/javalib/dnsjava/org/xbill/DNS/Resolver.java,
	libraries/javalib/dnsjava/org/xbill/DNS/ResolverConfig.java,
	libraries/javalib/dnsjava/org/xbill/DNS/ResolverListener.java,
	libraries/javalib/dnsjava/org/xbill/DNS/ReverseMap.java,
	libraries/javalib/dnsjava/org/xbill/DNS/SIGBase.java,
	libraries/javalib/dnsjava/org/xbill/DNS/SIGRecord.java,
	libraries/javalib/dnsjava/org/xbill/DNS/SOARecord.java,
	libraries/javalib/dnsjava/org/xbill/DNS/SRVRecord.java,
	libraries/javalib/dnsjava/org/xbill/DNS/SSHFPRecord.java,
	libraries/javalib/dnsjava/org/xbill/DNS/Section.java,
	libraries/javalib/dnsjava/org/xbill/DNS/Serial.java,
	libraries/javalib/dnsjava/org/xbill/DNS/SetResponse.java,
	libraries/javalib/dnsjava/org/xbill/DNS/SimpleResolver.java,
	libraries/javalib/dnsjava/org/xbill/DNS/SingleCompressedNameBase.java,
	libraries/javalib/dnsjava/org/xbill/DNS/SingleNameBase.java,
	libraries/javalib/dnsjava/org/xbill/DNS/TCPClient.java,
	libraries/javalib/dnsjava/org/xbill/DNS/TKEYRecord.java,
	libraries/javalib/dnsjava/org/xbill/DNS/TSIG.java,
	libraries/javalib/dnsjava/org/xbill/DNS/TSIGRecord.java,
	libraries/javalib/dnsjava/org/xbill/DNS/TTL.java,
	libraries/javalib/dnsjava/org/xbill/DNS/TXTRecord.java,
	libraries/javalib/dnsjava/org/xbill/DNS/TextParseException.java,
	libraries/javalib/dnsjava/org/xbill/DNS/Tokenizer.java,
	libraries/javalib/dnsjava/org/xbill/DNS/Type.java,
	libraries/javalib/dnsjava/org/xbill/DNS/TypedObject.java,
	libraries/javalib/dnsjava/org/xbill/DNS/U16NameBase.java,
	libraries/javalib/dnsjava/org/xbill/DNS/UDPClient.java,
	libraries/javalib/dnsjava/org/xbill/DNS/UNKRecord.java,
	libraries/javalib/dnsjava/org/xbill/DNS/Update.java,
	libraries/javalib/dnsjava/org/xbill/DNS/Verifier.java,
	libraries/javalib/dnsjava/org/xbill/DNS/WKSRecord.java,
	libraries/javalib/dnsjava/org/xbill/DNS/WireParseException.java,
	libraries/javalib/dnsjava/org/xbill/DNS/X25Record.java,
	libraries/javalib/dnsjava/org/xbill/DNS/Zone.java,
	libraries/javalib/dnsjava/org/xbill/DNS/ZoneTransferException.java,
	libraries/javalib/dnsjava/org/xbill/DNS/ZoneTransferIn.java,
	libraries/javalib/dnsjava/org/xbill/DNS/security/CERTConverter.java,
	libraries/javalib/dnsjava/org/xbill/DNS/security/DHPubKey.java,
	libraries/javalib/dnsjava/org/xbill/DNS/security/DNSSECVerifier.java,
	libraries/javalib/dnsjava/org/xbill/DNS/security/DSAPubKey.java,
	libraries/javalib/dnsjava/org/xbill/DNS/security/DSASignature.java,
	libraries/javalib/dnsjava/org/xbill/DNS/security/KEYConverter.java,
	libraries/javalib/dnsjava/org/xbill/DNS/security/RSAPubKey.java,
	libraries/javalib/dnsjava/org/xbill/DNS/security/SIG0Signer.java,
	libraries/javalib/dnsjava/org/xbill/DNS/utils/HMAC.java,
	libraries/javalib/dnsjava/org/xbill/DNS/utils/base16.java,
	libraries/javalib/dnsjava/org/xbill/DNS/utils/base64.java,
	libraries/javalib/dnsjava/org/xbill/DNS/utils/hexdump.java:
	Moved over here from libraries/javalib/vmspecific.

	* libraries/javalib/vmspecific/gnu/java/net/DNSJavaInetAddressImpl.java,
	libraries/javalib/vmspecific/org/xbill/DNS/A6Record.java,
	libraries/javalib/vmspecific/org/xbill/DNS/AAAARecord.java,
	libraries/javalib/vmspecific/org/xbill/DNS/AFSDBRecord.java,
	libraries/javalib/vmspecific/org/xbill/DNS/APLRecord.java,
	libraries/javalib/vmspecific/org/xbill/DNS/ARecord.java,
	libraries/javalib/vmspecific/org/xbill/DNS/Address.java,
	libraries/javalib/vmspecific/org/xbill/DNS/CERTRecord.java,
	libraries/javalib/vmspecific/org/xbill/DNS/CNAMERecord.java,
	libraries/javalib/vmspecific/org/xbill/DNS/Cache.java,
	libraries/javalib/vmspecific/org/xbill/DNS/Client.java,
	libraries/javalib/vmspecific/org/xbill/DNS/Compression.java,
	libraries/javalib/vmspecific/org/xbill/DNS/Credibility.java,
	libraries/javalib/vmspecific/org/xbill/DNS/DClass.java,
	libraries/javalib/vmspecific/org/xbill/DNS/DNAMERecord.java,
	libraries/javalib/vmspecific/org/xbill/DNS/DNSInput.java,
	libraries/javalib/vmspecific/org/xbill/DNS/DNSKEYRecord.java,
	libraries/javalib/vmspecific/org/xbill/DNS/DNSOutput.java,
	libraries/javalib/vmspecific/org/xbill/DNS/DNSSEC.java,
	libraries/javalib/vmspecific/org/xbill/DNS/DSRecord.java,
	libraries/javalib/vmspecific/org/xbill/DNS/EmptyRecord.java,
	libraries/javalib/vmspecific/org/xbill/DNS/ExtendedFlags.java,
	libraries/javalib/vmspecific/org/xbill/DNS/ExtendedResolver.java,
	libraries/javalib/vmspecific/org/xbill/DNS/Flags.java,
	libraries/javalib/vmspecific/org/xbill/DNS/FormattedTime.java,
	libraries/javalib/vmspecific/org/xbill/DNS/GPOSRecord.java,
	libraries/javalib/vmspecific/org/xbill/DNS/Generator.java,
	libraries/javalib/vmspecific/org/xbill/DNS/HINFORecord.java,
	libraries/javalib/vmspecific/org/xbill/DNS/Header.java,
	libraries/javalib/vmspecific/org/xbill/DNS/ISDNRecord.java,
	libraries/javalib/vmspecific/org/xbill/DNS/InvalidDClassException.java,
	libraries/javalib/vmspecific/org/xbill/DNS/InvalidTTLException.java,
	libraries/javalib/vmspecific/org/xbill/DNS/InvalidTypeException.java,
	libraries/javalib/vmspecific/org/xbill/DNS/KEYBase.java,
	libraries/javalib/vmspecific/org/xbill/DNS/KEYRecord.java,
	libraries/javalib/vmspecific/org/xbill/DNS/KXRecord.java,
	libraries/javalib/vmspecific/org/xbill/DNS/LOCRecord.java,
	libraries/javalib/vmspecific/org/xbill/DNS/Lookup.java,
	libraries/javalib/vmspecific/org/xbill/DNS/MBRecord.java,
	libraries/javalib/vmspecific/org/xbill/DNS/MDRecord.java,
	libraries/javalib/vmspecific/org/xbill/DNS/MFRecord.java,
	libraries/javalib/vmspecific/org/xbill/DNS/MGRecord.java,
	libraries/javalib/vmspecific/org/xbill/DNS/MINFORecord.java,
	libraries/javalib/vmspecific/org/xbill/DNS/MRRecord.java,
	libraries/javalib/vmspecific/org/xbill/DNS/MXRecord.java,
	libraries/javalib/vmspecific/org/xbill/DNS/Master.java,
	libraries/javalib/vmspecific/org/xbill/DNS/Message.java,
	libraries/javalib/vmspecific/org/xbill/DNS/Mnemonic.java,
	libraries/javalib/vmspecific/org/xbill/DNS/NAPTRRecord.java,
	libraries/javalib/vmspecific/org/xbill/DNS/NSAPRecord.java,
	libraries/javalib/vmspecific/org/xbill/DNS/NSAP_PTRRecord.java,
	libraries/javalib/vmspecific/org/xbill/DNS/NSECRecord.java,
	libraries/javalib/vmspecific/org/xbill/DNS/NSRecord.java,
	libraries/javalib/vmspecific/org/xbill/DNS/NULLRecord.java,
	libraries/javalib/vmspecific/org/xbill/DNS/NXTRecord.java,
	libraries/javalib/vmspecific/org/xbill/DNS/Name.java,
	libraries/javalib/vmspecific/org/xbill/DNS/NameTooLongException.java,
	libraries/javalib/vmspecific/org/xbill/DNS/OPTRecord.java,
	libraries/javalib/vmspecific/org/xbill/DNS/Opcode.java,
	libraries/javalib/vmspecific/org/xbill/DNS/Options.java,
	libraries/javalib/vmspecific/org/xbill/DNS/PTRRecord.java,
	libraries/javalib/vmspecific/org/xbill/DNS/PXRecord.java,
	libraries/javalib/vmspecific/org/xbill/DNS/RPRecord.java,
	libraries/javalib/vmspecific/org/xbill/DNS/RRSIGRecord.java,
	libraries/javalib/vmspecific/org/xbill/DNS/RRset.java,
	libraries/javalib/vmspecific/org/xbill/DNS/RTRecord.java,
	libraries/javalib/vmspecific/org/xbill/DNS/Rcode.java,
	libraries/javalib/vmspecific/org/xbill/DNS/Record.java,
	libraries/javalib/vmspecific/org/xbill/DNS/RelativeNameException.java,
	libraries/javalib/vmspecific/org/xbill/DNS/ResolveThread.java,
	libraries/javalib/vmspecific/org/xbill/DNS/Resolver.java,
	libraries/javalib/vmspecific/org/xbill/DNS/ResolverConfig.java,
	libraries/javalib/vmspecific/org/xbill/DNS/ResolverListener.java,
	libraries/javalib/vmspecific/org/xbill/DNS/ReverseMap.java,
	libraries/javalib/vmspecific/org/xbill/DNS/SIGBase.java,
	libraries/javalib/vmspecific/org/xbill/DNS/SIGRecord.java,
	libraries/javalib/vmspecific/org/xbill/DNS/SOARecord.java,
	libraries/javalib/vmspecific/org/xbill/DNS/SRVRecord.java,
	libraries/javalib/vmspecific/org/xbill/DNS/SSHFPRecord.java,
	libraries/javalib/vmspecific/org/xbill/DNS/Section.java,
	libraries/javalib/vmspecific/org/xbill/DNS/Serial.java,
	libraries/javalib/vmspecific/org/xbill/DNS/SetResponse.java,
	libraries/javalib/vmspecific/org/xbill/DNS/SimpleResolver.java,
	libraries/javalib/vmspecific/org/xbill/DNS/SingleCompressedNameBase.java,
	libraries/javalib/vmspecific/org/xbill/DNS/SingleNameBase.java,
	libraries/javalib/vmspecific/org/xbill/DNS/TCPClient.java,
	libraries/javalib/vmspecific/org/xbill/DNS/TKEYRecord.java,
	libraries/javalib/vmspecific/org/xbill/DNS/TSIG.java,
	libraries/javalib/vmspecific/org/xbill/DNS/TSIGRecord.java,
	libraries/javalib/vmspecific/org/xbill/DNS/TTL.java,
	libraries/javalib/vmspecific/org/xbill/DNS/TXTRecord.java,
	libraries/javalib/vmspecific/org/xbill/DNS/TextParseException.java,
	libraries/javalib/vmspecific/org/xbill/DNS/Tokenizer.java,
	libraries/javalib/vmspecific/org/xbill/DNS/Type.java,
	libraries/javalib/vmspecific/org/xbill/DNS/TypedObject.java,
	libraries/javalib/vmspecific/org/xbill/DNS/U16NameBase.java,
	libraries/javalib/vmspecific/org/xbill/DNS/UDPClient.java,
	libraries/javalib/vmspecific/org/xbill/DNS/UNKRecord.java,
	libraries/javalib/vmspecific/org/xbill/DNS/Update.java,
	libraries/javalib/vmspecific/org/xbill/DNS/Verifier.java,
	libraries/javalib/vmspecific/org/xbill/DNS/WKSRecord.java,
	libraries/javalib/vmspecific/org/xbill/DNS/WireParseException.java,
	libraries/javalib/vmspecific/org/xbill/DNS/X25Record.java,
	libraries/javalib/vmspecific/org/xbill/DNS/Zone.java,
	libraries/javalib/vmspecific/org/xbill/DNS/ZoneTransferException.java,
	libraries/javalib/vmspecific/org/xbill/DNS/ZoneTransferIn.java,
	libraries/javalib/vmspecific/org/xbill/DNS/security/CERTConverter.java,
	libraries/javalib/vmspecific/org/xbill/DNS/security/DHPubKey.java,
	libraries/javalib/vmspecific/org/xbill/DNS/security/DNSSECVerifier.java,
	libraries/javalib/vmspecific/org/xbill/DNS/security/DSAPubKey.java,
	libraries/javalib/vmspecific/org/xbill/DNS/security/DSASignature.java,
	libraries/javalib/vmspecific/org/xbill/DNS/security/KEYConverter.java,
	libraries/javalib/vmspecific/org/xbill/DNS/security/RSAPubKey.java,
	libraries/javalib/vmspecific/org/xbill/DNS/security/SIG0Signer.java,
	libraries/javalib/vmspecific/org/xbill/DNS/utils/HMAC.java,
	libraries/javalib/vmspecific/org/xbill/DNS/utils/base16.java,
	libraries/javalib/vmspecific/org/xbill/DNS/utils/base64.java,
	libraries/javalib/vmspecific/org/xbill/DNS/utils/hexdump.java:
	Removed.

	* libraries/javalib/Makefile.am.in: (SUDIRS) Added dnsjava.

	* configure.ac: output libraries/javalib/dnsjava/Makefile.

2006-07-19  Riccardo Mottola <riccardo@kaffe.org>

	* libraries/javalib/awt-implementations/kaffe/java/awt/EventQueue.java
	libraries/javalib/awt-implementations/kaffe/java/awt/Window.java:
	enhanced methods to match classpath

2006-07-18  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/external/classpath: Resynced.

2006-07-17  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/META-INF/MANIFEST.MF,
	libraries/javalib/META-INF/services/javax.sound.midi.spi.MidiDeviceProvider,
	libraries/javalib/META-INF/services/javax.sound.midi.spi.MidiFileReader,
	libraries/javalib/META-INF/services/javax.sound.midi.spi.MidiFileWriter,
	libraries/javalib/META-INF/services/javax.sound.midi.spi.SoundbankReader,
	libraries/javalib/META-INF/services/javax.sound.sampled.spi.AudioFileReader,
	libraries/javalib/META-INF/services/javax.sound.sampled.spi.AudioFileWriter,
	libraries/javalib/META-INF/services/javax.sound.sampled.spi.FormatConversionProvider,
	libraries/javalib/META-INF/services/javax.sound.sampled.spi.MixerProvider,
	libraries/javalib/META-INF/services/javax.xml.parsers.DocumentBuilderFactory,
	libraries/javalib/META-INF/services/javax.xml.parsers.SAXParserFactory,
	libraries/javalib/META-INF/services/javax.xml.parsers.TransformerFactory,
	libraries/javalib/META-INF/services/org.xml.sax.driver:
	Removed.

2006-07-17  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/vmspecific/org/kaffe/lang/UNIXProcess.java:
	Removed.

	* test/regression/ProcessTest.java, 
	test/regression/KaffeInternal.java:
	Removed references to org.kaffe.lang.UNIXProcess.

	* libraries/clib/native/ClassLoader.c: (java_lang_VMClassLoader_loadClass)
	Don't prohibit loading of org.kaffe.lang classes any more, as there are
	no classes left in that package. 

	* include/Makefile.am (NOINSTALL_JNI_DERIVED_HDRS): Removed 
	org_kaffe_lang_UNIXProcess.h.

2006-07-17  Dalibor Topic  <robilad@kaffe.org>

	* test/regression/KaffeInternal.java:
	Use org.kaffe.lang.UNIXProcess for the test.

	* libraries/javalib/vmspecific/org/kaffe/lang/PackageHelper.java:
	Removed unused class.

2006-07-17  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/vmspecific/org/kaffe/lang/ResourceReader.java,
	libraries/javalib/vmspecific/org/kaffe/lang/ClassPathReader.java:
	Removed unused classes.
	
2006-07-17  Riccardo Mottola <riccardo@kaffe.org>

	* libraries/javalib/awt-implementations/kaffe/java/awt/Component.java:
	created dummy method

2006-07-16  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac: Output libraries/javalib/tritonus-sound/Makefile.

	* include/Makefile.am: Add kaffe-tritonus.jar to KAFFE_JNI_CLASSPATH.

	* libraries/javalib/Makefile.am.in: (COND_NATIVE_SOUND) Build 
	tritonus when native sound is enabled.

	* libraries/javalib/tritonus-sound/Makefile.am: New file.

	* libraries/javalib/tritonus-sound/META-INF/services/javax.sound.sampled.spi.AudioFileReader
	libraries/javalib/tritonus-sound/META-INF/services/javax.sound.sampled.spi.AudioFileWriter
	libraries/javalib/tritonus-sound/META-INF/services/javax.sound.sampled.spi.FormatConversionProvider
	libraries/javalib/tritonus-sound/META-INF/services/javax.sound.sampled.spi.MixerProvider
	libraries/javalib/tritonus-sound/org/tritonus/lowlevel/alsa/Alsa.java
	libraries/javalib/tritonus-sound/org/tritonus/lowlevel/alsa/AlsaCtl.java
	libraries/javalib/tritonus-sound/org/tritonus/lowlevel/alsa/AlsaCtlCardInfo.java
	libraries/javalib/tritonus-sound/org/tritonus/lowlevel/alsa/AlsaMixer.java
	libraries/javalib/tritonus-sound/org/tritonus/lowlevel/alsa/AlsaMixerElement.java
	libraries/javalib/tritonus-sound/org/tritonus/lowlevel/alsa/AlsaPcm.java
	libraries/javalib/tritonus-sound/org/tritonus/lowlevel/alsa/AlsaPcmHWParams.java
	libraries/javalib/tritonus-sound/org/tritonus/lowlevel/alsa/AlsaPcmHWParamsFormatMask.java
	libraries/javalib/tritonus-sound/org/tritonus/lowlevel/alsa/AlsaPcmSWParams.java
	libraries/javalib/tritonus-sound/org/tritonus/lowlevel/alsa/AlsaSeq.java
	libraries/javalib/tritonus-sound/org/tritonus/lowlevel/alsa/AlsaSeqClientInfo.java
	libraries/javalib/tritonus-sound/org/tritonus/lowlevel/alsa/AlsaSeqEvent.java
	libraries/javalib/tritonus-sound/org/tritonus/lowlevel/alsa/AlsaSeqPortInfo.java
	libraries/javalib/tritonus-sound/org/tritonus/lowlevel/alsa/AlsaSeqPortSubscribe.java
	libraries/javalib/tritonus-sound/org/tritonus/lowlevel/alsa/AlsaSeqQueueInfo.java
	libraries/javalib/tritonus-sound/org/tritonus/lowlevel/alsa/AlsaSeqQueueStatus.java
	libraries/javalib/tritonus-sound/org/tritonus/lowlevel/alsa/AlsaSeqQueueTempo.java
	libraries/javalib/tritonus-sound/org/tritonus/lowlevel/alsa/AlsaSeqQueueTimer.java
	libraries/javalib/tritonus-sound/org/tritonus/lowlevel/alsa/AlsaSeqRemoveEvents.java
	libraries/javalib/tritonus-sound/org/tritonus/lowlevel/alsa/AlsaSeqSystemInfo.java
	libraries/javalib/tritonus-sound/org/tritonus/lowlevel/alsa/package.html
	libraries/javalib/tritonus-sound/org/tritonus/lowlevel/esd/Esd.java
	libraries/javalib/tritonus-sound/org/tritonus/lowlevel/esd/EsdRecordingStream.java
	libraries/javalib/tritonus-sound/org/tritonus/lowlevel/esd/EsdSample.java
	libraries/javalib/tritonus-sound/org/tritonus/lowlevel/esd/EsdStream.java
	libraries/javalib/tritonus-sound/org/tritonus/lowlevel/esd/package.html
	libraries/javalib/tritonus-sound/org/tritonus/midi/device/alsa/AlsaMidiChannel.java
	libraries/javalib/tritonus-sound/org/tritonus/midi/device/alsa/AlsaMidiDevice.java
	libraries/javalib/tritonus-sound/org/tritonus/midi/device/alsa/AlsaMidiDeviceProvider.java
	libraries/javalib/tritonus-sound/org/tritonus/midi/device/alsa/AlsaMidiIn.java
	libraries/javalib/tritonus-sound/org/tritonus/midi/device/alsa/AlsaMidiOut.java
	libraries/javalib/tritonus-sound/org/tritonus/midi/device/alsa/AlsaQueueHolder.java
	libraries/javalib/tritonus-sound/org/tritonus/midi/device/alsa/AlsaReceiver.java
	libraries/javalib/tritonus-sound/org/tritonus/midi/device/alsa/AlsaSequencer.java
	libraries/javalib/tritonus-sound/org/tritonus/midi/device/alsa/AlsaSequencerProvider.java
	libraries/javalib/tritonus-sound/org/tritonus/midi/device/alsa/AlsaSequencerReceiver.java
	libraries/javalib/tritonus-sound/org/tritonus/midi/device/alsa/AlsaSynthesizer.java
	libraries/javalib/tritonus-sound/org/tritonus/midi/device/alsa/package.html
	libraries/javalib/tritonus-sound/org/tritonus/midi/file/MidiConstants.java
	libraries/javalib/tritonus-sound/org/tritonus/midi/file/StandardMidiFileReader.java
	libraries/javalib/tritonus-sound/org/tritonus/midi/file/StandardMidiFileWriter.java
	libraries/javalib/tritonus-sound/org/tritonus/midi/file/package.html
	libraries/javalib/tritonus-sound/org/tritonus/sampled/convert/AlawFormatConversionProvider.java
	libraries/javalib/tritonus-sound/org/tritonus/sampled/convert/PCM2PCMConversionProvider.java
	libraries/javalib/tritonus-sound/org/tritonus/sampled/convert/SampleRateConversionProvider.java
	libraries/javalib/tritonus-sound/org/tritonus/sampled/convert/SmartFormatConversionProvider.java
	libraries/javalib/tritonus-sound/org/tritonus/sampled/convert/UlawFormatConversionProvider.java
	libraries/javalib/tritonus-sound/org/tritonus/sampled/convert/package.html
	libraries/javalib/tritonus-sound/org/tritonus/sampled/file/AiffAudioFileReader.java
	libraries/javalib/tritonus-sound/org/tritonus/sampled/file/AiffAudioFileWriter.java
	libraries/javalib/tritonus-sound/org/tritonus/sampled/file/AiffAudioOutputStream.java
	libraries/javalib/tritonus-sound/org/tritonus/sampled/file/AiffTool.java
	libraries/javalib/tritonus-sound/org/tritonus/sampled/file/AuAudioFileReader.java
	libraries/javalib/tritonus-sound/org/tritonus/sampled/file/AuAudioFileWriter.java
	libraries/javalib/tritonus-sound/org/tritonus/sampled/file/AuAudioOutputStream.java
	libraries/javalib/tritonus-sound/org/tritonus/sampled/file/AuTool.java
	libraries/javalib/tritonus-sound/org/tritonus/sampled/file/WaveAudioFileReader.java
	libraries/javalib/tritonus-sound/org/tritonus/sampled/file/WaveAudioFileWriter.java
	libraries/javalib/tritonus-sound/org/tritonus/sampled/file/WaveAudioOutputStream.java
	libraries/javalib/tritonus-sound/org/tritonus/sampled/file/WaveTool.java
	libraries/javalib/tritonus-sound/org/tritonus/sampled/file/package.html
	libraries/javalib/tritonus-sound/org/tritonus/sampled/mixer/alsa/AlsaBaseDataLine.java
	libraries/javalib/tritonus-sound/org/tritonus/sampled/mixer/alsa/AlsaDataLineMixer.java
	libraries/javalib/tritonus-sound/org/tritonus/sampled/mixer/alsa/AlsaDataLineMixerProvider.java
	libraries/javalib/tritonus-sound/org/tritonus/sampled/mixer/alsa/AlsaPortMixer.java
	libraries/javalib/tritonus-sound/org/tritonus/sampled/mixer/alsa/AlsaPortMixerProvider.java
	libraries/javalib/tritonus-sound/org/tritonus/sampled/mixer/alsa/AlsaSourceDataLine.java
	libraries/javalib/tritonus-sound/org/tritonus/sampled/mixer/alsa/AlsaTargetDataLine.java
	libraries/javalib/tritonus-sound/org/tritonus/sampled/mixer/alsa/AlsaUtils.java
	libraries/javalib/tritonus-sound/org/tritonus/sampled/mixer/alsa/package.html
	libraries/javalib/tritonus-sound/org/tritonus/sampled/mixer/esd/EsdClip.java
	libraries/javalib/tritonus-sound/org/tritonus/sampled/mixer/esd/EsdMixer.java
	libraries/javalib/tritonus-sound/org/tritonus/sampled/mixer/esd/EsdMixerProvider.java
	libraries/javalib/tritonus-sound/org/tritonus/sampled/mixer/esd/EsdSourceDataLine.java
	libraries/javalib/tritonus-sound/org/tritonus/sampled/mixer/esd/EsdTargetDataLine.java
	libraries/javalib/tritonus-sound/org/tritonus/sampled/mixer/esd/EsdUtils.java
	libraries/javalib/tritonus-sound/org/tritonus/sampled/mixer/esd/package.html
	libraries/javalib/tritonus-sound/org/tritonus/share/ArraySet.java
	libraries/javalib/tritonus-sound/org/tritonus/share/GlobalInfo.java
	libraries/javalib/tritonus-sound/org/tritonus/share/StringHashedSet.java
	libraries/javalib/tritonus-sound/org/tritonus/share/TCircularBuffer.java
	libraries/javalib/tritonus-sound/org/tritonus/share/TDebug.java
	libraries/javalib/tritonus-sound/org/tritonus/share/TNotifier.java
	libraries/javalib/tritonus-sound/org/tritonus/share/TSettings.java
	libraries/javalib/tritonus-sound/org/tritonus/share/package.html
	libraries/javalib/tritonus-sound/org/tritonus/share/midi/MidiUtils.java
	libraries/javalib/tritonus-sound/org/tritonus/share/midi/TMidiDevice.java
	libraries/javalib/tritonus-sound/org/tritonus/share/midi/TMidiFileFormat.java
	libraries/javalib/tritonus-sound/org/tritonus/share/midi/TSequencer.java
	libraries/javalib/tritonus-sound/org/tritonus/share/midi/package.html
	libraries/javalib/tritonus-sound/org/tritonus/share/sampled/AudioFileTypes.java
	libraries/javalib/tritonus-sound/org/tritonus/share/sampled/AudioFormatSet.java
	libraries/javalib/tritonus-sound/org/tritonus/share/sampled/AudioFormats.java
	libraries/javalib/tritonus-sound/org/tritonus/share/sampled/AudioSystemShadow.java
	libraries/javalib/tritonus-sound/org/tritonus/share/sampled/AudioUtils.java
	libraries/javalib/tritonus-sound/org/tritonus/share/sampled/Encodings.java
	libraries/javalib/tritonus-sound/org/tritonus/share/sampled/FloatSampleBuffer.java
	libraries/javalib/tritonus-sound/org/tritonus/share/sampled/TConversionTool.java
	libraries/javalib/tritonus-sound/org/tritonus/share/sampled/TVolumeUtils.java
	libraries/javalib/tritonus-sound/org/tritonus/share/sampled/package.html
	libraries/javalib/tritonus-sound/org/tritonus/share/sampled/convert/TAsynchronousFilteredAudioInputStream.java
	libraries/javalib/tritonus-sound/org/tritonus/share/sampled/convert/TAudioInputStream.java
	libraries/javalib/tritonus-sound/org/tritonus/share/sampled/convert/TEncodingFormatConversionProvider.java
	libraries/javalib/tritonus-sound/org/tritonus/share/sampled/convert/TFormatConversionProvider.java
	libraries/javalib/tritonus-sound/org/tritonus/share/sampled/convert/TMatrixFormatConversionProvider.java
	libraries/javalib/tritonus-sound/org/tritonus/share/sampled/convert/TSimpleFormatConversionProvider.java
	libraries/javalib/tritonus-sound/org/tritonus/share/sampled/convert/TSynchronousFilteredAudioInputStream.java
	libraries/javalib/tritonus-sound/org/tritonus/share/sampled/convert/package.html
	libraries/javalib/tritonus-sound/org/tritonus/share/sampled/file/AudioOutputStream.java
	libraries/javalib/tritonus-sound/org/tritonus/share/sampled/file/HeaderlessAudioOutputStream.java
	libraries/javalib/tritonus-sound/org/tritonus/share/sampled/file/TAudioFileFormat.java
	libraries/javalib/tritonus-sound/org/tritonus/share/sampled/file/TAudioFileReader.java
	libraries/javalib/tritonus-sound/org/tritonus/share/sampled/file/TAudioFileWriter.java
	libraries/javalib/tritonus-sound/org/tritonus/share/sampled/file/TAudioOutputStream.java
	libraries/javalib/tritonus-sound/org/tritonus/share/sampled/file/TDataOutputStream.java
	libraries/javalib/tritonus-sound/org/tritonus/share/sampled/file/THeaderlessAudioFileWriter.java
	libraries/javalib/tritonus-sound/org/tritonus/share/sampled/file/TNonSeekableDataOutputStream.java
	libraries/javalib/tritonus-sound/org/tritonus/share/sampled/file/TSeekableDataOutputStream.java
	libraries/javalib/tritonus-sound/org/tritonus/share/sampled/file/package.html
	libraries/javalib/tritonus-sound/org/tritonus/share/sampled/mixer/TBaseDataLine.java
	libraries/javalib/tritonus-sound/org/tritonus/share/sampled/mixer/TBooleanControl.java
	libraries/javalib/tritonus-sound/org/tritonus/share/sampled/mixer/TClip.java
	libraries/javalib/tritonus-sound/org/tritonus/share/sampled/mixer/TCompoundControl.java
	libraries/javalib/tritonus-sound/org/tritonus/share/sampled/mixer/TCompoundControlType.java
	libraries/javalib/tritonus-sound/org/tritonus/share/sampled/mixer/TControlController.java
	libraries/javalib/tritonus-sound/org/tritonus/share/sampled/mixer/TControllable.java
	libraries/javalib/tritonus-sound/org/tritonus/share/sampled/mixer/TDataLine.java
	libraries/javalib/tritonus-sound/org/tritonus/share/sampled/mixer/TEnumControl.java
	libraries/javalib/tritonus-sound/org/tritonus/share/sampled/mixer/TFloatControl.java
	libraries/javalib/tritonus-sound/org/tritonus/share/sampled/mixer/TLine.java
	libraries/javalib/tritonus-sound/org/tritonus/share/sampled/mixer/TMixer.java
	libraries/javalib/tritonus-sound/org/tritonus/share/sampled/mixer/TMixerInfo.java
	libraries/javalib/tritonus-sound/org/tritonus/share/sampled/mixer/TMixerProvider.java
	libraries/javalib/tritonus-sound/org/tritonus/share/sampled/mixer/TPort.java
	libraries/javalib/tritonus-sound/org/tritonus/share/sampled/mixer/TSoftClip.java
	libraries/javalib/tritonus-sound/org/tritonus/share/sampled/mixer/package.html:
	Moved over here from ...

	* libraries/javalib/vmspecific/META-INF/services/javax.sound.sampled.spi.AudioFileReader
	libraries/javalib/vmspecific/META-INF/services/javax.sound.sampled.spi.AudioFileWriter
	libraries/javalib/vmspecific/META-INF/services/javax.sound.sampled.spi.FormatConversionProvider
	libraries/javalib/vmspecific/META-INF/services/javax.sound.sampled.spi.MixerProvider
	libraries/javalib/vmspecific/org/tritonus/core/Service.java
	libraries/javalib/vmspecific/org/tritonus/core/TAudioConfig.java
	libraries/javalib/vmspecific/org/tritonus/core/TInit.java
	libraries/javalib/vmspecific/org/tritonus/core/TMidiConfig.java
	libraries/javalib/vmspecific/org/tritonus/core/package.html
	libraries/javalib/vmspecific/org/tritonus/lowlevel/alsa/Alsa.java
	libraries/javalib/vmspecific/org/tritonus/lowlevel/alsa/AlsaCtl.java
	libraries/javalib/vmspecific/org/tritonus/lowlevel/alsa/AlsaCtlCardInfo.java
	libraries/javalib/vmspecific/org/tritonus/lowlevel/alsa/AlsaMixer.java
	libraries/javalib/vmspecific/org/tritonus/lowlevel/alsa/AlsaMixerElement.java
	libraries/javalib/vmspecific/org/tritonus/lowlevel/alsa/AlsaPcm.java
	libraries/javalib/vmspecific/org/tritonus/lowlevel/alsa/AlsaPcmHWParams.java
	libraries/javalib/vmspecific/org/tritonus/lowlevel/alsa/AlsaPcmHWParamsFormatMask.java
	libraries/javalib/vmspecific/org/tritonus/lowlevel/alsa/AlsaPcmSWParams.java
	libraries/javalib/vmspecific/org/tritonus/lowlevel/alsa/AlsaSeq.java
	libraries/javalib/vmspecific/org/tritonus/lowlevel/alsa/AlsaSeqClientInfo.java
	libraries/javalib/vmspecific/org/tritonus/lowlevel/alsa/AlsaSeqEvent.java
	libraries/javalib/vmspecific/org/tritonus/lowlevel/alsa/AlsaSeqPortInfo.java
	libraries/javalib/vmspecific/org/tritonus/lowlevel/alsa/AlsaSeqPortSubscribe.java
	libraries/javalib/vmspecific/org/tritonus/lowlevel/alsa/AlsaSeqQueueInfo.java
	libraries/javalib/vmspecific/org/tritonus/lowlevel/alsa/AlsaSeqQueueStatus.java
	libraries/javalib/vmspecific/org/tritonus/lowlevel/alsa/AlsaSeqQueueTempo.java
	libraries/javalib/vmspecific/org/tritonus/lowlevel/alsa/AlsaSeqQueueTimer.java
	libraries/javalib/vmspecific/org/tritonus/lowlevel/alsa/AlsaSeqRemoveEvents.java
	libraries/javalib/vmspecific/org/tritonus/lowlevel/alsa/AlsaSeqSystemInfo.java
	libraries/javalib/vmspecific/org/tritonus/lowlevel/alsa/package.html
	libraries/javalib/vmspecific/org/tritonus/lowlevel/esd/Esd.java
	libraries/javalib/vmspecific/org/tritonus/lowlevel/esd/EsdRecordingStream.java
	libraries/javalib/vmspecific/org/tritonus/lowlevel/esd/EsdSample.java
	libraries/javalib/vmspecific/org/tritonus/lowlevel/esd/EsdStream.java
	libraries/javalib/vmspecific/org/tritonus/lowlevel/esd/package.html
	libraries/javalib/vmspecific/org/tritonus/midi/device/alsa/AlsaMidiChannel.java
	libraries/javalib/vmspecific/org/tritonus/midi/device/alsa/AlsaMidiDevice.java
	libraries/javalib/vmspecific/org/tritonus/midi/device/alsa/AlsaMidiDeviceProvider.java
	libraries/javalib/vmspecific/org/tritonus/midi/device/alsa/AlsaMidiIn.java
	libraries/javalib/vmspecific/org/tritonus/midi/device/alsa/AlsaMidiOut.java
	libraries/javalib/vmspecific/org/tritonus/midi/device/alsa/AlsaQueueHolder.java
	libraries/javalib/vmspecific/org/tritonus/midi/device/alsa/AlsaReceiver.java
	libraries/javalib/vmspecific/org/tritonus/midi/device/alsa/AlsaSequencer.java
	libraries/javalib/vmspecific/org/tritonus/midi/device/alsa/AlsaSequencerProvider.java
	libraries/javalib/vmspecific/org/tritonus/midi/device/alsa/AlsaSequencerReceiver.java
	libraries/javalib/vmspecific/org/tritonus/midi/device/alsa/AlsaSynthesizer.java
	libraries/javalib/vmspecific/org/tritonus/midi/device/alsa/package.html
	libraries/javalib/vmspecific/org/tritonus/midi/file/MidiConstants.java
	libraries/javalib/vmspecific/org/tritonus/midi/file/StandardMidiFileReader.java
	libraries/javalib/vmspecific/org/tritonus/midi/file/StandardMidiFileWriter.java
	libraries/javalib/vmspecific/org/tritonus/midi/file/package.html
	libraries/javalib/vmspecific/org/tritonus/sampled/convert/AlawFormatConversionProvider.java
	libraries/javalib/vmspecific/org/tritonus/sampled/convert/PCM2PCMConversionProvider.java
	libraries/javalib/vmspecific/org/tritonus/sampled/convert/SampleRateConversionProvider.java
	libraries/javalib/vmspecific/org/tritonus/sampled/convert/SmartFormatConversionProvider.java
	libraries/javalib/vmspecific/org/tritonus/sampled/convert/UlawFormatConversionProvider.java
	libraries/javalib/vmspecific/org/tritonus/sampled/convert/package.html
	libraries/javalib/vmspecific/org/tritonus/sampled/file/AiffAudioFileReader.java
	libraries/javalib/vmspecific/org/tritonus/sampled/file/AiffAudioFileWriter.java
	libraries/javalib/vmspecific/org/tritonus/sampled/file/AiffAudioOutputStream.java
	libraries/javalib/vmspecific/org/tritonus/sampled/file/AiffTool.java
	libraries/javalib/vmspecific/org/tritonus/sampled/file/AuAudioFileReader.java
	libraries/javalib/vmspecific/org/tritonus/sampled/file/AuAudioFileWriter.java
	libraries/javalib/vmspecific/org/tritonus/sampled/file/AuAudioOutputStream.java
	libraries/javalib/vmspecific/org/tritonus/sampled/file/AuTool.java
	libraries/javalib/vmspecific/org/tritonus/sampled/file/WaveAudioFileReader.java
	libraries/javalib/vmspecific/org/tritonus/sampled/file/WaveAudioFileWriter.java
	libraries/javalib/vmspecific/org/tritonus/sampled/file/WaveAudioOutputStream.java
	libraries/javalib/vmspecific/org/tritonus/sampled/file/WaveTool.java
	libraries/javalib/vmspecific/org/tritonus/sampled/file/package.html
	libraries/javalib/vmspecific/org/tritonus/sampled/mixer/alsa/AlsaBaseDataLine.java
	libraries/javalib/vmspecific/org/tritonus/sampled/mixer/alsa/AlsaDataLineMixer.java
	libraries/javalib/vmspecific/org/tritonus/sampled/mixer/alsa/AlsaDataLineMixerProvider.java
	libraries/javalib/vmspecific/org/tritonus/sampled/mixer/alsa/AlsaPortMixer.java
	libraries/javalib/vmspecific/org/tritonus/sampled/mixer/alsa/AlsaPortMixerProvider.java
	libraries/javalib/vmspecific/org/tritonus/sampled/mixer/alsa/AlsaSourceDataLine.java
	libraries/javalib/vmspecific/org/tritonus/sampled/mixer/alsa/AlsaTargetDataLine.java
	libraries/javalib/vmspecific/org/tritonus/sampled/mixer/alsa/AlsaUtils.java
	libraries/javalib/vmspecific/org/tritonus/sampled/mixer/alsa/package.html
	libraries/javalib/vmspecific/org/tritonus/sampled/mixer/esd/EsdClip.java
	libraries/javalib/vmspecific/org/tritonus/sampled/mixer/esd/EsdMixer.java
	libraries/javalib/vmspecific/org/tritonus/sampled/mixer/esd/EsdMixerProvider.java
	libraries/javalib/vmspecific/org/tritonus/sampled/mixer/esd/EsdSourceDataLine.java
	libraries/javalib/vmspecific/org/tritonus/sampled/mixer/esd/EsdTargetDataLine.java
	libraries/javalib/vmspecific/org/tritonus/sampled/mixer/esd/EsdUtils.java
	libraries/javalib/vmspecific/org/tritonus/sampled/mixer/esd/package.html
	libraries/javalib/vmspecific/org/tritonus/share/ArraySet.java
	libraries/javalib/vmspecific/org/tritonus/share/GlobalInfo.java
	libraries/javalib/vmspecific/org/tritonus/share/StringHashedSet.java
	libraries/javalib/vmspecific/org/tritonus/share/TCircularBuffer.java
	libraries/javalib/vmspecific/org/tritonus/share/TDebug.java
	libraries/javalib/vmspecific/org/tritonus/share/TNotifier.java
	libraries/javalib/vmspecific/org/tritonus/share/TSettings.java
	libraries/javalib/vmspecific/org/tritonus/share/package.html
	libraries/javalib/vmspecific/org/tritonus/share/midi/MidiUtils.java
	libraries/javalib/vmspecific/org/tritonus/share/midi/TMidiDevice.java
	libraries/javalib/vmspecific/org/tritonus/share/midi/TMidiFileFormat.java
	libraries/javalib/vmspecific/org/tritonus/share/midi/TSequencer.java
	libraries/javalib/vmspecific/org/tritonus/share/midi/package.html
	libraries/javalib/vmspecific/org/tritonus/share/sampled/AudioFileTypes.java
	libraries/javalib/vmspecific/org/tritonus/share/sampled/AudioFormatSet.java
	libraries/javalib/vmspecific/org/tritonus/share/sampled/AudioFormats.java
	libraries/javalib/vmspecific/org/tritonus/share/sampled/AudioSystemShadow.java
	libraries/javalib/vmspecific/org/tritonus/share/sampled/AudioUtils.java
	libraries/javalib/vmspecific/org/tritonus/share/sampled/Encodings.java
	libraries/javalib/vmspecific/org/tritonus/share/sampled/FloatSampleBuffer.java
	libraries/javalib/vmspecific/org/tritonus/share/sampled/TConversionTool.java
	libraries/javalib/vmspecific/org/tritonus/share/sampled/TVolumeUtils.java
	libraries/javalib/vmspecific/org/tritonus/share/sampled/package.html
	libraries/javalib/vmspecific/org/tritonus/share/sampled/convert/TAsynchronousFilteredAudioInputStream.java
	libraries/javalib/vmspecific/org/tritonus/share/sampled/convert/TAudioInputStream.java
	libraries/javalib/vmspecific/org/tritonus/share/sampled/convert/TEncodingFormatConversionProvider.java
	libraries/javalib/vmspecific/org/tritonus/share/sampled/convert/TFormatConversionProvider.java
	libraries/javalib/vmspecific/org/tritonus/share/sampled/convert/TMatrixFormatConversionProvider.java
	libraries/javalib/vmspecific/org/tritonus/share/sampled/convert/TSimpleFormatConversionProvider.java
	libraries/javalib/vmspecific/org/tritonus/share/sampled/convert/TSynchronousFilteredAudioInputStream.java
	libraries/javalib/vmspecific/org/tritonus/share/sampled/convert/package.html
	libraries/javalib/vmspecific/org/tritonus/share/sampled/file/AudioOutputStream.java
	libraries/javalib/vmspecific/org/tritonus/share/sampled/file/HeaderlessAudioOutputStream.java
	libraries/javalib/vmspecific/org/tritonus/share/sampled/file/TAudioFileFormat.java
	libraries/javalib/vmspecific/org/tritonus/share/sampled/file/TAudioFileReader.java
	libraries/javalib/vmspecific/org/tritonus/share/sampled/file/TAudioFileWriter.java
	libraries/javalib/vmspecific/org/tritonus/share/sampled/file/TAudioOutputStream.java
	libraries/javalib/vmspecific/org/tritonus/share/sampled/file/TDataOutputStream.java
	libraries/javalib/vmspecific/org/tritonus/share/sampled/file/THeaderlessAudioFileWriter.java
	libraries/javalib/vmspecific/org/tritonus/share/sampled/file/TNonSeekableDataOutputStream.java
	libraries/javalib/vmspecific/org/tritonus/share/sampled/file/TSeekableDataOutputStream.java
	libraries/javalib/vmspecific/org/tritonus/share/sampled/file/package.html
	libraries/javalib/vmspecific/org/tritonus/share/sampled/mixer/TBaseDataLine.java
	libraries/javalib/vmspecific/org/tritonus/share/sampled/mixer/TBooleanControl.java
	libraries/javalib/vmspecific/org/tritonus/share/sampled/mixer/TClip.java
	libraries/javalib/vmspecific/org/tritonus/share/sampled/mixer/TCompoundControl.java
	libraries/javalib/vmspecific/org/tritonus/share/sampled/mixer/TCompoundControlType.java
	libraries/javalib/vmspecific/org/tritonus/share/sampled/mixer/TControlController.java
	libraries/javalib/vmspecific/org/tritonus/share/sampled/mixer/TControllable.java
	libraries/javalib/vmspecific/org/tritonus/share/sampled/mixer/TDataLine.java
	libraries/javalib/vmspecific/org/tritonus/share/sampled/mixer/TEnumControl.java
	libraries/javalib/vmspecific/org/tritonus/share/sampled/mixer/TFloatControl.java
	libraries/javalib/vmspecific/org/tritonus/share/sampled/mixer/TLine.java
	libraries/javalib/vmspecific/org/tritonus/share/sampled/mixer/TMixer.java
	libraries/javalib/vmspecific/org/tritonus/share/sampled/mixer/TMixerInfo.java
	libraries/javalib/vmspecific/org/tritonus/share/sampled/mixer/TMixerProvider.java
	libraries/javalib/vmspecific/org/tritonus/share/sampled/mixer/TPort.java
	libraries/javalib/vmspecific/org/tritonus/share/sampled/mixer/TSoftClip.java
	libraries/javalib/vmspecific/org/tritonus/share/sampled/mixer/package.html:
	Removed.

2006-07-16  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/vmspecific/org/kaffe/util/Base64.java,
	libraries/javalib/vmspecific/org/kaffe/util/DateParser.java,
	libraries/javalib/vmspecific/org/kaffe/util/DateScanner.java,
	libraries/javalib/vmspecific/org/kaffe/util/Deprecated.java,
	libraries/javalib/vmspecific/org/kaffe/util/IdentityHashtable.java,
	libraries/javalib/vmspecific/org/kaffe/util/IntegerHashtable.java,
	libraries/javalib/vmspecific/org/kaffe/util/IntegerIntegerHashtable.java,
	libraries/javalib/vmspecific/org/kaffe/util/LongHashtable.java,
	libraries/javalib/vmspecific/org/kaffe/util/NotImplementedReport.java,
	libraries/javalib/vmspecific/org/kaffe/util/UNIXTimeZone.java:
	Removed unused classes.

2006-07-16  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/vmspecific/org/kaffe/util/Timer.java,
	libraries/javalib/vmspecific/org/kaffe/util/TimerClient.java,
	libraries/javalib/vmspecific/org/kaffe/util/VectorSnapshot.java:
	Removed. Moved to kaffe's awt implementatin, i.e. ...

	* libraries/javalib/awt-implementations/kaffe/org/kaffe/util/TimerClient.java,
	libraries/javalib/awt-implementations/kaffe/org/kaffe/util/Timer.java,
	libraries/javalib/awt-implementations/kaffe/org/kaffe/util/VectorSnapshot.java:
	... to here.

	* libraries/javalib/awt-implementations/Makefile.am: Added the new 
	org/kaffe/util classes.

2006-07-16  Dalibor Topic  <robilad@kaffe.org>

	Switched over to GNU Classpath's java.lang.String.

	* libraries/javalib/vmspecific/java/lang/String.java:
	Removed.

	* libraries/javalib/vmspecific/java/lang/VMString.java:
	Added new file from GNU Classpath. Adapted for Kaffe's
	native string interning.

	* include/Makefile.am (NOINSTALL_DERIVED_HDRS): 
	Added java_lang_VMString.h.

	* kaffe/kaffevm/string.c (utf8Const2Java, utf8ConstEqualJavaString,
	stringHashValue, stringCompare) Use cachedHashCode field in String
	instead of hash.
	(string_isInterned) New helper function.
	(stringInternString, stringDestroy) Use string_isInterned rather than
	using the removed interned field of String.

	* kaffe/kaffevm/jni/jni-string.c (KaffeJNI_NewString):
	Don't set the interned field, it has been removed from String.

	* libraries/clib/native/String.c (java_lang_String_intern0) Renamed to ..
	(java_lang_VMString_intern) ... this.
	(java_lang_String_indexOf) Removed.

2006-07-16  Dalibor Topic  <robilad@kaffe.org>

	libraries/extensions/comm/javalib/.cvsignore,
	libraries/extensions/comm/javalib/Makefile.am,
	libraries/extensions/comm/javalib/Makefile.in,
	libraries/extensions/comm/.cvsignore,
	libraries/extensions/comm/Makefile.am,
	libraries/extensions/comm/Makefile.in,
	libraries/extensions/.cvsignore,
	libraries/extensions/Makefile.am,
	libraries/extensions/Makefile.in,
	libraries/extensions/microsoft/clib/Makefile.in
	libraries/extensions/microsoft/clib/.cvsignore,
	libraries/extensions/microsoft/clib/Delegate.c,
	libraries/extensions/microsoft/clib/Makefile.am,
	libraries/extensions/microsoft/.cvsignore,
	libraries/extensions/microsoft/Makefile.am,
	libraries/extensions/microsoft/Makefile.in,
	libraries/extensions/microsoft/javalib/.cvsignore,
	libraries/extensions/microsoft/javalib/Makefile.am,
	libraries/extensions/microsoft/javalib/Makefile.in,
	libraries/extensions/pjava/javalib/.cvsignore,
	libraries/extensions/pjava/javalib/Makefile.am,
	libraries/extensions/pjava/javalib/Makefile.in,
	libraries/extensions/pjava/.cvsignore,
	libraries/extensions/pjava/Makefile.am,
	libraries/extensions/pjava/Makefile.in,
	libraries/extensions/servlet/javalib/.cvsignore,
	libraries/extensions/servlet/javalib/Makefile.am,
	libraries/extensions/servlet/javalib/Makefile.in,
	libraries/extensions/servlet/.cvsignore,
	libraries/extensions/servlet/Makefile.am,
	libraries/extensions/servlet/Makefile.in,
	libraries/extensions/comm/javalib/javax/comm/CommDriver.java,
	libraries/extensions/comm/javalib/javax/comm/CommPort.java,
	libraries/extensions/comm/javalib/javax/comm/CommPortIdentifier.java,
	libraries/extensions/comm/javalib/javax/comm/CommPortOwnershipListener.java,
	libraries/extensions/comm/javalib/javax/comm/NoSuchPortException.java,
	libraries/extensions/comm/javalib/javax/comm/ParallelPort.java,
	libraries/extensions/comm/javalib/javax/comm/ParallelPortEvent.java,
	libraries/extensions/comm/javalib/javax/comm/ParallelPortEventListener.java,
	libraries/extensions/comm/javalib/javax/comm/PortInUseException.java,
	libraries/extensions/comm/javalib/javax/comm/SerialPort.java,
	libraries/extensions/comm/javalib/javax/comm/SerialPortEvent.java,
	libraries/extensions/comm/javalib/javax/comm/SerialPortEventListener.java,
	libraries/extensions/comm/javalib/javax/comm/UnsupportedCommOperationException.java,
	libraries/extensions/microsoft/javalib/com/ms/lang/Delegate.java,
	libraries/extensions/microsoft/javalib/com/ms/lang/MulticastDelegate.java,
	libraries/extensions/microsoft/javalib/com/ms/lang/MulticastNotSupportedException.java,
	libraries/extensions/pjava/javalib/com/sun/awt/ActionInputPreferred.java,
	libraries/extensions/pjava/javalib/com/sun/awt/KeyboardInputPreferred.java,
	libraries/extensions/pjava/javalib/com/sun/awt/NoInputPreferred.java,
	libraries/extensions/pjava/javalib/com/sun/awt/PositionalInputPreferred.java,
	libraries/extensions/pjava/javalib/com/sun/util/PTimer.java,
	libraries/extensions/pjava/javalib/com/sun/util/PTimerImpl.java,
	libraries/extensions/pjava/javalib/com/sun/util/PTimerSpec.java,
	libraries/extensions/pjava/javalib/com/sun/util/PTimerWentOffEvent.java,
	libraries/extensions/pjava/javalib/com/sun/util/PTimerWentOffListener.java,
	libraries/extensions/servlet/javalib/javax/servlet/http/Cookie.java,
	libraries/extensions/servlet/javalib/javax/servlet/http/HttpServlet.java,
	libraries/extensions/servlet/javalib/javax/servlet/http/HttpServletRequest.java,
	libraries/extensions/servlet/javalib/javax/servlet/http/HttpServletResponse.java,
	libraries/extensions/servlet/javalib/javax/servlet/http/HttpSession.java,
	libraries/extensions/servlet/javalib/javax/servlet/http/HttpSessionBindingEvent.java,
	libraries/extensions/servlet/javalib/javax/servlet/http/HttpSessionBindingListener.java,
	libraries/extensions/servlet/javalib/javax/servlet/http/HttpSessionContext.java,
	libraries/extensions/servlet/javalib/javax/servlet/http/HttpUtils.java,
	libraries/extensions/servlet/javalib/javax/servlet/GenericServlet.java,
	libraries/extensions/servlet/javalib/javax/servlet/Servlet.java,
	libraries/extensions/servlet/javalib/javax/servlet/ServletConfig.java,
	libraries/extensions/servlet/javalib/javax/servlet/ServletContext.java,
	libraries/extensions/servlet/javalib/javax/servlet/ServletException.java,
	libraries/extensions/servlet/javalib/javax/servlet/ServletInputStream.java,
	libraries/extensions/servlet/javalib/javax/servlet/ServletOutputStream.java,
	libraries/extensions/servlet/javalib/javax/servlet/ServletRequest.java,
	libraries/extensions/servlet/javalib/javax/servlet/ServletResponse.java,
	libraries/extensions/servlet/javalib/javax/servlet/SingleThreadModel.java,
	libraries/extensions/servlet/javalib/javax/servlet/UnavailableException.java:
	Removed the extensions.

2006-07-16  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/vmspecific/org/kaffe/util/DoubleLinkedObject.java:
	Removed. Moved over to ...

	* libraries/javalib/awt-implementations/kaffe/org/kaffe/util/DoubleLinkedObject.java:
	... here.

	* libraries/javalib/awt-implementations/kaffe/Makefile.am:
	Added org/kaffe/util/DoubleLinkedObject.java.

2006-07-16  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/vmspecific/org/kaffe/io/AccessibleBAOStream.java,
	libraries/javalib/vmspecific/org/kaffe/io/NullOutputStream.java,
	libraries/javalib/vmspecific/org/kaffe/io/StdErrorStream.java,
	libraries/javalib/vmspecific/org/kaffe/io/StdInputStream.java,
	libraries/javalib/vmspecific/org/kaffe/io/StdOutputStream.java:
	Removed.

	* libraries/javalib/awt-implementations/kaffe/Makefile.am:
	Added org/kaffe/io/AccessibleBAOStream.java.

	* libraries/javalib/awt-implementations/kaffe/org/kaffe/io/AccessibleBAOStream.java:
	Moved over here from libraries/javalib/vmspecific/org/kaffe/io/AccessibleBAOStream.java.

2006-07-16  Dalibor Topic  <robilad@kaffe.org>

	* developers/README.unicode,
	developers/unicode.pl,
	libraries/javalib/vmspecific/org/kaffe/lang/unicode.idx, 
	libraries/javalib/vmspecific/org/kaffe/lang/unicode.tbl:
	Removed. No longer necessary, since Kaffe now uses java.lang.Character
	from GNU Classpath.

	* developers/README: Removed developers/README.unicode.

	* Makefile.am (EXTRA_DIST): Removed developers/README.unicode and
	developers/unicode.pl.

2006-07-16  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/vmspecific/org/kaffe/util/log/LogClient.java,
	libraries/javalib/vmspecific/org/kaffe/util/log/LogStream.java,
	libraries/javalib/vmspecific/org/kaffe/util/log/SimpleLogViewer.java:
	Removed kaffe-awt specific classes. They already exist as a copy
	in kaffe's awt implementation directory.

2006-07-16  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/vmspecific/org/kaffe/util/locale/CountryCodes.java,
	libraries/javalib/vmspecific/org/kaffe/util/locale/Country_de.java,
	libraries/javalib/vmspecific/org/kaffe/util/locale/Country_en.java,
	libraries/javalib/vmspecific/org/kaffe/util/locale/Country_fr.java,
	libraries/javalib/vmspecific/org/kaffe/util/locale/Country_it.java,
	libraries/javalib/vmspecific/org/kaffe/util/locale/Country_ja.java,
	libraries/javalib/vmspecific/org/kaffe/util/locale/Country.java,
	libraries/javalib/vmspecific/org/kaffe/util/locale/Country_ko.java,
	libraries/javalib/vmspecific/org/kaffe/util/locale/Country_zh.java,
	libraries/javalib/vmspecific/org/kaffe/util/locale/LanguageCodes.java,
	libraries/javalib/vmspecific/org/kaffe/util/locale/Language_de.java,
	libraries/javalib/vmspecific/org/kaffe/util/locale/Language_en.java,
	libraries/javalib/vmspecific/org/kaffe/util/locale/Language_fr.java,
	libraries/javalib/vmspecific/org/kaffe/util/locale/Language_it.java,
	libraries/javalib/vmspecific/org/kaffe/util/locale/Language_ja.java,
	libraries/javalib/vmspecific/org/kaffe/util/locale/Language.java,
	libraries/javalib/vmspecific/org/kaffe/util/locale/Language_ko.java,
	libraries/javalib/vmspecific/org/kaffe/util/locale/Language_zh.java:
	Removed unused classes.

2006-07-16  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/vmspecific/org/kaffe/beans/editors/BooleanEditor.java,
	libraries/javalib/vmspecific/org/kaffe/beans/editors/ByteEditor.java,
	libraries/javalib/vmspecific/org/kaffe/beans/editors/DoubleEditor.java,
	libraries/javalib/vmspecific/org/kaffe/beans/editors/FloatEditor.java,
	libraries/javalib/vmspecific/org/kaffe/beans/editors/IntegerEditor.java,
	libraries/javalib/vmspecific/org/kaffe/beans/editors/LongEditor.java,
	libraries/javalib/vmspecific/org/kaffe/beans/editors/ShortEditor.java,
	libraries/javalib/vmspecific/org/kaffe/beans/editors/StringEditor.java:
	Removed unused classes.

2006-07-16  Dalibor Topic  <robilad@kaffe.org>

	Use automake's support for Java to build the jitter test suite.

	* test/internal/Makefile.am (JAVA_CLASSES, $(JAVA_CLASSES), EXTRA_DIST, 
	JAVA_SOURCE_FILES): Removed.
	(jitBasicdir, dist_jitBasic_JAVA, AM_JAVACFLAGS, JAVAC, JAVAROOT) Added.
 	(CLEANFILES) Simplified.

2006-07-15  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/io/java_io_VMFile.c:
	Added new file, taken from GNU Classpath.
	All functions except Java_java_io_VMFile_toCanonicalForm
	and its helper functions were removed, as they already exist 
	in File.c.

	* libraries/clib/io/Makefile.am:
	Add libraries/clib/io/java_io_VMFile.c to sources.

	* libraries/clib/native/Thread.c:
	(java_lang_VMThread_getState0) Implemented.

	* libraries/javalib/vmspecific/gnu/classpath/Unsafe.java:
	Removed.

	* libraries/javalib/vmspecific/gnu/java/lang/management/VMClassLoadingMXBeanImpl.java,
	libraries/javalib/vmspecific/gnu/java/lang/management/VMCompilationMXBeanImpl.java,
	libraries/javalib/vmspecific/gnu/java/lang/management/VMGarbageCollectorMXBeanImpl.java,
	libraries/javalib/vmspecific/gnu/java/lang/management/VMMemoryMXBeanImpl.java,
	libraries/javalib/vmspecific/gnu/java/lang/management/VMMemoryManagerMXBeanImpl.java,
	libraries/javalib/vmspecific/gnu/java/lang/management/VMMemoryPoolMXBeanImpl.java,
	libraries/javalib/vmspecific/gnu/java/lang/management/VMRuntimeMXBeanImpl.java,
	libraries/javalib/vmspecific/gnu/java/lang/management/VMThreadMXBeanImpl.java,
	libraries/javalib/vmspecific/java/lang/management/VMManagementFactory.java:
	Added new files, taken from GNU Classpath.

	* libraries/javalib/vmspecific/java/io/VMFile.java: Resynced with the classpath version.

	* libraries/javalib/vmspecific/java/lang/VMThread.java: Resynced with the classpath version.
	Added kaffe-specific native method getState0.

	*  libraries/javalib/external/classpath: Resynced.

2006-07-15  Kurt Roeckx  <kurt@roeckx.be>

	* kaffe/kaffevm/systems/unix-pthreads/signal.c,
	kaffe/kaffevm/systems/unix-jthreads/signal.c
	(KaffeVM_detectStackBoundaries): Add more volatile modifiers to remove
	optimizations.
	
2006-07-15  Dalibor Topic  <robilad@kaffe.org>

	Cross-compilation fixes for Debian's gcc 4.1 cross-compilation
	toolchain.

	* configure.ac: Propagate KAFFE_CFLAGS to sub-configure 
	invocations.

	* config/x86_64/linux/config.frag: (KAFFE_CFLAGS) Added
	with -m64 to make sure Debian's gcc cross-compilation 
	toolchain picks is up.

	* external/gcc/zlib/Makefile.am: (AM_CFLAGS) Added.

	* kaffe/kaffeh/Makefile.am (kaffeh_CFLAGS),
	kaffe/kaffevm/Makefile.am (libkaffevm_la_CFLAGS),
	kaffe/kaffevm/systems/unix-pthreads/Makefile.am (libkthread_la_CFLAGS),
	libraries/clib/io/Makefile.am (libjavaio_la_CFLAGS),
	libraries/clib/management/Makefile.am (libmanagement_la_CFLAGS),
	libraries/clib/native/Makefile.am (libjavalang_la_CFLAGS),
	libraries/clib/net/Makefile.am (libjavanet_la_CFLAGS),
	libraries/clib/native/Makefile.am (libjavalang_la_CFLAGS),
	libraries/clib/net/Makefile.am (libjavanet_la_CFLAGS),
	libraries/clib/nio/Makefile.am (libjavanio_la_CFLAGS),
	libraries/clib/security/Makefile.am (libsecurity_la_CFLAGS),
	libraries/clib/zip/Makefile.am (libzip_la_CFLAGS): 
	Added KAFFE_CFLAGS via AM_CFLAGS.

	* libraries/clib/Makefile.am (MAYBE_NATIVE_MATH_DIR) New variable.
	(SUBDIRS) Only compile native java.math implementation if pure java
	java.math has not been configured.

2006-07-15  Dalibor Topic  <robilad@kaffe.org>

	Fix for #47.

	* config/ia64/atomic.h: Updated to the 
	version from glibc 2.4.0.

2006-07-15  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac: Improved the error message when both
	jikes and ecj are selected in configure options.

2006-07-15  Dalibor Topic  <robilad@kaffe.org>

	Fix for #44.

	* configure.ac: Fixed typos in check for multiple
	compilers that prevented it from firing when someone
	asked configure to use both ecj and jikes at the same 
	time.

2006-07-15  Dalibor Topic  <robilad@kaffe.org>

	* FAQ/FAQ.automake,
	developers/autogen.sh: Updated gettext to 0.14.6.

2006-07-15  Dalibor Topic  <robilad@kaffe.org>

	Fix for #49.

	* kaffe/kaffevm/jar.c (instantiateSignature),
	kaffe/kaffevm/utf8const.c (UTFmalloc, UTFfree):
	Removing the inline keyword fixes the build with
	gcc-4.1 and -O0.

2006-07-15  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac: (KAFFEVM_TRAMPOLINES_S) Removed unnecessary
	top_srcdir part, fixing a config.status warning.

2006-07-14  Dalibor Topic  <robilad@kaffe.org>

	Fixed build again for interpreter-only architectures.

	* kaffe/kaffevm/exception.c: Don't include callKaffeException.h.
	(DISPATCH_EXCEPTION) Removed.

2006-07-14  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac: Disable mozilla plugin building by 
	default.

2006-07-14  Ito Kazumitsu  <kaz@maczuka.gcd.org>

	* test/jni/Makefile.am: (AM_CFLAGS):
	Created.

2006-07-13  Guilhem Lavaux  <guilhem@kaffe.org>

	Reported by Riccardo Mottola <mottola@kaffe.org>

	* libraries/clib/awt/X/Makefile.am
	(libxawt_la_CFLAGS): Added KAFFE_CFLAGS.

	* libraries/clib/awt/X/Makefile.in: Regenerated.

2006-07-13  Dalibor Topic  <robilad@kaffe.org>

	Fixed build on powerpc-linux.

	* configure.ac: Put -mregnames into KAFFE_CCASFLAGS.

	* kaffe/kaffevm/jit/Makefile.am,
	kaffe/kaffevm/jit3/Makefile.am (AM_CCASFLAGS):
	Added KAFFE_CCASFLAGS.
	
2006-07-11  Riccardo Mottola <riccardo@kaffe.org>

	* libraries/javalib/awt-implementations/kaffe/java/awt/Component.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Container.java:
	further focus traversal improvments from CP

2006-07-11  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac (REGEN_FORWARD): Removed.

	* config/Makefile.am (EXTRA_DIST): Removed 
	regen-forward and stamp-h1.in.

	* config/regen-forward,
	config/stamp-h1.in: Removed.

2006-07-11  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac (AC_CONFIG_LINKS) Link icode.h,
	jit.def and tromplines.S into kaffe/kaffevm/jit* 
	directory. Don't AC_SUBST KAFFEVM_JIT_DEF, 
	KAFFEVM_ICODE_H and KAFFEVM_TRAMPOLINES_S.

	* kaffe/kaffevm/jit/Makefile.am,
	kaffe/kaffevm/jit3/Makefile.am:
	Cleaned up from regen-forward leftovers.

2006-07-11  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac (AC_CONFIG_LINKS) Link md.c into
	kaffevm directory.

	* kaffe/kaffevm/Makefile.am (libkaffevm_la_GEN_SRCS, md.c, stamp-h01,
	DISTCLEANFILES, dist-hook) Removed.
	(nodist_libkaffevm_la_SOURCES) List md.c directly.

2006-07-11  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac (AC_CONFIG_LINKS) Link files from kaffevm
	into kaffeh directory to compile them there as well. This
	should really become a shared library eventually.

        * kaffe/kaffeh/Makefile.am (GEN_SRCS, DISTCLEANFILES, 
	$(GEN_SRCS), dist-hook) Removed. 
	(nodist_kaffeh_SOURCES) List the linked over sources.

2006-07-11  Riccardo Mottola <riccardo@kaffe.org>

	* libraries/javalib/awt-implementations/kaffe/java/awt/Component.java:
	implemented and updated some listener accessors
	
2006-07-09  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac: Only link callKaffeException.h if we
	are not building the interpreter.

2006-07-09  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac: AC_SUBST KAFFE_CFLAGS after config.frag
	has been sourced. This may fix the problem Riccardo reported
	on Darwin with -no-cpp-precomp not being honoured.

2006-07-09  Dalibor Topic  <robilad@kaffe.org>

	* config/powerpc/callKaffeException.h: New file.
	* config/powerpc/jit.h: (CALL_KAFFE_EXCEPTION) Moved
	to callKaffeException.h.

	Reported by:  Riccardo Mottola <riccardo@kaffe.org>

2006-07-09  Dalibor Topic  <robilad@kaffe.org>

	* config/arm/linux/config.frag,
	config/bfin/uclinux/config.frag,
	config/ia64/linux/config.frag,
	config/m68k/netbsd1/config.frag,
	config/m68k/linux/config.frag,
	config/m68k/amigaos/config.frag,
	config/m68k/a-ux/config.frag,
	config/mips/netbsd1/config.frag, 
	config/mips/linux/config.frag (KAFFE_CFLAGS): 	 
	Removed -f-no-omit-frame-pointer from KAFFE_CFLAGS,
	since it's now automatically set in configure.

2006-07-09  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac: (Khost_cpu, Khost_os) Added subsitutions.
	(CONFIG_MD_H, CONFIG_CALLKAFFEEXCEPTION_H, CONFIG_JIT_MD_H,
	CONFIG_XPROFILE_MD_H)
	Cleaned up, removed substituions and used to create links.
	(HAVE_CONFIG_JIT_MD_H) Removed unused variable.

	* config/Makefile.am: (USE_JIT, ENGINE_GEN_HDRS, ENABLE_XPROF,
	XPROF_HDRS, GEN_HDRS, DISTCLEANFILES, nodist_noinst_HEADERS, 
	jit-md.h, stamp-h01, md.h, stamp-h02, xprofile-md.h, stamp-h03,
 	callKaffeException.h, stamp-h04, dist-hook) Removed no longer
	useful targets and variables.

	* kaffe/jvmpi/Makefile.am,
        kaffe/kaffe/Makefile.am,
        kaffe/kaffeh/Makefile.am,
        kaffe/kaffevm/Makefile.am,
        kaffe/kaffevm/boehm-gc/Makefile.am,
        kaffe/kaffevm/gcj/Makefile.am,
        kaffe/kaffevm/intrp/Makefile.am,
        kaffe/kaffevm/jit/Makefile.am,
        kaffe/kaffevm/jit3/Makefile.am,
        kaffe/kaffevm/jni/Makefile.am,
        kaffe/kaffevm/kaffe-gc/Makefile.am,
        kaffe/kaffevm/systems/beos-native/Makefile.am,
        kaffe/kaffevm/systems/drops-l4threads/Makefile.am,
        kaffe/kaffevm/systems/oskit-pthreads/Makefile.am,
        kaffe/kaffevm/systems/unix-jthreads/Makefile.am,
        kaffe/kaffevm/systems/unix-pthreads/Makefile.am,
        kaffe/kaffevm/verifier/Makefile.am,
        kaffe/xprof/Makefile.am,
        libraries/clib/awt/X/Makefile.am,
        libraries/clib/management/Makefile.am,
        libraries/clib/native/Makefile.am,
        libraries/clib/net/Makefile.am,
        libraries/clib/security/Makefile.am,
        test/internal/Makefile.am (AM_CPPFLAGS): Added
	config/$Khost_cpu and config/$Khost_cpu/$Khost_os
	to include path.

2006-07-09  Dalibor Topic  <robilad@kaffe.org>

	* (nodist_GEN_SRCS, $(nodist_GEN_SRCS), nodist_jitBasic_SOURCES)
	Removed, since functions from version.c are not used anywhere in 
	the test code, so it doesn't need to be forward generated, compiled
	or linked into the jit tests.
	(CLEANFILES) Removed $(nodist_GEN_SRCS).

2006-07-08  Dalibor Topic  <robilad@kaffe.org>

	* test/internal/Makefile.am (JAVA_SOURCE_FILES) List all the 
	sources. Use a single target to build all java test classes.
	(JAVA_CLASSES) Added java/lang/ stuf classes.
	(TEST_CLASSES) List all test classes.
	(jit_stub.o) Depend on JAVA_CLASSES alone.
	(EXTRA_DIST) Use JAVA_SOURCE_FILES.
	(CLEANFILES) Use JAVA_CLASSES.

2006-07-08  Kashyap  <ck_kashyap@yahoo.com>

	* libraries/clib/awt/nano-X/window.c
	(Java_java_awt_Toolkit_wndSetVisible):
	Reordered call to getSourceIndex.
	
2006-07-08  Diego Pettenò  <flameeyes@gentoo.org>

	* kaffe/kaffevm/stackTrace.c
	(printStackTrace): Fix for inconsistent exception list.
	
2006-07-08  Guilhem Lavaux  <guilhem@kaffe.org>

	* configure.ac,
	config/alpha/linux/config.frag,
	config/alpha/netbsd1/config.frag,
	config/alpha/osf/config.frag,
	config/arm/linux/config.frag,
	config/arm/riscos/config.frag,
	config/bfin/uclinux/config.frag,
	config/i386/darwin/config.frag,
	config/i386/nextstep3/config.frag,
	config/i386/qnx/config.frag,
	config/ia64/linux/config.frag,
	config/m68k/a-ux/config.frag,
	config/m68k/amigaos/config.frag,
	config/m68k/linux/config.frag,
	config/m68k/netbsd1/config.frag,
	config/mips/linux/config.frag,
	config/mips/netbsd1/config.frag,
	config/powerpc/aix/config.frag,
	config/powerpc/darwin/config.frag,
	config/powerpc/linux/config.frag,
	config/powerpc/machten/config.frag,
	config/powerpc/netbsd1/config.frag,
	config/powerpc/openbsd2/config.frag,
	config/sh/linux/config.frag,
	kaffe/jvmpi/Makefile.am,
	kaffe/kaffe/Makefile.am,
	kaffe/kaffeh/Makefile.am,
	kaffe/kaffevm/Makefile.am,
	kaffe/kaffevm/boehm-gc/Makefile.am,
	kaffe/kaffevm/gcj/Makefile.am,
	kaffe/kaffevm/gcj/Makefile.am,
	kaffe/kaffevm/intrp/Makefile.am,
	kaffe/kaffevm/jit/Makefile.am,
	kaffe/kaffevm/jit3/Makefile.am,
	kaffe/kaffevm/kaffe-gc/Makefile.am,
	kaffe/kaffevm/systems/beos-native/Makefile.am,
	kaffe/kaffevm/systems/drops-l4threads/Makefile.am,
	kaffe/kaffevm/jni/Makefile.am,
	kaffe/kaffevm/systems/oskit-pthreads/Makefile.am,
	kaffe/kaffevm/systems/unix-jthreads/Makefile.am,
	kaffe/kaffevm/systems/unix-pthreads/Makefile.am,
	kaffe/kaffevm/verifier/Makefile.am,
	kaffe/xprof/Makefile.am,
	libraries/clib/awt/Makefile.am,
	libraries/clib/io/Makefile.am,
	libraries/clib/management/Makefile.am,
	libraries/clib/math/Makefile.am,
	libraries/clib/native/Makefile.am,
	libraries/clib/net/Makefile.am,
	libraries/clib/nio/Makefile.am,
	libraries/clib/security/Makefile.am,
	libraries/clib/sound/alsa/Makefile.am,
	libraries/clib/sound/esd/Makefile.am,
	libraries/clib/zip/Makefile.am:
	Use KAFFE_CFLAGS to add new option instead of
	CFLAGS directly.

	* Makefile.in
	configure,
	config/Makefile.in,
	external/Makefile.in,
	external/gcc/Makefile.in,
	external/gcc/zlib/Makefile.in,
	include/Makefile.in,
	kaffe/Makefile.in,
	kaffe/jvmpi/Makefile.in,
	kaffe/kaffe/Makefile.in,
	kaffe/kaffeh/Makefile.in,
	kaffe/kaffevm/Makefile.in,
	kaffe/kaffevm/boehm-gc/Makefile.in,
	kaffe/kaffevm/gcj/Makefile.in,
	kaffe/kaffevm/intrp/Makefile.in,
	kaffe/kaffevm/jit/Makefile.in,
	kaffe/kaffevm/jit3/Makefile.in,
	kaffe/kaffevm/jni/Makefile.in,
	kaffe/kaffevm/kaffe-gc/Makefile.in,
	kaffe/kaffevm/systems/Makefile.in,
	kaffe/kaffevm/systems/beos-native/Makefile.in,
	kaffe/kaffevm/systems/drops-l4threads/Makefile.in,
	kaffe/kaffevm/systems/oskit-pthreads/Makefile.in,
	kaffe/kaffevm/systems/unix-jthreads/Makefile.in,
	kaffe/kaffevm/systems/unix-pthreads/Makefile.in,
	kaffe/kaffevm/verifier/Makefile.in,
	kaffe/man/Makefile.in,
	kaffe/scripts/Makefile.in,
	kaffe/scripts/bat/Makefile.in,
	kaffe/scripts/compat/Makefile.in,
	kaffe/xprof/Makefile.in,
	libraries/Makefile.in,
	libraries/clib/Makefile.in,
	libraries/clib/awt/Makefile.in,
	libraries/clib/awt/X/Makefile.in,
	libraries/clib/awt/nano-X/Makefile.in,
	libraries/clib/awt/qt/Makefile.in,
	libraries/clib/io/Makefile.in,
	libraries/clib/management/Makefile.in,
	libraries/clib/math/Makefile.in,
	libraries/clib/native/Makefile.in,
	libraries/clib/net/Makefile.in,
	libraries/clib/nio/Makefile.in,
	libraries/clib/security/Makefile.in,
	libraries/clib/sound/Makefile.in,
	libraries/clib/sound/alsa/Makefile.in,
	libraries/clib/sound/common/Makefile.in,
	libraries/clib/sound/esd/Makefile.in,
	libraries/clib/target/Makefile.in,
	libraries/clib/target/Linux/Makefile.in,
	libraries/clib/target/generic/Makefile.in,
	libraries/clib/zip/Makefile.in,
	libraries/extensions/Makefile.in,
	libraries/extensions/comm/Makefile.in,
	libraries/extensions/comm/javalib/Makefile.in,
	libraries/extensions/microsoft/Makefile.in,
	libraries/extensions/microsoft/clib/Makefile.in,
	libraries/extensions/microsoft/javalib/Makefile.in,
	libraries/extensions/pjava/Makefile.in,
	libraries/extensions/pjava/javalib/Makefile.in,
	libraries/extensions/servlet/Makefile.in,
	libraries/extensions/servlet/javalib/Makefile.in,
	libraries/javalib/Makefile.in,
	libraries/javalib/awt-implementations/Makefile.in,
	libraries/javalib/awt-implementations/kaffe/Makefile.in,
	libraries/javalib/external/classpath/config.guess,
	libraries/javalib/external/classpath/ltmain.sh,
	libraries/javalib/gmp-math/Makefile.in:
	Regenerated.

2006-07-07  Riccardo Mottola <riccardo@kaffe.org>

   	* libraries/clib/awt/X/fnt.c:  Removed c99-ism


2006-07-07  Michael Koch  <mkoch@kaffe.org>

	* .cvsignore, kaffe/kaffevm/boehm-gc/boehm/.cvsignore,
	kaffe/kaffevm/kaffe-gc/.cvsignore, kaffe/kaffevm/verifier/.cvsignore,
	libraries/clib/nio/.cvsignore: Updated.

2006-07-07  Michael Koch  <mkoch@kaffe.org>

	* libraries/javalib/Makefile.am, libraries/javalib/Makefile.in:
	Regenerated.

2006-07-06  Michael Koch  <mkoch@kaffe.org>

	* config/.cvsignore,
	external/gcc/fastjar/.cvsignore,
	include/.cvsignore,
	kaffe/kaffevm/boehm-gc/boehm/.cvsignore: Updated.
	* external/.cvsignore,
	external/gcc/.cvsignore,
	external/gcc/zlib/.cvsignore,
	kaffe/kaffevm/boehm-gc/.cvsignore,
	kaffe/kaffevm/boehm-gc/boehm/doc/.cvsignore,
	kaffe/kaffevm/boehm-gc/boehm/include/.cvsignore,
	kaffe/kaffevm/kaffe-gc/.cvsignore,
	kaffe/kaffevm/systems/drops-l4threads/.cvsignore,
	kaffe/kaffevm/verifier/.cvsignore,
	libraries/clib/awt/nano-X/.cvsignore,
	libraries/clib/nio/.cvsignore,
	libraries/clib/target/.cvsignore,
	libraries/clib/target/Linux/.cvsignore,
	libraries/clib/target/generic/.cvsignore,
	libraries/javalib/awt-implementations/.cvsignore,
	libraries/javalib/awt-implementations/kaffe/.cvsignore,
	libraries/javalib/external/classpath/.cvsignore,
	libraries/javalib/external/classpath/doc/.cvsignore,
	libraries/javalib/external/classpath/doc/api/.cvsignore,
	libraries/javalib/external/classpath/examples/.cvsignore,
	libraries/javalib/external/classpath/external/.cvsignore,
	libraries/javalib/external/classpath/external/relaxngDatatype/.cvsignore,
	libraries/javalib/external/classpath/external/sax/.cvsignore,
	libraries/javalib/external/classpath/external/w3c_dom/.cvsignore,
	libraries/javalib/external/classpath/gnu/classpath/.cvsignore,
	libraries/javalib/external/classpath/gnu/java/locale/.cvsignore,
	libraries/javalib/external/classpath/include/.cvsignore,
	libraries/javalib/external/classpath/lib/.cvsignore,
	libraries/javalib/external/classpath/lib/org/.cvsignore,
	libraries/javalib/external/classpath/native/.cvsignore,
	libraries/javalib/external/classpath/native/fdlibm/.cvsignore,
	libraries/javalib/external/classpath/native/jawt/.cvsignore,
	libraries/javalib/external/classpath/native/jni/.cvsignore,
	libraries/javalib/external/classpath/native/jni/classpath/.cvsignore,
	libraries/javalib/external/classpath/native/jni/gtk-peer/.cvsignore,
	libraries/javalib/external/classpath/native/jni/java-io/.cvsignore,
	libraries/javalib/external/classpath/native/jni/java-lang/.cvsignore,
	libraries/javalib/external/classpath/native/jni/java-net/.cvsignore,
	libraries/javalib/external/classpath/native/jni/java-nio/.cvsignore,
	libraries/javalib/external/classpath/native/jni/java-util/.cvsignore,
	libraries/javalib/external/classpath/native/jni/midi-alsa/.cvsignore,
	libraries/javalib/external/classpath/native/jni/midi-dssi/.cvsignore,
	libraries/javalib/external/classpath/native/jni/qt-peer/.cvsignore,
	libraries/javalib/external/classpath/native/jni/xmlj/.cvsignore,
	libraries/javalib/external/classpath/native/plugin/.cvsignore,
	libraries/javalib/external/classpath/native/target/.cvsignore,
	libraries/javalib/external/classpath/native/target/Linux/.cvsignore,
	libraries/javalib/external/classpath/native/target/generic/.cvsignore,
	libraries/javalib/external/classpath/resource/.cvsignore,
	libraries/javalib/external/classpath/scripts/.cvsignore,
	libraries/javalib/external/classpath/tools/.cvsignore,
	libraries/javalib/gmp-math/.cvsignore,
	po/.cvsignore,
	test/jni/.cvsignore,
	test/regression/compile_time/.cvsignore,
	test/regression/compiler/.cvsignore,
	test/regression/run_time/.cvsignore,
	tools/.cvsignore,
	tools/gjdoc/.cvsignore,
	tools/gjdoc/javalib/.cvsignore,
	tools/javatools/.cvsignore,
	tools/javatools/javalib/.cvsignore: New files.

2006-07-06  Dalibor Topic  <robilad@kaffe.org>

	* config/i386/jit.h (FIRSTFRAME): Don't use 
	__builtin_frame_address, as that behaves differently
	under -O0 and -O1 under gcc 4.1.x. Use a small bit
	of assembler instead.

	* configure.ac: Ensure that -fno-strict-aliasing and
	-fno-omit-frame-pointer are set for gcc.

2006-06-17  Guilhem Lavaux  <guilhem@kaffe.org>

	* libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in: Regenerated.


2006-06-17  Guilhem Lavaux  <guilhem@kaffe.org>

	* libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in,
	libraries/javalib/external/classpath/config.guess,
	libraries/javalib/external/classpath/config.sub,
	libraries/javalib/external/classpath/ltmain.sh,
	po/de.po,
	po/fr.po,
	po/kaffe.pot,
	po/zh_CN.po,
	po/zh_TW.po,
	scripts/ltmain.sh: Regenerated.

2006-06-14  Dalibor Topic  <robilad@kaffe.org>

	Fixed 9 gcc 4.1.1 warnings.

	* config/i386/jit3-i386.def (profiler_start, profiler_end):
	Use profiler_click_t for count.

2006-06-11  Dalibor Topic  <robilad@kaffe.org>

	Fixed 16 gcc 4.1.1 warnings due to abuse of a methods
	field in class to store different types for array and primitive
	classes.

        * kaffe/kaffevm/classMethod.h:
	(struct Hjava_lang_Class): New union cache of methods,
	element_type and array_cache.
	(Kaffe_get_class_methods, Kaffe_set_class_methods,
	Kaffe_get_array_element_type, Kaffe_set_array_element_type,
	Kaffe_get_primitive_array_cache, Kaffe_set_primitive_array_cache)
	New accessor functions.
	(CLASS_METHODS, CLASS_ELEMENT_TYPE, CLASS_ARRAY_CACHE) Removed.

	* kaffe/jvmpi/jvmpi_kaffe.c,
        kaffe/kaffevm/access.c,
        kaffe/kaffevm/classMethod.c,
        kaffe/kaffevm/classPool.c,
        kaffe/kaffevm/code.c,
        kaffe/kaffevm/gcFuncs.c,
        kaffe/kaffevm/gcj/gcj-class.cc,
        kaffe/kaffevm/gcj/gcj-glue.c,
        kaffe/kaffevm/jit/machine.c,
        kaffe/kaffevm/jit3/machine.c,
        kaffe/kaffevm/jni/jni-helpers.c,
        kaffe/kaffevm/jni/jni.c,
        kaffe/kaffevm/lookup.c,
        kaffe/kaffevm/object.c,
        kaffe/kaffevm/reflect.c,
        kaffe/kaffevm/soft.c,
        kaffe/kaffevm/verifier/verify.c,
        kaffe/kaffevm/verifier/verify2.c,
        kaffe/xprof/debugFile.c,
        libraries/clib/native/Class.c,
        libraries/clib/native/Constructor.c,
        libraries/clib/native/Method.c,
        libraries/clib/native/Object.c,
        libraries/clib/native/System.c,
        libraries/extensions/microsoft/clib/Delegate.c,
        test/internal/jitBasic.c:
	Use accessor functions instead of removed macros.

2006-06-07  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/external/classpath: Resynced with GNU Classpath.

2006-06-06  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/external/classpath: Resynced with GNU Classpath.

2006-06-05  Dalibor Topic  <robilad@kaffe.org>

	* config/config.alias: Added mipseb to recognized architectures
	for SESC.

2006-06-05  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/scripts/appletviewer: Removed. Replaced by 
	GNU Classpath's version.

	* configure.ac (AC_CONFIG_FILES) Removed 
	kaffe/scripts/appletviewer.

	* kaffe/scripts/Makefile.am (COND_NATIVE_AWT): Removed,
	since appletviewer is now coming from GNU Classpath.

2006-06-04  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/net/java_net_VMURLConnection.c,
	libraries/javalib/vmspecific/java/net/VMURLConnection.java:
	New files, merged in from GNU Classpath.

	* libraries/clib/net/Makefile.am: Added java_net_VMURLConnection.c.

	* libraries/javalib/external/classpath: Resynced with GNU Classpath.

2006-06-04  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac (CLASSPATH_INCLUDES): Added 
	--disable-plugin and pass through correct --with-vm to
	classpath's configure.

	Reported by:  Alan Eliasen  <eliasen@mindspring.com>

2006-06-02  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/scripts/native2ascii.in,
	kaffe/scripts/serialver.in:
	Use merged in tools from GNU Classpath's tools.zip.

	* tools/javatools/javalib/Makefile.am:
	Removed gnu/classpath/tools/native2ascii/Native2ASCII.java 
	and gnu/classpath/tools/serialver/SerialVer.java.

	* tools/javatools/javalib/gnu/classpath/tools/native2ascii/Native2ASCII.java,
	tools/javatools/javalib/gnu/classpath/tools/serialver/SerialVer.java:
	Removed.

2006-05-25  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/classMethod.h (Hjava_lang_Class):
	Changed type of superclass to void * to fix compiler
	warning with gcc 4.1.0.
	(getSuperclass) New inline function.

	* kaffe/kaffevm/classMethod.c (processClass, resolveInterfaces,
	buildDispatchTable),
	kaffe/kaffevm/gcFuncs.c (destroyClass),
	kaffe/kaffevm/verifier/verify2.c (verify2):
	use getSuperclass.

2006-05-24  Dalibor Topic  <robilad@kaffe.org>

	* include/Makefile.am (stamp-h1all): Merged with
	rebuild-jni-hdrs. Use JNI_DERIVED_HDRS instead of
	HDRS.

	Reported by:  Riccardo Mottola <riccardo@kaffe.org>


2006-05-24  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/systems/unix-pthreads/thread-impl.c
	(TMSG_SHORT, TMSG_LONG, CHECK_CURRENT_THREAD): Don't
	attempt to print pthread_t since it can be a pointer to 
	a struct, or something else on some platforms.

2006-05-24  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/kaffe-gc/gc-mem.c (gc_block_alloc):
	Use %zu format for printing size_t value to fix
	compiler warning on powerpc-darwin.
 
2006-05-24  Dalibor Topic  <robilad@kaffe.org>

	Small warning fix for powerpc-darwin.

	* include/jsyscall.h (_sendto) Modified prototype to match
	OS X & GNU/Linux declaration.

	* kaffe/kaffevm/systems/unix-jthreads/syscalls.c,
	kaffe/kaffevm/systems/unix-pthreads/syscalls.c 
	(jthreadedSendto): Updated declaration to match libc.
	
2006-05-23  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/external/classpath/: Resynced with GNU Classpath.

2006-05-23  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/nio/Makefile.am(libjavanio_la_SOURCES):
	Added gnu_java_nio_VMChannel.c.

	* libraries/clib/nio/gnu_java_nio_VMChannel.c: New file, taken
	from GNU Classpath.

 	* libraries/clib/target/generic/target_generic_network.h,
	libraries/javalib/external/classpath/:
	Resynced with GNU Classpath.

2006-05-22  Dalibor Topic  <robilad@kaffe.org>

	* TODO: Updated after the last Classpath merge.

	* libraries/clib/native/Class.c,
	libraries/clib/native/gnu_classpath_VMSystemProperties.c,
	libraries/clib/native/java_lang_VMSystem.c,
	libraries/clib/target/generic/target_generic_network.h:
	Updated for changes in GNU Classpath.

	* libraries/javalib/external/classpath/ : Resynced with GNU Classpath
	from 2006-05-15.

	* libraries/javalib/vmspecific/java/lang/String.java:
	Added missing methods from GNU Classpath.

	* libraries/javalib/vmspecific/gnu/classpath/VMSystemProperties.java,
	libraries/javalib/vmspecific/java/lang/VMClass.java,
	libraries/javalib/vmspecific/java/lang/VMClassLoader.java,
	libraries/javalib/vmspecific/java/lang/VMSystem.java,
	libraries/javalib/vmspecific/java/lang/reflect/Constructor.java,
	libraries/javalib/vmspecific/java/lang/reflect/Field.java,
	libraries/javalib/vmspecific/java/lang/reflect/Method.java:
	Updated to reflect VM interface changes in GNU Classpath.

	* test/regression/ProcessClassInst.java,
	test/regression/ProcessClassStop.java:
	Updated expected output.
	
2006-05-17  Antoine Reilles <tonio@kaffe.org>
	    Joerg Sonnenberger  <joerg@britannica.bec.de>
	* libraries/clib/sound/esd/org_tritonus_lowlevel_esd_EsdRecordingStream.c,
	libraries/clib/sound/esd/org_tritonus_lowlevel_esd_EsdStream.c:
	remove include of org_tritonus_lowlevel_esd_EsdRecordingStream.h as it
	does not exist

2006-05-16  Antoine Reilles <tonio@kaffe.org>
	* kaffe/scripts/jar.in: fix path to fastjar
	(from Jorg Sonnenberg <joerg@britannica.bec.de>)

2006-05-16  Riccardo Mottola <riccardo@kaffe.org>

	* libraries/javalib/awt-implementations/kaffe/java/awt/Defaults.java:
	changed default fonts again

2006-05-16  Riccardo Mottola <riccardo@kaffe.org>

	* libraries/javalib/awt-implementations/kaffe/java/awt/Component.java:
	implemented property change methods and other adaptions form classpath.

2006-05-12  Riccardo Mottola <riccardo@kaffe.org>

	* libraries/javalib/awt-implementations/kaffe/java/awt/BarMenu.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Button.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Checkbox.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Component.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Container.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Dialog.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Frame.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Label.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/List.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/NativeGraphics.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/PopupWindow.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/RowCanvas.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Scrollbar.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/TextArea.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/TextField.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Window.java:
	refactored fgClr and bgClr to foreground and background

2006-05-11  Riccardo Mottola <riccardo@kaffe.org>

	* libraries/javalib/awt-implementations/kaffe/java/awt/Component.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Window.java:
	updated focus, fields and introduced lightweight handling

2006-05-10  Riccardo Mottola <riccardo@kaffe.org>

	* libraries/javalib/awt-implementations/kaffe/java/awt/Component.java:
	changed getToolkit

2006-05-10  Riccardo Mottola <riccardo@kaffe.org>

	* libraries/javalib/awt-implementations/kaffe/java/awt/Component.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/FocusEvt.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/List.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/RowCanvas.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/TextArea.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/event/FocusEvent.java:
	improved focus event and refactored some fields to match classpath

2006-05-06  Riccardo Mottola <riccardo@kaffe.org>

	* libraries/javalib/awt-implementations/kaffe/java/awt/FileDialog.java:
	solved NPE, made left pane display only topmost directory in path
	
2006-05-06  Riccardo Mottola <riccardo@kaffe.org>

	* libraries/javalib/awt-implementations/kaffe/java/awt/ScrollPaneAdjustable.java:
	removed, so to use classath

2006-05-05  Riccardo Mottola <riccardo@kaffe.org>

	* libraries/javalib/awt-implementations/kaffe/java/awt/Label.java:
	removed the painting of a border if label begun and ended with a space

2006-05-04  Riccardo Mottola <riccardo@kaffe.org>

	* libraries/javalib/awt-implementations/kaffe/java/awt/Canvas.java:
	commented out paint() implementation
	
2006-05-04  Riccardo Mottola <riccardo@kaffe.org>

	* libraries/clib/awt/X/fnt.c:
	fixed seriously broken charWidth implementation
	* libraries/javalib/awt-implementations/kaffe/java/awt/Defaults.java:
	changed default char back to Lucida

2006-05-02  Riccardo Mottola <riccardo@kaffe.org>

	* libraries/javalib/awt-implementations/kaffe/java/awt/Font.java:
	added deriveFont() stubs

2006-05-02  Riccardo Mottola <riccardo@kaffe.org>

	* libraries/javalib/awt-implementations/kaffe/java/awt/Component.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Container.java:
	fixed Containder add() methods.

2006-04-26  Riccardo Mottola <riccardo@kaffe.org>

	* libraries/javalib/awt-implementations/kaffe/java/awt/LayoutManager.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/LayoutManager2.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/CardLayout.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/BorderLayout.java:
	removed, so to use classath

2006-04-26  Riccardo Mottola <riccardo@kaffe.org>

	* libraries/javalib/awt-implementations/kaffe/java/awt/Container.java:
	implemented findComponentAt

2006-04-26  Riccardo Mottola <riccardo@kaffe.org>

	* javalib/awt-implementations/kaffe/java/awt/AWTEvent.java,
	javalib/awt-implementations/kaffe/java/awt/Defaults.java:
	implemented a compliant setSource() in AWTEvent.

2006-04-25  Riccardo Mottola <riccardo@kaffe.org>

	* awt-implementations/kaffe/java/awt/event/HierarchyBoundsAdapter.java,
	awt-implementations/kaffe/java/awt/event/HierarchyBoundsListener.java,
	awt-implementations/kaffe/java/awt/event/HierarchyEvent.java
	awt-implementations/kaffe/java/awt/event/HierarchyListener.java:
	removed, so to use classath

2006-04-24  Riccardo Mottola <riccardo@kaffe.org>

	* awt-implementations/kaffe/java/awt/ActionEvt.java,
	awt-implementations/kaffe/java/awt/MouseEvt.java,
	awt-implementations/kaffe/java/awt/event/ActionEvent.java:
	improved mouse pressed and released events.
	
2006-04-24  Riccardo Mottola <riccardo@kaffe.org>

	* libraries/javalib/awt-implementations/kaffe/java/awt/MouseEvt.java:
	removed package-protected field "button" so that the MouseEvent field is used.

2006-04-24  Riccardo Mottola <riccardo@kaffe.org>

	* libraries/javalib/awt-implementations/kaffe/java/awt/AttributeValue.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/BufferCapabilities.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Transparency.java:
	removed so classpath versions are used.

2006-04-24  Riccardo Mottola <riccardo@kaffe.org>

	* libraries/javalib/awt-implementations/kaffe/java/awt/MouseEvt.java:
	removed an empty method which should not be used anyway

2006-04-24  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/exception.c (dispatchException): Added missing
	cast to fix compiler warning.

2006-04-23  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/Makefile.am: Removed stringParsing.c and 
	stringParsing.h.

	* kaffe/kaffevm/stringParsing.c,
	kaffe/kaffevm/stringParsing.h: Removed since only used for jit testing. 
	Moved over to ...

	* test/internal/stringParsing.c,
	test/internal/stringParsing.h: ... here.

	* test/internal/Makefile.am (jitBasic_SOURCES) Added stringParsing.c
	and stringParsing.h.

2006-04-23  Dalibor Topic  <robilad@kaffe.org>

	* config/powerpc/jit3-powerpc.def: Fixed small powerpc
	jitter debug message format warnings.

2006-04-23  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/classMethod.c (getMethodCodeStart) 
	(setMethodCodeStart): Replace struct _jitCodeHeader
	by jitCodeHeader, which is then suitably defined in 
	each engine.

	* kaffe/kaffevm/intrp/machine.h: Define jitCodeHeader type
	to fix compiler warning.

	* kaffe/kaffevm/classMethod.h: Use jitCodeHeader instead of
	struct _jitCodeHeader.

2006-04-23  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/jit3/machine.c (installMethodCode),
	kaffe/kaffevm/jit/machine.c (installMethodCode) 
	(installMethodCode),
	kaffe/kaffevm/gcFuncs.c (destroyClass),
	kaffe/kaffevm/classPool.c (statClass),
	kaffe/kaffevm/classMethod.c (METHOD_TRUE_NCODE, processClass) 
	(processClass),
	kaffe/jvmpi/jvmpi_kaffe.c (jvmpiFillMethodLoad):
	Use getMethodCodeStart and setMethodCodeStart instead accessing
	struct fields directly.

2006-04-22  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/intrp/methodcalls.c (engine_dispatchException): 
	Mark parameter throwable as unused to fix compiler warning.

2006-04-22  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/systems/unix-jthreads/signal.c (restoreSyncSignalHandler) 
	(restoreAsyncSignalHandler): Split into two versions for systems with and
	without sigaction. In the latter case, do nothing and mark the paraters
	as unused.

2006-04-22  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/systems/unix-pthreads/syscalls.c (jthreadedSendto),
	kaffe/kaffevm/systems/unix-jthreads/syscalls.c 
	(jthreadedGetHostByAddr, jthreadedBind, jthreadedSendto),
	kaffe/kaffevm/systems/unix-jthreads/jthread.c (jthreadedConnect),
	kaffe/kaffevm/systems/unix-jthreads/jthread.h (jthreadedConnect):
	Fixed prototypes to match declarations in jsyscalls.h.

	* include/jsyscall.h: Fixed paramters for _sendto to
	match libc prototype.

2006-04-22  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/binreloc.c (_br_find_exe_for_symbol): 
	Mark parameter error as unused when binreloc is enabled.

2006-04-22  Dalibor Topic  <robilad@kaffe.org>

	* THIRDPARTY: Added version information for binreloc.

2006-04-22  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/constants.c (readConstantPool): Introduced
	new local variable str to hold utf8 strings from class 
	file. That fixes a compiler warning.

2006-04-22  Dalibor Topic  <robilad@kaffe.org>

	Replaced utf8ConstNew(*,-1) calls with the helper function
	utf8ConstFromString.

	* kaffe/kaffevm/utf8const.h,
	kaffe/kaffevm/utf8const.c (utf8ConstFromString): New function.
	(utf8ConstNew) Factored out creation of utf8 constants from
	null-terminated strings into utf8ConstFromString. Changed len
	parameter type to size_t.

	* kaffe/kaffeh/main.c,
	kaffe/kaffevm/baseClasses.c,
	kaffe/kaffevm/classMethod.c,
	kaffe/kaffevm/itypes.c,
	kaffe/kaffevm/reference.c,
	kaffe/kaffevm/string.c,
	kaffe/kaffevm/support.c,
	kaffe/kaffevm/gcj/gcj-glue.c,
	kaffe/kaffevm/jni/jni-string.c,
	kaffe/kaffevm/jni/jni.c,
	libraries/clib/management/JIT.c,
	libraries/clib/native/ClassLoader.c,
	libraries/clib/net/InetAddressImpl.c,
	libraries/extensions/microsoft/clib/Delegate.c,
	test/internal/jitBasic.c,
	test/internal/jit_stub.c: Replaced use of utf8ConstNew with
	utf8ConstFromString where a utf8 constant was created from a 
	null-terminated string. 

2006-04-22  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/jit/native-wrapper.c (Kaffe_wrapper):
	Call the right initInsnSequence depending on the jit engine.
	Call INIT_JIT_MD if necessary.

	* kaffe/kaffevm/jit3/machine.c (initInsnSequence) Removed 
	unused parameters from prototype. 
	(translate): Call INIT_JIT_MD if necessary.

	* kaffe/kaffevm/jit3/machine.h: (initInsnSequence) Removed
        unused parameters from prototype.

2006-04-21  Dalibor Topic  <robilad@kaffe.org>

	* config/i386/jit3-i386.def: Added debug output
	for each defined instruction.

2006-04-21  Dalibor Topic  <robilad@kaffe.org>

	* TODO: Removed inflate_oneshot task.

2006-04-21  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffeh/Makefile.am (GEN_SRCS): Removed inflate.c
	Link with zlib and add its includes to CPPFLAGS.

	* kaffe/kaffevm/Makefile.am: Link with zlib and add its 
	includes to CPPFLAGS. Removed inflate.c and inflate.h.

	* kaffe/kaffevm/jar.c: Include zlib.h.
	(inflate_oneshot) New static function.
	(inflateJarData): Removed unnecessary casts.
	
	* kaffe/kaffevm/inflate.c,
	kaffe/kaffevm/inflate.h: Removed.
	
2006-04-20  Dalibor Topic  <robilad@kaffe.org>

	* include/system.h: Added __uclinux__ to Unix like path/line/file
	separators.

2006-04-20  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffe/main.c (KAFFEHOME): Removed duplicate definition.

	* kaffe/kaffevm/external.c: Only include system.h once.

	* include/system.h (kaffe_version, kaffe_vm_vendor, kaffe_vendor) 
	(kaffe_vendor_url_bug, kaffe_vendor_url) 
	(kaffe_vm_specification_version, kaffe_vm_specification_vendor) 
	(kaffe_vm_specification_name, kaffe_vm_version, kaffe_vm_name) 
	(kaffe_specification_version, kaffe_specification_vendor) 
	(kaffe_specification_name, kaffe_class_version) 
	(KAFFECLASSPATH): Removed unused defines.

2006-04-19  Riccardo Mottola <riccardo@kaffe.org>
	* libraries/javalib/awt-implementations/kaffe/java/awt/Container.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Frame.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/MouseEvt.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/ScrollPane.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/ShortcutHandler.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Window.java:
	renamed Container fields to match classpath.

2006-04-19  Dalibor Topic  <robilad@kaffe.org>

	* TODO: Added inflate module removal task.

2006-04-19  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/inflate.h: (inflateInfo) Moved over ...
	* kaffe/kaffevm/inflate.c: (inflateInfo) ... here.

2006-04-19  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/inflate.h (inflate_free): Removed prototype.

	* kaffe/kaffevm/inflate.c (inflate_free): Made static. 
	Moved up in the file so that it's defined before use.

2006-04-19  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/inflate.h (inflate_new): Removed prototype.

	* kaffe/kaffevm/inflate.c (inflate_new): Made static.

2006-04-19  Riccardo Mottola <riccardo@kaffe.org>

	* kaffe/libraries/javalib/awt-implementations/kaffe/java/awt/AWTEventMulticaster.java:
	Removed, so to use classpath versions.

2006-04-19  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/native/java_lang_reflect_VMArray.c 
	(Java_java_lang_reflect_VMArray_createObjectArray): Renamed to ...
	(Java_java_lang_reflect_VMArray_createObjectArray0).

	* libraries/javalib/vmspecific/java/lang/reflect/VMArray.java: 
	(createObjectArray) Check if dim is negative and throw 
	NegativeArraySizeException accordingly.
	(createObjectArray0) New native method.
	
2006-04-18 Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/vmspecific/java/lang/reflect/Field.java
	(get, getBoolean, getByte, getChar, getShort, getInt, getLong,
	getFloat, getDouble, setBooleanInternal, setByteInternal, 
	setCharInternal, setDoubleInternal, setFloatInternal,
	setIntInternal, setLongInternal, setShortInternal): 
	Cleaned up. Reindented. Reimplemented widening by using
	the delegation method from java.lang.reflect.Array.

2006-04-18 Dalibor Topic  <robilad@kaffe.org>

	* TODO: Removed merging in of java.lang.reflect, as that's now 
	completed.

2006-04-18 Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/reflect.c (KaffeVM_makeReflectField),
	kaffe/kaffevm/jni/jni-helpers.c (KaffeJNI_FromReflectedField):
	Updated for new Field implementation.

	* libraries/clib/native/Field.c: Include local native.h.
	(getFieldAddress) Updated for new Field implementation.
	(java_lang_reflect_Field_getModifiers) Renamed to ...
	(java_lang_reflect_Field_getModifiersInternal) ... and updated
	for new Field implementation.
	(java_lang_reflect_Field_getSignature) New function.

	* libraries/javalib/vmspecific/java/lang/reflect/Field.java:
	Merged in from GNU Classpath. Implemented get* and set* methods
	partially in Java, by merging in Kaffe's own implementation.

2006-04-18 Dalibor Topic  <robilad@kaffe.org>

	* include/native.h: Use local java_lang_String.h.

2006-04-18  Guilhem Lavaux  <guilhem@kaffe.org>

	*
	libraries/javalib/external/classpath/gnu/classpath/SystemProperties.java:
	Reverted to original GNU Classpath's version as it is now working.

2006-04-18  Guilhem Lavaux  <guilhem@kaffe.org>

	*
	libraries/javalib/external/classpath/gnu/classpath/SystemProperties.java
	(<clinit>): Use the right parameter for postInit.

2006-04-18  Riccardo Mottola <riccardo@kaffe.org>
	* kaffe/kaffevm/debug.c
	moved configure headers to the top

2006-04-18  Riccardo Mottola <riccardo@kaffe.org>
	* kaffe/libraries/javalib/awt-implementations/kaffe/java/awt/print/*
	Removed, so to use classpath versions.
	
2006-04-18  Riccardo Mottola <riccardo@kaffe.org>
	* kaffe/libraries/javalib/awt-implementations/kaffe/java/awt/peer/*
	Removed, so to use classpath versions.
	/kaffe/libraries/javalib/awt-implementations/kaffe/org/kaffe/awt/DoNothingPeer.java
	Updated to match new classpath peers.
    
2006-04-18  Guilhem Lavaux  <guilhem@kaffe.org>

	* libraries/clib/management/Classpath.c: Renamed addClasspath and
	prependClasspath.

	* libraries/javalib/vmspecific/java/security/VMSecureRandom.java,
	libraries/javalib/vmspecific/org/kaffe/security/LameRandomness.java,
	libraries/javalib/vmspecific/org/kaffe/security/Randomness.java,
	libraries/javalib/vmspecific/org/kaffe/security/UnixRandomness.java,
	libraries/javalib/vmspecific/org/kaffe/security/provider/SHA1PRNG.java:
	Make use of /dev/urandom if it is available.

2006-04-18  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/findInJar.c,
	kaffe/kaffevm/support.h
	(KaffeVM_addClasspath, KaffeVM_prependClasspath): Renamed to
	prevent namespace collision.

	* kaffe/kaffevm/jni/jni-base.c
	(KaffeJNI_getSystemProperty, KaffeJNI_addEndorsedDirs): New
	functions.

2006-04-17  Dalibor Topic  <robilad@kaffe.org>

	* TODO: Updated, as fastjar has been merged in.

	* THIRDPARTY: Updated URL for fastjar.

2006-04-17  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/intrp/machine.c
	(virtualMachine): Removed volatile.

2006-04-17  Guilhem Lavaux  <guilhem@kaffe.org>

	* libraries/javalib/external/classpath: Resynchronized with GNU
	Classpath.

	* kaffe/kaffevm/access.h
	(KFLAG_ANONYMOUS): New flag.

	* kaffe/kaffevm/baseClasses.c
	(EnclosingMethod_name): New attribute name.

	* kaffe/kaffevm/classMethod.c
	(setupClass, addMethod, addField): Shielded the usage of indexes.
	(addInnerClasses): Remember anonymous classes.

	* kaffe/kaffevm/classMethod.h
	(Hjava_lang_Class): New fields enclosingClassIndex,
	enclosingMethodIndex.
	
	* kaffe/kaffevm/constants.h
	(CONSTANT_ResolvedMethod): New synthetic constant.

	* kaffe/kaffevm/lookup.c
	(getMethodSignatureClass): Shielded the usage of indexes.
	(getClass): Likewise.
	
	* kaffe/kaffevm/readClass.c
	(readEnclosingMethodAttribute): New function.
	(readSignature): Shielded the usage of indexes.
	
	* libraries/clib/native/Class.c
	(forName): Renamed from forName0. Adapted to VM layer.
	(isSynthetic, isEnum, getEnclosingClass, getEnclosingConstructor,
	getEnclosingMethod, getClassSignature, isAnonymousClass,
	isLocalClass, isMemberClass): New functions.

	* libraries/clib/native/Constructor.c,
	libraries/clib/native/Method.c
	(getModifiersInternal): Renamed from getModifiers.
	
	* libraries/javalib/vmspecific/java/lang/Class.java: Removed.

	* libraries/javalib/vmspecific/java/lang/VMClass.java: Imported
	new version from GNU Classpath.

	* libraries/javalib/vmspecific/java/lang/reflect/Constructor.java,
	libraries/javalib/vmspecific/java/lang/reflect/Method.java:
	Imported from GNU Classpath and adapted to Kaffe's internals.

	* libraries/javalib/vmspecific/java/security/VMSecureRandom.java:
	Imported from GNU Classpath.

	* test/internal/jit_stub.c: Upgraded to initialize
	EnclosingMethod_name.

	* test/regression/IndexTest.java,
	test/regression/ProcessClassInst.java,
	test/regression/ProcessClassStop.java: Fixed expected message.
	
2006-04-17  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/native/java_lang_VMDouble.c:
	Resynced with GNU Classpath.

	2006-01-26  Christian Thalinger  <twisti@complang.tuwien.ac.at>

        * native/jni/java-lang/java_lang_VMDouble.c (doubleToLongBits)
        (doubleToRawLongBits, longBitsToDouble): Swap the byte
        ordering for little-endian arms without VFP.

	2005-11-15  Christian Thalinger  <twisti@complang.tuwien.ac.at>

        * native/jni/java-lang/java_lang_VMDouble.c (initIDs): Register
        clsDouble as global ref.

	2005-08-24  Mark Wielaard  <mark@klomp.org>

        * native/jni/java-lang/java_lang_VMDouble.c
        (Java_java_lang_VMDouble_parseDouble): Remove KISSME_LINUX_USER hack.

2006-04-16  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/jni/jni-base.c (detectAllActiveThreads):
	Only define when JVMPI support is enabled.

2006-04-16  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/systems/unix-pthreads/thread-internal.h:
	Conditionally define (__USE_GNU) if it has not been defined
	to fix a compiler warning.

2006-04-16  Guilhem Lavaux  <guilhem@kaffe.org>

	Fix for bug #35

	* FAQ/FAQ.kaffemd
	
	* configure.ac: Check for pthread_getattr_np

	* configure, config/config.h.in: Regenerated.

	* kaffe/jvmpi/jvmpi_kaffe.c
	(jvmpiFillThreadStart): Filling the JVMPI event structure the same
	way the JDK does (according to JMP).

	* kaffe/kaffevm/thread.c
	(KaffeVM_attachFakedThreadInstance): Build the JNI local reference
	table at that position to catch all newly attached thread.

	* kaffe/kaffevm/jni/jni-base.c
	(detectAllActiveThreads): Send a THREAD_START event for each
	running threads.
	(JNI_CreateJavaVM): Likewise.
	(KaffeJNI_DestroyJavaVM): Send a "shut down" JVMPI event
	
	* kaffe/kaffevm/jni/jni.c
	(Kaffe_DefineClass): Imported some code from
	ClassLoader.defineClass.

	* kaffe/kaffevm/systems/unix-pthreads/signal.c
	(detectStackBoundaries): Renamed to
	KaffePThread_detectStackBoundaries. Simplified the ifdef as
	onstack is not needed anymore for quite a while.
	(KaffePThread_detectThreadStackBoundaries): New function to detect
	stack boundaries for unknown pthreads.

	* kaffe/kaffevm/systems/unix-pthreads/thread-impl.c:
	(jthread_attach_current_thread): If the thread is already attached
	then return immediately. Detect stack boundaries. Setup signal
	handlers again.

	* libraries/javalib/vmspecific/gnu/classpath/VMSystemProperties.java:
	Updated VM version.
	
2006-04-15  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/external/classpath/configure.ac:
	Added CLASSPATH_CONVENIENCE substitution for convenience library LDFLAGS.

	* libraries/javalib/external/classpath/native/fdlibm/Makefile.am,
	libraries/javalib/external/classpath/native/jni/classpath/Makefile.am:
	Don't use -module and -version-info for convenience libraries LDFLAGS.
	Fixes libtool warnings.

2006-04-14  Riccardo Mottola <riccardo@kaffe.org>

	libraries/javalib/awt-implementations/kaffe/Makefile.am:
	Removed some classes that came from GNU Classpath.

	* libraries/javalib/awt-implementations/kaffe/java/awt/GridBagConstraints.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/GridBagLayout.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/GridBagLayoutInfo.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/GridLayout.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/dnd/Autoscroll.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/dnd/DnDConstants.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/dnd/DnDEventMulticaster.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/dnd/DragGestureEvent.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/dnd/DragGestureListener.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/dnd/DragGestureRecognizer.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/dnd/DragSource.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/dnd/DragSourceAdapter.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/dnd/DragSourceContext.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/dnd/DragSourceDragEvent.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/dnd/DragSourceDropEvent.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/dnd/DragSourceEvent.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/dnd/DragSourceListener.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/dnd/DragSourceMotionListener.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/dnd/DropTarget.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/dnd/DropTargetAdapter.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/dnd/DropTargetContext.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/dnd/DropTargetDragEvent.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/dnd/DropTargetDropEvent.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/dnd/DropTargetEvent.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/dnd/DropTargetListener.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/dnd/InvalidDnDOperationException.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/dnd/MouseDragGestureRecognizer.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/dnd/package.html,
	libraries/javalib/awt-implementations/kaffe/java/awt/dnd/peer/DragSourceContextPeer.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/dnd/peer/DropTargetContextPeer.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/dnd/peer/DropTargetPeer.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/dnd/peer/package.html:
	Removed.

2006-04-14  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/jit3/icode.c,
	kaffe/kaffevm/jit3/codeproto.h (softcall_lookupinterfacemethod):
	Added missing const to Method parameter to fix compiler warning.

2006-04-14  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/exception.c (dispatchException): 
	Added missing cast for fix compiler warning.

2006-04-14  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/ksem.h,
	kaffe/kaffevm/ksem.c (ksem_put, ksem_get),
	kaffe/kaffevm/locks.c (getHeavyLock, putHeavyLock, slowLockMutex,
	slowUnlockMutex, locks_internal_slowUnlockMutexIfHeld, 
	locks_internal_waitCond, locks_internal_signalCond, 
	locks_internal_broadcastCond, locks_internal_lockMutex) Removed
	volatile qualifiers and casts to fix compiler warnings.
	
2006-04-13  Riccardo Mottola <riccardo@kaffe.org>

	* libraries/javalib/awt-implementations/kaffe/java/awt/Component.java:
	copied over change property methods from classpath
	
2006-04-12  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/xprof/mangle.c (mangleClassType): 
	Added missing cast to ptrdiff_t to fix compiler warning.

2006-04-06  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/readClass.c (readSignatureAttribute): 
	Guarded to avoid building it for kaffeh.

2006-04-06  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/classMethod.h: Made 
	methods.c.bcode.codelen an unsigned int.

	* kaffe/kaffevm/code-analyse.c (analyzeBasicBlock): 
	Removed unnecessary casts. Moved function up, so
	that the static prototype could be removed. Changed
	parameter pc's type to uint32.
	(analyzeMethod): Made pc an uint32.

	* kaffe/kaffevm/verifier/verify3a.c (verifyMethod3a): 
	Throw a verifier error if code length is 0.

2006-04-06  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/object.c (newArrayChecked): Added assert to check
	that count is >= 0. Simplified a bit, and added casts to fix
	compiler warnings.

	* include/Arrays.h: Explicitely name structs in typedefs.

	* kaffe/kaffevm/jit3/machine.h, 
	kaffe/kaffevm/jit/machine.h,
	kaffe/kaffevm/intrp/machine.h: Include Arrays.h.

	* kaffe/kaffevm/object.h (OBJECT_DTABLE_OFFSET) 
	(ARRAY_SIZE_OFFSET, ARRAY_DATA_OFFSET): Use offsetof instead of
	wild casts.

2006-04-05  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/zip/CRC32.c: Use zlib implementation. Added
	explicit casts to fix compiler warnings.

2006-04-05  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/zip/Adler32.c (java_util_zip_Adler32_update1) 
	(java_util_zip_Adler32_update): Added explicit casts to fix
	compiler warnings.

2006-04-03  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/boehm-gc/boehm/cord/de.c,
	libraries/clib/target/generic/target_generic.h,
	libraries/clib/target/generic/target_generic_misc.h:
	Fixed remaining pscan warnings.

2006-04-03  Dalibor Topic  <robilad@kaffe.org>

	* THIRDPARTY: Updated fastjar to gcc 4.1.0.

	* external/gcc/fastjar: Updated to 4.1.0.

2006-04-03  Dalibor Topic  <robilad@kaffe.org>

        * Resynchronized GNU Classpath.

2006-04-03  Dalibor Topic  <robilad@kaffe.org>

	* THIRDPARTY: Updated to boehm-gc 6.7

	* kaffe/kaffevm/boehm-gc/boehm/ : Updated to boehm-gc 6.7.
	All regression tests pass now with boehm-gc/jit3/pthreads 
	on x86-linux.

2006-04-02  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/vmspecific/java/lang/reflect/Array.java,
	libraries/clib/native/Array.c: Removed.

	* libraries/javalib/vmspecific/java/lang/reflect/Constructor.java
	libraries/javalib/vmspecific/java/lang/reflect/Field.java
	libraries/javalib/vmspecific/java/lang/reflect/Method.java:
	Added missing methods from GNU Classpath.

	* libraries/javalib/vmspecific/java/lang/reflect/VMArray.java
	libraries/clib/native/java_lang_reflect_VMArray.c: New files,
	taken from GNU Classpath.

	* include/Makefile.am: Don't generate include file for Array.

	* libraries/clib/native/Makefile.am: Removed Array.c. Added 
	java_lang_reflect_VMArray.c.

        * Resynchronized GNU Classpath.

2006-04-02  Dalibor Topic  <robilad@kaffe.org>

	Fix for #32.

	* configure.ac: Make --disable-native-awt disable GNU Classpath's
	gtk peer as well.

2006-04-01  Kiyo Inaba <inaba@src.ricoh.co.jp>

	Really fix for #31.

	* kaffe/kaffevm/intrp/methodcalls.c: Reorder the variables
	declaration compatible with older C syntax.

2006-04-01  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/kaffe.def
	(PUTFIELD, PUTSTATIC): Updated semantic to follow JDK 1.5 behaviour.

	* libraries/javalib/vmspecific/java/lang/reflect/Field.java
	(checkFinal): Follow JSR133 recommandation regarding final fields
	being modifiable if setAccessible has been invoked.

2006-03-31  Riccardo Mottola  <riccardo@kaffe.org>

	* libraries/javalib/awt-implementations/kaffe/java/awt/AWTEvent.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Toolkit.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/event/WindowEvent.java:
	Updated AWT implementation by importing 1.3/1.4 stuff from classpath

2006-03-28  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffeh/main.c

	* kaffe/kaffevm/access.h: Moved kaffe flags on class members into
	its own namespace. Added Java 1.5 accessibility flags.

	* kaffe/kaffevm/baseClasses.c
	(initialiseKaffe): Added support for Signature and Synthetic
	keywords.

	* kaffe/kaffevm/classMethod.c
	(addInnerClasses): Copy accessibility flags.
	(addMethod): put kaffe flags into its own variable. 

	* kaffe/kaffevm/classMethod.h
	(Hjava_lang_Class): Added fields to support kaffe flags and
	extended Java 1.5 signature.
	Kaffe Flags are in their own variable now.

	* kaffe/kaffevm/code-analyse.c: Likewise.

	* kaffe/kaffevm/code-analyse.h
	(CONSTANTTYPE): Added support for CONSTANT_Class and
	CONSTANT_ResolvedClass.
	(SET_NEWFRAME): Updated kaffe flags.

	* kaffe/kaffevm/external.c: Updated kaffe flags.

	* kaffe/kaffevm/gtypes.h: Introduced a new type for kaffe flags.

	* kaffe/kaffevm/kaffe.def
	(LDC): Class can be loaded directly now as of Java 1.5.
	(PUTFIELD, PUTSTATIC): Updated checking of accessibility to Java
	1.5 standard.
	
	* kaffe/kaffevm/readClass.c
	(readSignatureAttribute): New function.
	(readAttributes): Added support for Synthetic and Signature.

	* kaffe/kaffevm/readClass.h: Added support for Java 1.5 classes.

	* kaffe/kaffevm/gcj/gcj-glue.c,
	kaffe/kaffevm/intrp/machine.c,
	kaffe/kaffevm/jit/native-wrapper.c,
	kaffe/kaffevm/jni/jni.c,
	kaffe/kaffevm/intrp/methodcalls.c,
	libraries/clib/native/Class.c: Updated kaffe flags.
	
	* kaffe/kaffevm/intrp/machine.h,
	kaffe/kaffevm/jit3/machine.h,
	kaffe/kaffevm/jit/machine.h
	(current_method): New icode.

	* test/internal/jit_stub.c: Updated to new internal API.
	
2006-03-29  Dalibor Topic  <robilad@kaffe.org>

	Fix for #31.
	
	* kaffe/kaffevm/intrp/methodcalls.c: Added
	missing include to define jvalue.

2006-03-28  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffe/main.c,
	kaffe/kaffe/version.c,
	kaffe/kaffeh/main.c:
	Fixed pscan security warnings.

2006-03-28  Dalibor Topic  <robilad@kaffe.org>

	* external/gcc/fastjar/jartool.c: Cast filenames to char*
	before calling canonical_filename to fix compiler warnings.

2005-03-28  Antoine Reilles  <tonio@kaffe.org>,
	    Joerg Sonnenberger  <joerg@britannica.bec.de>

	* external/gcc/fastjar/jartool.c: Fix security problem for 
	fastjar reported at : http://secunia.com/advisories/14902
	Confirmed by Dalibor.

	Use a canonical_filename function as proposed by joerg, 
	since the problem can't be fixed by realpath, see
	http://mail-index.netbsd.org/tech-pkg/2006/03/07/0002.html

2006-03-27  Dalibor Topic  <robilad@kaffe.org>

	* ChangeLog.18, ChangeLog: Moved old change logs to 
	ChangeLog.18.

	* Makefile.am (EXTRA_DIST): Added ChangeLog.18.

	* developers/autogen.sh: Don't try to apply patch for 
	config.sub if it has already been applied.

2006-03-27  Kurt Miller <kurt@intricatesoftware.com>

        * config/powerpc//threads.h: (THREADSTACKSIZE) Increased
        stack size.

2006-03-27  Dalibor Topic  <robilad@kaffe.org>

        * ChangeLog: Updated Kurt Miller's e-mail address.

2006-03-27  Dalibor Topic  <robilad@kaffe.org>

        * configure.ac, README: Bumped version number up to 1.1.8-pre.

See ChangeLog.17 for earlier messages.

